<TeXmacs|2.1.2>

<style|<tuple|beamer|vdh|wide-spacing|shadowed-frames|shadowed-titles|std-frame|dark-vador|framed-theorems|biolinum-font|old-lengths>>

<\body>
  <\hide-preamble>
    <assign|xfont|mathlarge=TeX Gyre Pagella,Fira>

    <assign|title-sub-bar-contents|<macro|body|>>

    \;

    <assign|rsC|<macro|<with|font|cal*|C>>>

    <assign|rsT|<macro|<with|font|cal*|T>>>

    <assign|marked|<macro|body|<tabular*|<tformat|<cwith|1|1|1|1|cell-background|dark
    grey>|<cwith|1|1|1|1|cell-bsep|0.25spc>|<cwith|1|1|1|1|cell-tsep|0.25spc>|<cwith|1|1|1|1|cell-lsep|1spc>|<cwith|1|1|1|1|cell-rsep|1spc>|<table|<row|<cell|<arg|body>>>>>>>>

    \;

    <assign|compressed|<\macro|body>
      <\surround||<right-flush>>
        <\with|par-par-sep|<times|0.4|<value|par-par-sep>>>
          <arg|body>
        </with>
      </surround>
    </macro>>

    \;

    <assign|render-specified-algorithm|<\macro|name|intro|body>
      <\padded*>
        <\with|par-first|0fn|par-par-sep|0.3em|item-hsep|<macro|1tab>|numbered-offset|<value|algorithm-numbered-offset>>
          <\surround||<vspace|0.5fn>>
            <algorithm-name|<arg|name>>

            <arg|intro>
          </surround>

          <\surround||<yes-indent*>>
            <\algorithm-indent>
              <arg|body>
            </algorithm-indent>
          </surround>
        </with>
      </padded*>
    </macro>>
  </hide-preamble>

  <screens|<\shown>
    <\with|par-mode|center>
      <tabular*|<tformat|<cwith|1|2|1|1|cell-bsep|2.5spc>|<cwith|4|4|1|1|cell-halign|r>|<cwith|4|4|1|1|cell-hyphen|t>|<cwith|1|1|1|1|cell-bsep|0cm>|<cwith|4|4|1|1|cell-width|0.95par>|<cwith|4|4|1|1|cell-hmode|exact>|<cwith|1|1|1|1|cell-tsep|1spc>|<cwith|2|2|1|1|cell-tsep|2spc>|<cwith|3|3|1|1|cell-bsep|2spc>|<cwith|3|3|1|1|cell-tsep|2spc>|<table|<row|<cell|<huge|<strong|<with|color|orange|
      Integer multiplication in time <math|<with|color|#f83|O<around*|(|n*log
      n|)>>>>>>>>|<row|<cell| <large|<tabular*|<tformat|<twith|table-valign|T>|<cwith|1|1|1|1|cell-tsep|1spc>|<table|<row|<cell|David
      Harvey, <strong|Joris van der Hoeven>>>>>>>>>|<row|<cell|<with|shadow-dx|0ln|shadow-dy|0ln|shadow-color|white|shadow-blur-radius|0.25ln|<shadow|<image|Arithmometer-transparent.png|0.42par|||>>>>>|<row|<\cell>
        <normal-size|<strong|IHP, Paris>><htab|5mm><normal-size|<strong|September
        20, 2023>>
      </cell>>>>>
    </with>
  </shown>|<\hidden>
    <tit|Motivation>

    <unroll|<\shown>
      <math|<math-ss|M><around*|(|N|)>><space|0.6spc>: the complexity of
      multiplying two <math|N>-bit integers (Turing machine model)
    </shown>|<\shown>
      <vspace*|0.25fn><strong|<with|color|#fa6|Why study the asymptotic
      behaviour of <math|<with|color|#fa6|<math-ss|M><around*|(|N|)>>><space|0.6spc>?>>
    </shown>|<\shown>
      <\compressed>
        <unroll|<\shown>
          <strong|Division.> <math|O<around*|(|<math-ss|M><around*|(|N|)>|)>>
        </shown>|<\shown>
          <strong|Gcd.> <math|O<around*|(|<math-ss|M><around*|(|N|)>*log
          N|)>>
        </shown>|<\shown>
          <strong|Computing <math|<with|color|#ffa|\<mathe\>>>,
          <math|<with|color|#ffa|\<mathpi\>>>.>
          <math|O<around*|(|<math-ss|M><around*|(|N|)>*log N|)>>
        </shown>|<\shown>
          <strong|Base conversion.> <math|O<around*|(|<math-ss|M><around*|(|N|)>*<frac|log
          N|log log N>|)>><htab|5mm><greyed|(FFT-model)>
        </shown>|<\shown>
          <strong|FFT.> <math|O<around*|(|<math-ss|M><around*|(|n*p|)>|)>>,
          length <math|n>, bit-precision <math|p\<geqslant\>log
          n><vspace|0.5fn>
        </shown>|<\shown>
          <center|<with|color|#ffa|<math|<with|color|#ffa|<math-ss|M><around*|(|N|)>>>
          = speed of basic arithmetic>>
        </shown>>
      </compressed>
    </shown>|<\shown>
      <\compact>
        \;

        <\wide-tabular>
          <tformat|<table|<row|<\cell>
            <strong|<with|color|#fa6|Also>>
          </cell>|<\cell>
            <\compressed>
              <\itemize>
                <item>Better theoretical techniques
                <math|<long-arrow|\<rubber-rightarrow\>|often>> faster
                practical implementations<space|5em>

                <item>Asymptotic complexity abstracts from concrete machines

                <item>Mechanizing multiplication is a historically
                fascinating problem
              </itemize>
            </compressed>
          </cell>>>>
        </wide-tabular>

        \;
      </compact>
    </shown>>
  </hidden>|<\hidden>
    <switch|<\hidden>
      <with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.542043gh>>|gr-geometry|<tuple|geometry|1par|0.556511par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|4|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|dark
      grey>|<tuple|1|darker grey>|<tuple|4|darker
      grey>>|gr-grid-aspect|<tuple|<tuple|axes|dark grey>|<tuple|1|darker
      grey>|<tuple|4|darker grey>>|gr-color|#f0f0f0|gr-text-at-halign|center|gr-text-at-valign|center|magnify|0.840896415|<graphics||<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|\<times\>|<point|0|6.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-1.5|6.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|-3.0|6.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-4.5|6.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|8|<point|-6.0|6.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|1.5|6.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|3.0|6.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|3|<point|4.5|6.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|5|<point|6.0|6.5>>>>>
    </hidden>|<\hidden>
      <anim-static|<morph|<tuple|0|<with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.542043gh>>|gr-geometry|<tuple|geometry|1par|0.556511par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|4|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|#707070>|<tuple|1|#404040>|<tuple|4|#404040>>|gr-grid-aspect|<tuple|<tuple|axes|#707070>|<tuple|1|#404040>|<tuple|4|#404040>>|gr-color|#F0F0F0|gr-text-at-halign|center|gr-text-at-valign|center|magnify|0.840896415|<graphics||<with|anim-id|+1PZEs9dV3pANSqc|color|#F0F0F0|<line|<point|-3|-3>|<point|3|3>>>|<with|anim-id|+1PZEs9dV3pANSqd|color|#F0F0F0|<line|<point|-3|3>|<point|3|-3>>>|<with|anim-id|+1PZEs9dV3pANSqe|color|#F0F0F0|<line|<point|-1.5|-4.5>|<point|4.5|1.5>>>|<with|anim-id|+1PZEs9dV3pANSqf|color|#F0F0F0|<line|<point|6|0>|<point|0|-6>>>|<with|anim-id|+1PZEs9dV3pANSqg|color|#F0F0F0|<line|<point|-4.5|1.5>|<point|1.5|-4.5>>>|<with|anim-id|+1PZEs9dV3pANSqh|color|#F0F0F0|<line|<point|-1.5|4.5>|<point|4.5|-1.5>>>|<with|anim-id|+1PZEs9dV3pANSqi|color|#F0F0F0|<line|<point|0|6>|<point|6|0>>>|<with|anim-id|+1PZEs9dV3pANSqj|color|#F0F0F0|<line|<point|-6|0>|<point|0|6>>>|<with|anim-id|+1PZEs9dV3pANSqk|color|#F0F0F0|<line|<point|-4.5|-1.5>|<point|1.5|4.5>>>|<with|anim-id|+1PZEs9dV3pANSql|color|#F0F0F0|<line|<point|-6|0>|<point|0|-6>>>|<with|anim-id|+1PZEs9dV3pANSqu|color|#F0F0F0|text-at-valign|center|text-at-halign|center|<math-at|\<times\>|<point|0|6.5>>>|<with|color|#F0F0F0|text-at-valign|center|anim-id|+1PZEs9dV3pANSqp|text-at-halign|center|<math-at|4|<point|-1.5|6.5>>>|<with|color|#F0F0F0|text-at-valign|center|anim-id|+1PZEs9dV3pANSqq|text-at-halign|center|<math-at|2|<point|1.5|6.5>>>|<with|color|#F0F0F0|text-at-valign|center|anim-id|+1PZEs9dV3pANSqr|text-at-halign|center|<math-at|1|<point|3|6.5>>>|<with|color|#F0F0F0|text-at-valign|center|anim-id|+1PZEs9dV3pANSqs|text-at-halign|center|<math-at|3|<point|4.5|6.5>>>|<with|color|#F0F0F0|text-at-valign|center|anim-id|+1PZEs9dV3pANSqt|text-at-halign|center|<math-at|5|<point|6|6.5>>>|<with|color|#F0F0F0|text-at-valign|center|anim-id|+1PZEs9dV3pANSqo|text-at-halign|center|<math-at|1|<point|-3|6.5>>>|<with|color|#F0F0F0|text-at-valign|center|anim-id|+1PZEs9dV3pANSqn|text-at-halign|center|<math-at|4|<point|-4.5|6.5>>>|<with|color|#F0F0F0|text-at-valign|center|anim-id|+1PZEs9dV3pANSqm|text-at-halign|center|<math-at|8|<point|-6|6.5>>>>>>|<tuple|1|<with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.542043gh>>|gr-geometry|<tuple|geometry|1par|0.556511par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|4|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|#707070>|<tuple|1|#404040>|<tuple|4|#404040>>|gr-grid-aspect|<tuple|<tuple|axes|#707070>|<tuple|1|#404040>|<tuple|4|#404040>>|gr-color|#F0F0F0|gr-text-at-halign|center|gr-text-at-valign|center|magnify|0.840896415|<graphics||<with|anim-id|+1PZEs9dV3pANSqc|color|#F0F0F0|<line|<point|-3|-3>|<point|3|3>>>|<with|anim-id|+1PZEs9dV3pANSqd|color|#F0F0F0|<line|<point|-3|3>|<point|3|-3>>>|<with|anim-id|+1PZEs9dV3pANSqe|color|#F0F0F0|<line|<point|-1.5|-4.5>|<point|4.5|1.5>>>|<with|anim-id|+1PZEs9dV3pANSqf|color|#F0F0F0|<line|<point|6|0>|<point|0|-6>>>|<with|anim-id|+1PZEs9dV3pANSqg|color|#F0F0F0|<line|<point|-4.5|1.5>|<point|1.5|-4.5>>>|<with|anim-id|+1PZEs9dV3pANSqh|color|#F0F0F0|<line|<point|-1.5|4.5>|<point|4.5|-1.5>>>|<with|anim-id|+1PZEs9dV3pANSqi|color|#F0F0F0|<line|<point|0|6>|<point|6|0>>>|<with|anim-id|+1PZEs9dV3pANSqj|color|#F0F0F0|<line|<point|-6|0>|<point|0|6>>>|<with|anim-id|+1PZEs9dV3pANSqk|color|#F0F0F0|<line|<point|-4.5|-1.5>|<point|1.5|4.5>>>|<with|anim-id|+1PZEs9dV3pANSql|color|#F0F0F0|<line|<point|-6|0>|<point|0|-6>>>|<with|anim-id|+1PZEs9dV3pANSqn|color|#F0F0F0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-4.5|3>>>|<with|anim-id|+1PZEs9dV3pANSqo|color|#F0F0F0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|-3|4.5>>>|<with|anim-id|+1PZEs9dV3pANSqp|color|#F0F0F0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-1.5|6>>>|<with|anim-id|+1PZEs9dV3pANSqq|color|#F0F0F0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|1.5|6>>>|<with|anim-id|+1PZEs9dV3pANSqr|color|#F0F0F0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|3|4.5>>>|<with|anim-id|+1PZEs9dV3pANSqs|color|#F0F0F0|text-at-valign|center|text-at-halign|center|<math-at|3|<point|4.5|3>>>|<with|anim-id|+1PZEs9dV3pANSqt|color|#F0F0F0|text-at-valign|center|text-at-halign|center|<math-at|5|<point|6|1.5>>>|<with|anim-id|+1PZEs9dV3pANSqu|color|#F0F0F0|text-at-valign|center|text-at-halign|center|<math-at|\<times\>|<point|0|6.5>>>|<with|color|#F0F0F0|text-at-valign|center|anim-id|+1PZEs9dV3pANSqm|text-at-halign|center|<math-at|8|<point|-6|1.5>>>>>>>|2sec|0.1s|0s>
    </hidden>|<\hidden>
      <with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.542043gh>>|gr-geometry|<tuple|geometry|1par|0.556511par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|4|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|dark
      grey>|<tuple|1|darker grey>|<tuple|4|darker
      grey>>|gr-grid-aspect|<tuple|<tuple|axes|dark grey>|<tuple|1|darker
      grey>|<tuple|4|darker grey>>|gr-color|#f0f0f0|gr-text-at-halign|center|gr-text-at-valign|center|magnify|0.840896415|<graphics||<with|color|#f0f0f0|<line|<point|-3.0|-3.0>|<point|3.0|3.0>>>|<with|color|#f0f0f0|<line|<point|-3.0|3.0>|<point|3.0|-3.0>>>|<with|color|#f0f0f0|<line|<point|-1.5|-4.5>|<point|4.5|1.5>>>|<with|color|#f0f0f0|<line|<point|6.0|0.0>|<point|0.0|-6.0>>>|<with|color|#f0f0f0|<line|<point|-4.5|1.5>|<point|1.5|-4.5>>>|<with|color|#f0f0f0|<line|<point|-1.5|4.5>|<point|4.5|-1.5>>>|<with|color|#f0f0f0|<line|<point|0.0|6.0>|<point|6.0|0.0>>>|<with|color|#f0f0f0|<line|<point|-6.0|0.0>|<point|0.0|6.0>>>|<with|color|#f0f0f0|<line|<point|-4.5|-1.5>|<point|1.5|4.5>>>|<with|color|#f0f0f0|<line|<point|-6|0>|<point|0.0|-6.0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|8|<point|-6|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-4.5|3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|-3|4.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-1.5|6>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|1.5|6>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|3|4.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|3|<point|4.5|3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|5|<point|6|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|6|<point|-3.75|0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|8|<point|-2.25|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|8|<point|-2.25|-1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-0.75|0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|-0.75|3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|8|<point|0.75|4.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|0.75|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|2.25|3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-0.75|-3.04989>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|-0.75|-1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|0.75|-1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|3|<point|2.25|0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|2.25|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|3.75|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|0|<point|0.75|-4.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|0.75|-3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|0|<point|2.25|-3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|5|<point|3.75|-1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|3.75|0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|0|<point|5.25|0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-0.75|-4.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|-2.25|-3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|-5.25|0>>>>>
    </hidden>|<\shown>
      <with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.542043gh>>|gr-geometry|<tuple|geometry|1par|0.556511par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|4|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|dark
      grey>|<tuple|1|darker grey>|<tuple|4|darker
      grey>>|gr-grid-aspect|<tuple|<tuple|axes|dark grey>|<tuple|1|darker
      grey>|<tuple|4|darker grey>>|gr-color|#f0f0f0|gr-text-at-halign|center|gr-text-at-valign|center|gr-transformation|<tuple|<tuple|1.0|0.0|0.0|0.0>|<tuple|0.0|0.995004165278026|0.0998334166468281|0.0>|<tuple|0.0|-0.0998334166468281|0.995004165278026|0.0>|<tuple|0.0|0.0|0.0|1.0>>|magnify|0.840896415|<graphics||<with|color|dark
      grey|<line|<point|-3.0|-3.0>|<point|3.0|3.0>>>|<with|color|dark
      grey|<line|<point|-3.0|3.0>|<point|3.0|-3.0>>>|<with|color|dark
      grey|<line|<point|-1.5|-4.5>|<point|4.5|1.5>>>|<with|color|dark
      grey|<line|<point|6.0|0.0>|<point|0.0|-6.0>>>|<with|color|dark
      grey|<line|<point|-4.5|1.5>|<point|1.5|-4.5>>>|<with|color|dark
      grey|<line|<point|-1.5|4.5>|<point|4.5|-1.5>>>|<with|color|dark
      grey|<line|<point|0.0|6.0>|<point|6.0|0.0>>>|<with|color|dark
      grey|<line|<point|-6.0|0.0>|<point|0.0|6.0>>>|<with|color|dark
      grey|<line|<point|-4.5|-1.5>|<point|1.5|4.5>>>|<with|color|dark
      grey|<line|<point|-6|0>|<point|0.0|-6.0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|8|<point|-6|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-4.5|3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|-3|4.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-1.5|6>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|1.5|6>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|3|4.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|3|<point|4.5|3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|5|<point|6|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|6|<point|-3.75|0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|8|<point|-2.25|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|8|<point|-2.25|-1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-0.75|0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|-0.75|3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|8|<point|0.75|4.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|0.75|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|2.25|3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-0.75|-3.04989>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|-0.75|-1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|0.75|-1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|3|<point|2.25|0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|2.25|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|3.75|1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|0|<point|0.75|-4.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|0.75|-3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|0|<point|2.25|-3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|5|<point|3.75|-1.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|3.75|0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|0|<point|5.25|0>>>|<with|color|#f0f0f0|<line|<point|-6|0>|<point|-6.0|-7.5>|<point|6.0|-7.5>|<point|6.0|0.0>>>|<with|color|#f0f0f0|<line|<point|-4.5|1.5>|<point|-4.5|-7.5>>>|<with|color|#f0f0f0|<line|<point|-3|3>|<point|-3.0|-7.5>>>|<with|color|#f0f0f0|<line|<point|-1.5|4.5>|<point|-1.5|-7.5>>>|<with|color|#f0f0f0|<line|<point|0|6>|<point|0.0|-7.5>>>|<with|color|#f0f0f0|<line|<point|1.5|4.5>|<point|1.5|-7.5>>>|<with|color|#f0f0f0|<line|<point|3|3>|<point|3.0|-7.5>>>|<with|color|#f0f0f0|<line|<point|4.5|1.5>|<point|4.5|-7.5>>>|<with|color|#f0f0f0|<line|<point|-6|-6>|<point|6.0|-6.0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|0|<point|5.25|-6.75>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|9|<point|3.75|-6.75>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|8|<point|2.25|-6.75>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|3|<point|0.75|-6.75>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|6|<point|-0.75|-6.75>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|9|<point|-2.25|-6.75>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|7|<point|-3.75|-6.75>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|4|<point|-0.75|-4.5>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|2|<point|-2.25|-3>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|-5.25|0>>>|<with|color|#f0f0f0|text-at-valign|center|text-at-halign|center|<math-at|1|<point|-5.25|-6.75>>>>>
    </shown>>
  </hidden>|<\hidden>
    <tit|Can we do better<space|0.2spc>?>

    <switch|<\hidden>
      <with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.559998gh>>|gr-geometry|<tuple|geometry|1par|0.469564par|center>|gr-color|#a66|<graphics||<text-at|<image|kolmogorov-contour.png|150pt|||>|<point|-10.2665531154915|-5.17422939542267>>>>
    </hidden>|<\hidden>
      <with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.559998gh>>|gr-geometry|<tuple|geometry|1par|0.469564par|center>|gr-color|#a66|<graphics||<text-at|<image|kolmogorov-contour.png|150pt|||>|<point|-10.2665531154915|-5.17422939542267>>|<with|color|#a66|<spline|<point|-6.71687723243815|-1.93411826961238>|<point|-4.81684085196455|-0.622370775540217>|<point|-4.26099682497685|1.5742823124752>>>|<with|color|#a66|<spline|<point|-6.71688|-1.93412>|<point|-4.57056158221987|-0.902235745468977>|<point|-3.5799543590422|1.5742823124752>>>|<with|color|#a66|<spline|<point|-4.261|1.57428>|<point|-6.75396516466332|2.34004167217886>|<point|-5.89137121312343|4.17462627331658>|<point|-1.7019281651012|3.98888741897076>|<point|-1.26853750496097|2.13149887551263>|<point|-3.57995435903777|1.57428231247322>>>|<with|color|#a66|text-at-halign|center|<math-at|<math-ss|I><around*|(|N|)>=\<Theta\><around*|(|N<rsup|2>|)>|<point|-3.99271|2.7919>>>|<with|color|#a66|<math-at|!|<point|-4.5912|0.748776>>>|<with|color|#a66|<math-at|?|<point|-3.49740375711073|0.748776293160471>>>>>
    </hidden>|<\hidden>
      <with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.559998gh>>|gr-geometry|<tuple|geometry|1par|0.469564par|center>|gr-color|dark
      green|gr-text-at-halign|center|<graphics||<text-at|<image|kolmogorov-contour.png|150pt|||>|<point|-10.2665531154915|-5.17422939542267>>|<with|color|#a66|<spline|<point|-6.71687723243815|-1.93411826961238>|<point|-4.81684085196455|-0.622370775540217>|<point|-4.26099682497685|1.5742823124752>>>|<with|color|#a66|<spline|<point|-6.71688|-1.93412>|<point|-4.57056158221987|-0.902235745468977>|<point|-3.5799543590422|1.5742823124752>>>|<with|color|#a66|<spline|<point|-4.261|1.57428>|<point|-6.75396516466332|2.34004167217886>|<point|-5.89137121312343|4.17462627331658>|<point|-1.7019281651012|3.98888741897076>|<point|-1.26853750496097|2.13149887551263>|<point|-3.57995435903777|1.57428231247322>>>|<with|color|#a66|text-at-halign|center|<math-at|<math-ss|I><around*|(|N|)>=\<Theta\><around*|(|N<rsup|2>|)>|<point|-3.99271|2.7919>>>|<with|color|#a66|<math-at|!|<point|-4.5912|0.748776>>>|<with|color|#a66|<math-at|?|<point|-3.49740375711073|0.748776293160471>>>|<with|color|#a66|<text-at|<image|karatsuba-contour.png|170pt|||>|<point|4.94339529038233|-5.44251885169996>>>>>
    </hidden>|<\shown>
      <with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.559998gh>>|gr-geometry|<tuple|geometry|1par|0.469564par|center>|gr-color|dark
      green|gr-text-at-halign|center|<graphics||<text-at|<image|kolmogorov-contour.png|150pt|||>|<point|-10.2665531154915|-5.17422939542267>>|<with|color|#a66|<spline|<point|-6.71687723243815|-1.93411826961238>|<point|-4.81684085196455|-0.622370775540217>|<point|-4.26099682497685|1.5742823124752>>>|<with|color|#a66|<spline|<point|-6.71688|-1.93412>|<point|-4.57056158221987|-0.902235745468977>|<point|-3.5799543590422|1.5742823124752>>>|<with|color|#a66|<spline|<point|-4.261|1.57428>|<point|-6.75396516466332|2.34004167217886>|<point|-5.89137121312343|4.17462627331658>|<point|-1.7019281651012|3.98888741897076>|<point|-1.26853750496097|2.13149887551263>|<point|-3.57995435903777|1.57428231247322>>>|<with|color|#a66|text-at-halign|center|<math-at|<math-ss|I><around*|(|N|)>=\<Theta\><around*|(|N<rsup|2>|)>|<point|-3.99271|2.7919>>>|<with|color|#a66|<math-at|!|<point|-4.5912|0.748776>>>|<with|color|#a66|<math-at|?|<point|-3.49740375711073|0.748776293160471>>>|<with|color|#a66|<text-at|<image|karatsuba-contour.png|170pt|||>|<point|4.94339529038233|-5.44251885169996>>>|<with|color|dark
      green|<spline|<point|6.40867|-1.50073>|<point|4.38617872734489|-0.406932133880143>|<point|3.99406336817039|1.71874586585527>>>|<with|color|dark
      green|<spline|<point|6.42931|-1.542>|<point|4.1178892710676|-0.675221590157428>|<point|3.43684680513295|1.65683291440667>>>|<with|color|dark
      green|text-at-halign|center|<math-at|<math-ss|I><around*|(|N|)>=O<around*|(|N<rsup|log<rsub|2>
      3>|)>|<point|3.80832451382458|2.70935308903294>>>|<with|color|dark
      green|<spline|<point|3.43685|1.65683>|<point|1.51754531022622|2.00767297261543>|<point|0.506300436565683|3.26656965207038>|<point|2.26050072760947|4.11271332186797>|<point|5.29423534859108|4.17462627331658>|<point|7.21353684349782|3.24593200158751>|<point|5.78953896017992|1.98703532213256>|<point|3.99406336816545|1.71874586585312>>>|<with|color|dark
      green|text-at-halign|center|<math-at|1962|<point|10.3575208360894|-6.03097301230321>>>>>
    </shown>>

    \;
  </hidden>|<\hidden>
    <tit|Short history>

    <htab|5mm><tabular|<tformat|<cwith|5|6|1|1|cell-bsep|1spc>|<cwith|5|5|1|1|cell-bsep|2spc>|<cwith|11|11|2|2|cell-bsep|3spc>|<table|<row|<cell|1962>|<cell|Karatsuba>|<cell|<math|O<around*|(|N<rsup|log
    3/log 2>|)>>>>|<row|<cell|1963>|<cell|Toom>|<cell|<math|O<around*|(|N*2<rsup|5*<sqrt|log
    N/log 2>>|)>>>>|<row|<cell|1966>|<cell|Schnhage>|<cell|<math|O<around*|(|N*2<rsup|<sqrt|2*log
    N/log 2>>*<around*|(|log N|)><rsup|3/2>|)>>>>|<row|<cell|1969>|<cell|Knuth>|<cell|<math|O<around*|(|N*2<rsup|<sqrt|2*log
    N/log 2>>*log N|)>>>>|<row|<cell|1971>|<cell|Pollard>|<cell|<math|O<around*|(|N*log
    N*log log N*log log log N*\<cdots\>|)>>>>|<row|<cell|1971>|<cell|Schnhage-Strassen>|<cell|<math|O<around*|(|N*log
    N*log log N|)>>>>|<row|<cell|2007>|<cell|Frer>|<cell|<math|O<around*|(|N*log
    N*2<rsup|O<around*|(|log<rsup|\<ast\>>
    N|)>>|)>>>>|<row|<cell|2014>|<cell|Harvey-vdH-Lecerf>|<cell|<math|O<around*|(|N*log
    N*8<rsup|log<rsup|\<ast\>> N>|)>>>>|<row|<cell|2017>|<cell|Harvey>|<cell|<math|O<around*|(|N*log
    N*6<rsup|log<rsup|\<ast\>> N>|)>>>>|<row|<cell|2017>|<cell|Harvey-vdH>|<cell|<math|O<around*|(|N*log
    N*<around*|(|4*<sqrt|2>|)><rsup|log<rsup|\<ast\>>
    N>|)>>>>|<row|<cell|2018>|<cell|Harvey-vdH>|<cell|<math|O<around*|(|N*log
    N*4<rsup|log<rsup|\<ast\>> N>|)>>>>|<row|<cell|<with|color|red|2019>>|<cell|<with|color|red|Harvey-vdH>>|<cell|<math|<with|color|red|O<around*|(|N*log
    N|)>>>>>>>><htab|5mm>
  </hidden>|<\hidden>
    <tit|Karatsuba multiplication>

    <unroll|<\shown>
      <switch|<\hidden>
        <\equation*>
          13022020<space|1em>\<times\><space|1em>31415926
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          <anim-static|<morph|<tuple|0|<hspace|1em>1302<hspace|0em>2020<space|1em>\<times\><space|1em>3141<hspace|0em>5926<hspace|1em>>|<tuple|1|<hspace|0em>1302<hspace|1em>2020<space|1em>\<times\><space|1em>3141<hspace|1em>5926<hspace|0em>>>|2sec|0.1s|2.0s>
        </equation*>
      </hidden>|<\shown>
        <\equation*>
          <wide*|1302|\<wide-underbrace\>><rsub|<move|a||-0.5ex>><hspace|1em><wide*|2020|\<wide-underbrace\>><rsub|<move|b||-0.5ex>><space|1em>\<times\><space|1em><wide*|3141|\<wide-underbrace\>><rsub|<move|c||-0.5ex>><hspace|1em><wide*|5926|\<wide-underbrace\>><rsub|<move|d||-0.5ex>>
        </equation*>
      </shown>>
    </shown>|<\shown>
      <switch|<\hidden>
        <\compressed>
          <\eqnarray*>
            <tformat|<table|<row|<cell|<around*|(|a*x+b|)>\<cdot\><around*|(|c*x+d|)>>|<cell|=>|<cell|<tiny-switch|<hidden|<phantom|a\<cdot\>c*<space|0.2spc>x<rsup|2>+<around*|(|a\<cdot\>d+b\<cdot\>c|)>*x+b\<cdot\>d>>|<shown|a\<cdot\>c*<space|0.2spc>x<rsup|2>+<around*|(|a\<cdot\>d+b\<cdot\>c|)>*x+b\<cdot\>d>>>>>>
          </eqnarray*>
        </compressed>
      </hidden>|<\shown>
        <\compressed>
          <\eqnarray*>
            <tformat|<table|<row|<cell|<around*|(|a*x+b|)>\<cdot\><around*|(|c*x+d|)>>|<cell|=>|<cell|<with|color|cyan|a\<cdot\>c>*<space|0.2spc>x<rsup|2>+<around*|(|a\<cdot\>d+b\<cdot\>c|)>*x+<with|color|red|b\<cdot\>d>>>>>
          </eqnarray*>

          <\eqnarray*>
            <tformat|<table|<row|<cell|a\<cdot\>d+b\<cdot\>c>|<cell|=>|<cell|<around*|(|a+b|)>\<cdot\><around*|(|c+d|)>-<with|color|cyan|a\<cdot\>c>-<with|color|red|b\<cdot\>d>>>>>
          </eqnarray*>
        </compressed>
      </shown>>
    </shown>|<\shown>
      <\ultra-compact>
        <strong|Complexity>

        <switch|<\hidden>
          <\eqnarray*>
            <tformat|<table|<row|<cell|<math-ss|M><around*|(|n|)>>|<cell|\<leqslant\>>|<cell|3*<math-ss|M><around*|(|n/2|)>+C*n>>>>
          </eqnarray*>
        </hidden>|<\hidden>
          <\eqnarray*>
            <tformat|<table|<row|<cell|<math-ss|M><around*|(|n|)>>|<cell|\<leqslant\>>|<cell|3*<math-ss|M><around*|(|n/2|)>+C*n>>|<row|<cell|>|<cell|\<leqslant\>>|<cell|9*<math-ss|M><around*|(|n/4|)>+<tfrac|5|2>*C*n>>>>
          </eqnarray*>
        </hidden>|<\hidden>
          <\eqnarray*>
            <tformat|<table|<row|<cell|<math-ss|M><around*|(|n|)>>|<cell|\<leqslant\>>|<cell|3*<math-ss|M><around*|(|n/2|)>+C*n>>|<row|<cell|>|<cell|\<leqslant\>>|<cell|9*<math-ss|M><around*|(|n/4|)>+<tfrac|5|2>*C*n>>|<row|<cell|>|<cell|\<leqslant\>>|<cell|27*<math-ss|M><around*|(|n/8|)>+<tfrac|19|4>*C*n>>>>
          </eqnarray*>
        </hidden>|<\shown>
          <\eqnarray*>
            <tformat|<table|<row|<cell|<math-ss|M><around*|(|n|)>>|<cell|\<leqslant\>>|<cell|3*<math-ss|M><around*|(|n/2|)>+C*n>>|<row|<cell|>|<cell|\<leqslant\>>|<cell|9*<math-ss|M><around*|(|n/4|)>+<tfrac|5|2>*C*n>>|<row|<cell|>|<cell|\<leqslant\>>|<cell|27*<math-ss|M><around*|(|n/8|)>+<tfrac|19|4>*C*n>>|<row|<cell|>|<cell|\<leqslant\>>|<cell|\<cdots\>>>|<row|<cell|>|<cell|\<leqslant\>>|<cell|O<around*|(|n<rsup|<frac|log
            3|log 2>>|)>>>>>
          </eqnarray*>
        </shown>>
      </ultra-compact>
    </shown>>
  </hidden>|<\hidden>
    <tit|Integers versus polynomials>

    <\compressed>
      <unroll|<\shown>
        <vspace*|0.5fn><strong|Kronecker segmentation>

        <\eqnarray*>
          <tformat|<table|<row|<cell|4627579679788114>|<cell|\<times\>>|<cell|4519170871966234>>|<row|<cell|>|<cell|\<downsquigarrow\>>|<cell|>>|<row|<cell|<around*|(|4627*x<rsup|3>+5796*x<rsup|2>+7978*x+8114|)>>|<cell|\<times\>>|<cell|<around*|(|4519*x<rsup|3>+1708*x<rsup|2>+7196*x+6234|)>>>>>
        </eqnarray*>
      </shown>|<\shown>
        <vspace*|1fn><strong|Kronecker substitution>

        <\eqnarray*>
          <tformat|<table|<row|<cell|<around*|(|4627*x<rsup|3>+5796*x<rsup|2>+7978*x+8114|)>>|<cell|\<times\>>|<cell|<around*|(|4519*x<rsup|3>+1708*x<rsup|2>+7196*x+6234|)>>>|<row|<cell|>|<cell|\<downsquigarrow\>>|<cell|>>|<row|<cell|4627000005796000007978000008114>|<cell|\<times\>>|<cell|4519000001708000007196000006234>>>>
        </eqnarray*>
      </shown>|<\shown>
        \;

        <\equation*>
          <with|color|red|1>00<with|color|red|4>00<with|color|red|3>\<times\><with|color|red|2>00<with|color|red|1>00<with|color|red|5>=<with|color|red|2>00<with|color|red|9>0<with|color|red|15>0<with|color|red|23>0<with|color|red|15>
        </equation*>
      </shown>>
    </compressed>
  </hidden>|<\hidden>
    <tit|Cyclic polynomials>

    <unroll|<\shown>
      <\compressed>
        <\compressed>
          <math|\<bbb-K\>><space|0.6spc>: a field (or a suitable ring)

          <math|n><space|0.6spc>: cycle length

          <math|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>><space|0.6spc>:
          ring of cyclic polynomials of length <math|n>
        </compressed>
      </compressed>
    </shown>|<\shown>
      <\eqnarray*>
        <tformat|<table|<row|<cell|P\<in\>\<bbb-K\><around*|[|x|]>,<space|1em>deg
        P\<less\>n>|<cell|<space|1em><long-arrow|\<rubber-leftrightarrow\>|bijection><space|1em>>|<cell|<wide|P|\<bar\>>\<in\>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>>>>
      </eqnarray*>
    </shown>|<\shown>
      <\equation*>
        P,Q\<in\>\<bbb-K\><around*|[|x|]>,<space|1em>deg
        <around*|(|P*Q|)>\<less\>n,<space|2em><text|<with|color|white|Compute>
        >P*Q\<Leftrightarrow\><text|<with|color|white|Compute>
        ><wide|P|\<bar\>>*<wide|Q|\<bar\>>
      </equation*>
    </shown>|<\shown>
      <\compressed>
        <vspace*|1fn><strong|Summary so far>

        <\equation*>
          <tabular*|<tformat|<table|<row|<cell|\<bbb-Z\><long-arrow|\<rubber-rightarrow\>|Kronecker>\<bbb-K\><around*|[|x|]><long-arrow|\<rubber-rightarrow\>|Encode>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>>>>>
        </equation*>
      </compressed>
    </shown>>

    \;
  </hidden>|<\hidden>
    <tit|The Discrete Fourier Transform>

    <\compressed>
      <\compressed>
        <unroll|<\shown>
          <math|\<bbb-K\>><space|0.6spc>: a field (or a suitable ring)

          <math|n><space|0.6spc>: cycle or transform length

          <math|\<omega\>><space|0.6spc>: primitive <math|n>-th root of unity
          in <math|\<bbb-K\>>, say <math|\<omega\>=\<mathe\><rsup|<frac|2*\<mathpi\>*\<mathi\>|n>>>
        </shown>|<\shown>
          <vspace*|1fn><strong|Chinese remainder theorem>

          <switch|<\hidden>
            <\eqnarray*>
              <tformat|<table|<row|<cell|<around*|(|x<rsup|n>-1|)>>|<cell|=>|<cell|<big|prod><rsub|0\<leqslant\>k\<less\>n><around*|(|x-\<omega\><rsup|k>|)>>>>>
            </eqnarray*>
          </hidden>|<\hidden>
            <\eqnarray*>
              <tformat|<table|<row|<cell|<around*|(|x<rsup|n>-1|)>>|<cell|=>|<cell|<big|prod><rsub|0\<leqslant\>k\<less\>n><around*|(|x-\<omega\><rsup|k>|)>>>|<row|<cell|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>|<cell|\<cong\>>|<cell|<big|oplus><rsub|0\<leqslant\>k\<less\>n>\<bbb-K\><around*|[|x|]>/<around*|(|x-\<omega\><rsup|k>|)>>>>>
            </eqnarray*>
          </hidden>|<\shown>
            <\eqnarray*>
              <tformat|<table|<row|<cell|<around*|(|x<rsup|n>-1|)>>|<cell|=>|<cell|<big|prod><rsub|0\<leqslant\>k\<less\>n><around*|(|x-\<omega\><rsup|k>|)>>>|<row|<cell|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>|<cell|\<cong\>>|<cell|<big|oplus><rsub|0\<leqslant\>k\<less\>n>\<bbb-K\><around*|[|x|]>/<around*|(|x-\<omega\><rsup|k>|)>\<cong\>\<bbb-K\><rsup|n>>>>>
            </eqnarray*>
          </shown>>
        </shown>|<\shown>
          <strong|Discrete Fourier transform>

          <switch|<\hidden>
            <\eqnarray*>
              <tformat|<table|<row|<cell|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>|<cell|<long-arrow|\<rubber-rightleftarrows\>|<with|color|cyan|DFT<rsub|\<omega\>>>|<with|color|cyan|DFT<rsub|\<omega\>><rsup|-1>>>>|<cell|<big|oplus><rsub|0\<leqslant\>k\<less\>n>\<bbb-K\><around*|[|x|]>/<around*|(|x-\<omega\><rsup|k>|)>>>>>
            </eqnarray*>
          </hidden>|<\shown>
            <\eqnarray*>
              <tformat|<cwith|2|2|2|2|cell-tsep|3spc>|<table|<row|<cell|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>|<cell|<long-arrow|\<rubber-rightleftarrows\>|<with|color|cyan|DFT<rsub|\<omega\>>>|<with|color|cyan|DFT<rsub|\<omega\>><rsup|-1>>>>|<cell|<big|oplus><rsub|0\<leqslant\>k\<less\>n>\<bbb-K\><around*|[|x|]>/<around*|(|x-\<omega\><rsup|k>|)>>>|<row|<cell|DFT<rsub|\<omega\>><rsup|-1>>|<cell|\<leftrightsquigarrow\>>|<cell|<tfrac|1|n>*DFT<rsub|\<omega\><rsup|-1>>>>>>
            </eqnarray*>
          </shown>>
        </shown>>
      </compressed>
    </compressed>
  </hidden>|<\hidden>
    <tit|FFT multiplication>

    <unroll|<\shown>
      <\equation*>
        <tabular*|<tformat|<cwith|4|4|1|1|cell-halign|r>|<cwith|4|4|3|3|cell-halign|l>|<table|<row|<cell|P\<in\>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>|<cell|>|<cell|Q\<in\>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>>|<row|<cell|\<longdownarrow\><math-ignore|<with|color|cyan|<small|DFT>>>>|<cell|>|<cell|\<longdownarrow\><math-ignore|<with|color|cyan|<small|DFT>>>>>|<row|<cell|<wide|P|^>\<in\><big|oplus><rsub|0\<leqslant\>k\<less\>n>\<bbb-K\><around*|[|x|]>/<around*|(|x-\<omega\><rsup|k>|)>>|<cell|>|<cell|<wide|Q|^>\<in\><big|oplus><rsub|0\<leqslant\>k\<less\>n>\<bbb-K\><around*|[|x|]>/<around*|(|x-\<omega\><rsup|k>|)>>>|<row|<cell|\<searrow\>>|<cell|>|<cell|\<swarrow\>>>|<row|<cell|>|<cell|<wide|P|^>*<wide|Q|^>\<in\><big|oplus><rsub|0\<leqslant\>k\<less\>n>\<bbb-K\><around*|[|x|]>/<around*|(|x-\<omega\><rsup|k>|)>>|<cell|>>|<row|<cell|>|<cell|\<longdownarrow\><math-ignore|<with|color|cyan|<small|DFT<rsup|<space|0.6spc>-1>>>>>|<cell|>>|<row|<cell|>|<cell|P*Q\<in\>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>|<cell|>>>>>
      </equation*>
    </shown>|<\shown>
      <\compressed>
        <strong|Summary so far>

        <\equation*>
          \<bbb-Z\><long-arrow|\<rubber-rightarrow\>|Kronecker>\<bbb-K\><around*|[|x|]><long-arrow|\<rubber-rightarrow\>|Embed>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)><long-arrow|\<rubber-rightarrow\>|DFT>\<bbb-K\><rsup|n>
        </equation*>
      </compressed>
    </shown>>
  </hidden>|<\hidden>
    <tit|Making the FFT fast>

    <switch|<\hidden>
      <with|gr-mode|<tuple|edit|carc>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.499999gh>>|gr-geometry|<tuple|geometry|1par|0.31303par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>|<tuple|10|darker grey>>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>>|magnify|0.840896415|<graphics||<\plot-script-output|scheme|default|roots>
        ($graphical

        \ \ ($for (i (.. 0 36))

        \ \ \ \ ($let ((x (* 4 (cos (/ (* 6.2831853 i) 36))))

        \ \ \ \ \ \ \ \ \ \ \ (y (* 4 (sin (/ (* 6.2831853 i) 36)))))

        \ \ \ \ \ \ ($point x y))))
      </plot-script-output|<gr-group|<point|4.0|0.0>|<point|3.93923101218736|0.694592709882109>|<point|3.75877048368931|1.36808057180343>|<point|3.46410161633435|1.99999999792743>|<point|3.064177774527|2.57115043630177>|<point|2.57115044180165|3.06417776991205>|<point|2.00000000414514|3.46410161274456>|<point|1.36808057855003|3.75877048123375>|<point|0.694592716952621|3.93923101094063>|<point|7.17958605968322e-9|4.0>|<point|-0.694592702811597|3.93923101343408>|<point|-1.36808056505683|3.75877048614488>|<point|-1.99999999170973|3.46410161992415>|<point|-2.57115043080188|3.06417777914195>|<point|-3.0641777652971|2.57115044730153>|<point|-3.46410160915477|2.00000001036284>|<point|-3.75877047877819|1.36808058529664>|<point|-3.93923100969391|0.694592724023132>|<point|-4.0|1.43591721193664e-8>|<point|-3.9392310146808|-0.694592695741084>|<point|-3.75877048860044|-1.36808055831022>|<point|-3.46410162351394|-1.99999998549202>|<point|-3.0641777837569|-2.571150425302>|<point|-2.57115045280141|-3.06417776068215>|<point|-2.00000001658054|-3.46410160556497>|<point|-1.36808059204324|-3.75877047632262>|<point|-0.694592731093645|-3.93923100844719>|<point|-2.15387608435849e-8|-4.0>|<point|0.694592688670575|-3.93923101592752>|<point|1.36808055156362|-3.758770491056>|<point|1.99999997927432|-3.46410162710373>|<point|2.57115041980212|-3.06417778837185>|<point|3.0641777560672|-2.57115045830129>|<point|3.46410160197518|-2.00000002279825>|<point|3.75877047386706|-1.36808059878984>|<point|3.93923100720047|-0.694592738164155>>>|<carc|<point|4|0>|<point|0.0|4.0>|<point|-4.0|0.0>>>>
    </hidden>|<\hidden>
      <with|gr-mode|<tuple|edit|point>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.499999gh>>|gr-geometry|<tuple|geometry|1par|0.31303par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>|<tuple|10|darker grey>>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>>|gr-color|red|magnify|0.840896415|<graphics||<\plot-script-output|scheme|default|roots>
        ($graphical

        \ \ ($carc ($point 4 0) ($point 0 4) ($point -4 0))

        \ \ ($for (i (.. 0 36))

        \ \ \ \ ($let ((x (* 4 (cos (/ (* 6.2831853 i) 36))))

        \ \ \ \ \ \ \ \ \ \ \ (y (* 4 (sin (/ (* 6.2831853 i) 36)))))

        \ \ \ \ \ \ ($if (even? i)

        \ \ \ \ \ \ \ \ ($pen-color "red" ($point x y)))

        \ \ \ \ \ \ ($if (odd? i)

        \ \ \ \ \ \ \ \ ($pen-color "green" ($point x y))))))
      </plot-script-output|<gr-group|<carc|<point|4.0|0.0>|<point|0.0|4.0>|<point|-4.0|0.0>>|<with|color|red|<point|4.0|0.0>>|<with|color|green|<point|3.93923101218736|0.694592709882109>>|<with|color|red|<point|3.75877048368931|1.36808057180343>>|<with|color|green|<point|3.46410161633435|1.99999999792743>>|<with|color|red|<point|3.064177774527|2.57115043630177>>|<with|color|green|<point|2.57115044180165|3.06417776991205>>|<with|color|red|<point|2.00000000414514|3.46410161274456>>|<with|color|green|<point|1.36808057855003|3.75877048123375>>|<with|color|red|<point|0.694592716952621|3.93923101094063>>|<with|color|green|<point|7.17958605968322e-9|4.0>>|<with|color|red|<point|-0.694592702811597|3.93923101343408>>|<with|color|green|<point|-1.36808056505683|3.75877048614488>>|<with|color|red|<point|-1.99999999170973|3.46410161992415>>|<with|color|green|<point|-2.57115043080188|3.06417777914195>>|<with|color|red|<point|-3.0641777652971|2.57115044730153>>|<with|color|green|<point|-3.46410160915477|2.00000001036284>>|<with|color|red|<point|-3.75877047877819|1.36808058529664>>|<with|color|green|<point|-3.93923100969391|0.694592724023132>>|<with|color|red|<point|-4.0|1.43591721193664e-8>>|<with|color|green|<point|-3.9392310146808|-0.694592695741084>>|<with|color|red|<point|-3.75877048860044|-1.36808055831022>>|<with|color|green|<point|-3.46410162351394|-1.99999998549202>>|<with|color|red|<point|-3.0641777837569|-2.571150425302>>|<with|color|green|<point|-2.57115045280141|-3.06417776068215>>|<with|color|red|<point|-2.00000001658054|-3.46410160556497>>|<with|color|green|<point|-1.36808059204324|-3.75877047632262>>|<with|color|red|<point|-0.694592731093645|-3.93923100844719>>|<with|color|green|<point|-2.15387608435849e-8|-4.0>>|<with|color|red|<point|0.694592688670575|-3.93923101592752>>|<with|color|green|<point|1.36808055156362|-3.758770491056>>|<with|color|red|<point|1.99999997927432|-3.46410162710373>>|<with|color|green|<point|2.57115041980212|-3.06417778837185>>|<with|color|red|<point|3.0641777560672|-2.57115045830129>>|<with|color|green|<point|3.46410160197518|-2.00000002279825>>|<with|color|red|<point|3.75877047386706|-1.36808059878984>>|<with|color|green|<point|3.93923100720047|-0.694592738164155>>>>>>
    </hidden>|<\hidden>
      <with|gr-mode|<tuple|edit|point>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.499999gh>>|gr-geometry|<tuple|geometry|1par|0.31303par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>|<tuple|10|darker grey>>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>>|gr-color|red|magnify|0.840896415|<graphics||<\plot-script-output|scheme|default|roots>
        ($animation "0.1s"

        \ \ ($for (t (.. 0 23))

        \ \ \ \ ($graphical

        \ \ \ \ \ \ ($for (dx (list (- (/ t 4)) (/ t 4)))

        \ \ \ \ \ \ \ \ ($carc ($point (+ 4 dx) 0) ($point dx -4) ($point dx
        4)))

        \ \ \ \ \ \ ($for (i (.. 0 36))

        \ \ \ \ \ \ \ \ ($let ((x (* 4 (cos (/ (* 6.2831853 i) 36))))

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ (y (* 4 (sin (/ (* 6.2831853 i) 36)))))

        \ \ \ \ \ \ \ \ \ \ ($if (even? i)

        \ \ \ \ \ \ \ \ \ \ \ \ ($pen-color "red"

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ ($point (- x (/ t 4)) y)))

        \ \ \ \ \ \ \ \ \ \ ($if (odd? i)

        \ \ \ \ \ \ \ \ \ \ \ \ ($pen-color "green"

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ ($point (+ x (/ t 4)) y))))))))
      </plot-script-output|<anim-compose|<anim-constant|<gr-group|<carc|<point|4.0|0.0>|<point|0.0|-4.0>|<point|0.0|4.0>>|<carc|<point|4.0|0.0>|<point|0.0|-4.0>|<point|0.0|4.0>>|<with|color|red|<point|4.0|0.0>>|<with|color|green|<point|3.93923101218736|0.694592709882109>>|<with|color|red|<point|3.75877048368931|1.36808057180343>>|<with|color|green|<point|3.46410161633435|1.99999999792743>>|<with|color|red|<point|3.064177774527|2.57115043630177>>|<with|color|green|<point|2.57115044180165|3.06417776991205>>|<with|color|red|<point|2.00000000414514|3.46410161274456>>|<with|color|green|<point|1.36808057855003|3.75877048123375>>|<with|color|red|<point|0.694592716952621|3.93923101094063>>|<with|color|green|<point|7.17958605968322e-9|4.0>>|<with|color|red|<point|-0.694592702811597|3.93923101343408>>|<with|color|green|<point|-1.36808056505683|3.75877048614488>>|<with|color|red|<point|-1.99999999170973|3.46410161992415>>|<with|color|green|<point|-2.57115043080188|3.06417777914195>>|<with|color|red|<point|-3.0641777652971|2.57115044730153>>|<with|color|green|<point|-3.46410160915477|2.00000001036284>>|<with|color|red|<point|-3.75877047877819|1.36808058529664>>|<with|color|green|<point|-3.93923100969391|0.694592724023132>>|<with|color|red|<point|-4.0|1.43591721193664e-8>>|<with|color|green|<point|-3.9392310146808|-0.694592695741084>>|<with|color|red|<point|-3.75877048860044|-1.36808055831022>>|<with|color|green|<point|-3.46410162351394|-1.99999998549202>>|<with|color|red|<point|-3.0641777837569|-2.571150425302>>|<with|color|green|<point|-2.57115045280141|-3.06417776068215>>|<with|color|red|<point|-2.00000001658054|-3.46410160556497>>|<with|color|green|<point|-1.36808059204324|-3.75877047632262>>|<with|color|red|<point|-0.694592731093645|-3.93923100844719>>|<with|color|green|<point|-2.15387608435849e-8|-4.0>>|<with|color|red|<point|0.694592688670575|-3.93923101592752>>|<with|color|green|<point|1.36808055156362|-3.758770491056>>|<with|color|red|<point|1.99999997927432|-3.46410162710373>>|<with|color|green|<point|2.57115041980212|-3.06417778837185>>|<with|color|red|<point|3.0641777560672|-2.57115045830129>>|<with|color|green|<point|3.46410160197518|-2.00000002279825>>|<with|color|red|<point|3.75877047386706|-1.36808059878984>>|<with|color|green|<point|3.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|3.75|0.0>|<point|-0.25|-4.0>|<point|-0.25|4.0>>|<carc|<point|4.25|0.0>|<point|0.25|-4.0>|<point|0.25|4.0>>|<with|color|red|<point|3.75|0.0>>|<with|color|green|<point|4.18923101218736|0.694592709882109>>|<with|color|red|<point|3.50877048368931|1.36808057180343>>|<with|color|green|<point|3.71410161633435|1.99999999792743>>|<with|color|red|<point|2.814177774527|2.57115043630177>>|<with|color|green|<point|2.82115044180165|3.06417776991205>>|<with|color|red|<point|1.75000000414514|3.46410161274456>>|<with|color|green|<point|1.61808057855003|3.75877048123375>>|<with|color|red|<point|0.444592716952621|3.93923101094063>>|<with|color|green|<point|0.250000007179586|4.0>>|<with|color|red|<point|-0.944592702811597|3.93923101343408>>|<with|color|green|<point|-1.11808056505683|3.75877048614488>>|<with|color|red|<point|-2.24999999170973|3.46410161992415>>|<with|color|green|<point|-2.32115043080188|3.06417777914195>>|<with|color|red|<point|-3.3141777652971|2.57115044730153>>|<with|color|green|<point|-3.21410160915477|2.00000001036284>>|<with|color|red|<point|-4.00877047877819|1.36808058529664>>|<with|color|green|<point|-3.68923100969391|0.694592724023132>>|<with|color|red|<point|-4.25|1.43591721193664e-8>>|<with|color|green|<point|-3.6892310146808|-0.694592695741084>>|<with|color|red|<point|-4.00877048860044|-1.36808055831022>>|<with|color|green|<point|-3.21410162351394|-1.99999998549202>>|<with|color|red|<point|-3.3141777837569|-2.571150425302>>|<with|color|green|<point|-2.32115045280141|-3.06417776068215>>|<with|color|red|<point|-2.25000001658054|-3.46410160556497>>|<with|color|green|<point|-1.11808059204324|-3.75877047632262>>|<with|color|red|<point|-0.944592731093645|-3.93923100844719>>|<with|color|green|<point|0.249999978461239|-4.0>>|<with|color|red|<point|0.444592688670575|-3.93923101592752>>|<with|color|green|<point|1.61808055156362|-3.758770491056>>|<with|color|red|<point|1.74999997927432|-3.46410162710373>>|<with|color|green|<point|2.82115041980212|-3.06417778837185>>|<with|color|red|<point|2.8141777560672|-2.57115045830129>>|<with|color|green|<point|3.71410160197518|-2.00000002279825>>|<with|color|red|<point|3.50877047386706|-1.36808059878984>>|<with|color|green|<point|4.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|3.5|0.0>|<point|-0.5|-4.0>|<point|-0.5|4.0>>|<carc|<point|4.5|0.0>|<point|0.5|-4.0>|<point|0.5|4.0>>|<with|color|red|<point|3.5|0.0>>|<with|color|green|<point|4.43923101218736|0.694592709882109>>|<with|color|red|<point|3.25877048368931|1.36808057180343>>|<with|color|green|<point|3.96410161633435|1.99999999792743>>|<with|color|red|<point|2.564177774527|2.57115043630177>>|<with|color|green|<point|3.07115044180165|3.06417776991205>>|<with|color|red|<point|1.50000000414514|3.46410161274456>>|<with|color|green|<point|1.86808057855003|3.75877048123375>>|<with|color|red|<point|0.194592716952621|3.93923101094063>>|<with|color|green|<point|0.500000007179586|4.0>>|<with|color|red|<point|-1.1945927028116|3.93923101343408>>|<with|color|green|<point|-0.868080565056826|3.75877048614488>>|<with|color|red|<point|-2.49999999170973|3.46410161992415>>|<with|color|green|<point|-2.07115043080188|3.06417777914195>>|<with|color|red|<point|-3.5641777652971|2.57115044730153>>|<with|color|green|<point|-2.96410160915477|2.00000001036284>>|<with|color|red|<point|-4.25877047877819|1.36808058529664>>|<with|color|green|<point|-3.43923100969391|0.694592724023132>>|<with|color|red|<point|-4.5|1.43591721193664e-8>>|<with|color|green|<point|-3.4392310146808|-0.694592695741084>>|<with|color|red|<point|-4.25877048860044|-1.36808055831022>>|<with|color|green|<point|-2.96410162351394|-1.99999998549202>>|<with|color|red|<point|-3.5641777837569|-2.571150425302>>|<with|color|green|<point|-2.07115045280141|-3.06417776068215>>|<with|color|red|<point|-2.50000001658054|-3.46410160556497>>|<with|color|green|<point|-0.868080592043243|-3.75877047632262>>|<with|color|red|<point|-1.19459273109365|-3.93923100844719>>|<with|color|green|<point|0.499999978461239|-4.0>>|<with|color|red|<point|0.194592688670575|-3.93923101592752>>|<with|color|green|<point|1.86808055156362|-3.758770491056>>|<with|color|red|<point|1.49999997927432|-3.46410162710373>>|<with|color|green|<point|3.07115041980212|-3.06417778837185>>|<with|color|red|<point|2.5641777560672|-2.57115045830129>>|<with|color|green|<point|3.96410160197518|-2.00000002279825>>|<with|color|red|<point|3.25877047386706|-1.36808059878984>>|<with|color|green|<point|4.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|3.25|0.0>|<point|-0.75|-4.0>|<point|-0.75|4.0>>|<carc|<point|4.75|0.0>|<point|0.75|-4.0>|<point|0.75|4.0>>|<with|color|red|<point|3.25|0.0>>|<with|color|green|<point|4.68923101218736|0.694592709882109>>|<with|color|red|<point|3.00877048368931|1.36808057180343>>|<with|color|green|<point|4.21410161633435|1.99999999792743>>|<with|color|red|<point|2.314177774527|2.57115043630177>>|<with|color|green|<point|3.32115044180165|3.06417776991205>>|<with|color|red|<point|1.25000000414514|3.46410161274456>>|<with|color|green|<point|2.11808057855003|3.75877048123375>>|<with|color|red|<point|-0.0554072830473789|3.93923101094063>>|<with|color|green|<point|0.750000007179586|4.0>>|<with|color|red|<point|-1.4445927028116|3.93923101343408>>|<with|color|green|<point|-0.618080565056826|3.75877048614488>>|<with|color|red|<point|-2.74999999170973|3.46410161992415>>|<with|color|green|<point|-1.82115043080188|3.06417777914195>>|<with|color|red|<point|-3.8141777652971|2.57115044730153>>|<with|color|green|<point|-2.71410160915477|2.00000001036284>>|<with|color|red|<point|-4.50877047877819|1.36808058529664>>|<with|color|green|<point|-3.18923100969391|0.694592724023132>>|<with|color|red|<point|-4.75|1.43591721193664e-8>>|<with|color|green|<point|-3.1892310146808|-0.694592695741084>>|<with|color|red|<point|-4.50877048860044|-1.36808055831022>>|<with|color|green|<point|-2.71410162351394|-1.99999998549202>>|<with|color|red|<point|-3.8141777837569|-2.571150425302>>|<with|color|green|<point|-1.82115045280141|-3.06417776068215>>|<with|color|red|<point|-2.75000001658054|-3.46410160556497>>|<with|color|green|<point|-0.618080592043243|-3.75877047632262>>|<with|color|red|<point|-1.44459273109365|-3.93923100844719>>|<with|color|green|<point|0.749999978461239|-4.0>>|<with|color|red|<point|-0.0554073113294252|-3.93923101592752>>|<with|color|green|<point|2.11808055156362|-3.758770491056>>|<with|color|red|<point|1.24999997927432|-3.46410162710373>>|<with|color|green|<point|3.32115041980212|-3.06417778837185>>|<with|color|red|<point|2.3141777560672|-2.57115045830129>>|<with|color|green|<point|4.21410160197518|-2.00000002279825>>|<with|color|red|<point|3.00877047386706|-1.36808059878984>>|<with|color|green|<point|4.68923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|3.0|0.0>|<point|-1.0|-4.0>|<point|-1.0|4.0>>|<carc|<point|5.0|0.0>|<point|1.0|-4.0>|<point|1.0|4.0>>|<with|color|red|<point|3.0|0.0>>|<with|color|green|<point|4.93923101218736|0.694592709882109>>|<with|color|red|<point|2.75877048368931|1.36808057180343>>|<with|color|green|<point|4.46410161633435|1.99999999792743>>|<with|color|red|<point|2.064177774527|2.57115043630177>>|<with|color|green|<point|3.57115044180165|3.06417776991205>>|<with|color|red|<point|1.00000000414514|3.46410161274456>>|<with|color|green|<point|2.36808057855003|3.75877048123375>>|<with|color|red|<point|-0.305407283047379|3.93923101094063>>|<with|color|green|<point|1.00000000717959|4.0>>|<with|color|red|<point|-1.6945927028116|3.93923101343408>>|<with|color|green|<point|-0.368080565056826|3.75877048614488>>|<with|color|red|<point|-2.99999999170973|3.46410161992415>>|<with|color|green|<point|-1.57115043080188|3.06417777914195>>|<with|color|red|<point|-4.0641777652971|2.57115044730153>>|<with|color|green|<point|-2.46410160915477|2.00000001036284>>|<with|color|red|<point|-4.75877047877819|1.36808058529664>>|<with|color|green|<point|-2.93923100969391|0.694592724023132>>|<with|color|red|<point|-5.0|1.43591721193664e-8>>|<with|color|green|<point|-2.9392310146808|-0.694592695741084>>|<with|color|red|<point|-4.75877048860044|-1.36808055831022>>|<with|color|green|<point|-2.46410162351394|-1.99999998549202>>|<with|color|red|<point|-4.0641777837569|-2.571150425302>>|<with|color|green|<point|-1.57115045280141|-3.06417776068215>>|<with|color|red|<point|-3.00000001658054|-3.46410160556497>>|<with|color|green|<point|-0.368080592043243|-3.75877047632262>>|<with|color|red|<point|-1.69459273109365|-3.93923100844719>>|<with|color|green|<point|0.999999978461239|-4.0>>|<with|color|red|<point|-0.305407311329425|-3.93923101592752>>|<with|color|green|<point|2.36808055156362|-3.758770491056>>|<with|color|red|<point|0.999999979274321|-3.46410162710373>>|<with|color|green|<point|3.57115041980212|-3.06417778837185>>|<with|color|red|<point|2.0641777560672|-2.57115045830129>>|<with|color|green|<point|4.46410160197518|-2.00000002279825>>|<with|color|red|<point|2.75877047386706|-1.36808059878984>>|<with|color|green|<point|4.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|2.75|0.0>|<point|-1.25|-4.0>|<point|-1.25|4.0>>|<carc|<point|5.25|0.0>|<point|1.25|-4.0>|<point|1.25|4.0>>|<with|color|red|<point|2.75|0.0>>|<with|color|green|<point|5.18923101218736|0.694592709882109>>|<with|color|red|<point|2.50877048368931|1.36808057180343>>|<with|color|green|<point|4.71410161633435|1.99999999792743>>|<with|color|red|<point|1.814177774527|2.57115043630177>>|<with|color|green|<point|3.82115044180165|3.06417776991205>>|<with|color|red|<point|0.750000004145136|3.46410161274456>>|<with|color|green|<point|2.61808057855003|3.75877048123375>>|<with|color|red|<point|-0.555407283047379|3.93923101094063>>|<with|color|green|<point|1.25000000717959|4.0>>|<with|color|red|<point|-1.9445927028116|3.93923101343408>>|<with|color|green|<point|-0.118080565056826|3.75877048614488>>|<with|color|red|<point|-3.24999999170973|3.46410161992415>>|<with|color|green|<point|-1.32115043080188|3.06417777914195>>|<with|color|red|<point|-4.3141777652971|2.57115044730153>>|<with|color|green|<point|-2.21410160915477|2.00000001036284>>|<with|color|red|<point|-5.00877047877819|1.36808058529664>>|<with|color|green|<point|-2.68923100969391|0.694592724023132>>|<with|color|red|<point|-5.25|1.43591721193664e-8>>|<with|color|green|<point|-2.6892310146808|-0.694592695741084>>|<with|color|red|<point|-5.00877048860044|-1.36808055831022>>|<with|color|green|<point|-2.21410162351394|-1.99999998549202>>|<with|color|red|<point|-4.3141777837569|-2.571150425302>>|<with|color|green|<point|-1.32115045280141|-3.06417776068215>>|<with|color|red|<point|-3.25000001658054|-3.46410160556497>>|<with|color|green|<point|-0.118080592043243|-3.75877047632262>>|<with|color|red|<point|-1.94459273109365|-3.93923100844719>>|<with|color|green|<point|1.24999997846124|-4.0>>|<with|color|red|<point|-0.555407311329425|-3.93923101592752>>|<with|color|green|<point|2.61808055156362|-3.758770491056>>|<with|color|red|<point|0.749999979274321|-3.46410162710373>>|<with|color|green|<point|3.82115041980212|-3.06417778837185>>|<with|color|red|<point|1.8141777560672|-2.57115045830129>>|<with|color|green|<point|4.71410160197518|-2.00000002279825>>|<with|color|red|<point|2.50877047386706|-1.36808059878984>>|<with|color|green|<point|5.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|2.5|0.0>|<point|-1.5|-4.0>|<point|-1.5|4.0>>|<carc|<point|5.5|0.0>|<point|1.5|-4.0>|<point|1.5|4.0>>|<with|color|red|<point|2.5|0.0>>|<with|color|green|<point|5.43923101218736|0.694592709882109>>|<with|color|red|<point|2.25877048368931|1.36808057180343>>|<with|color|green|<point|4.96410161633435|1.99999999792743>>|<with|color|red|<point|1.564177774527|2.57115043630177>>|<with|color|green|<point|4.07115044180165|3.06417776991205>>|<with|color|red|<point|0.500000004145136|3.46410161274456>>|<with|color|green|<point|2.86808057855003|3.75877048123375>>|<with|color|red|<point|-0.805407283047379|3.93923101094063>>|<with|color|green|<point|1.50000000717959|4.0>>|<with|color|red|<point|-2.1945927028116|3.93923101343408>>|<with|color|green|<point|0.131919434943174|3.75877048614488>>|<with|color|red|<point|-3.49999999170973|3.46410161992415>>|<with|color|green|<point|-1.07115043080188|3.06417777914195>>|<with|color|red|<point|-4.5641777652971|2.57115044730153>>|<with|color|green|<point|-1.96410160915477|2.00000001036284>>|<with|color|red|<point|-5.25877047877819|1.36808058529664>>|<with|color|green|<point|-2.43923100969391|0.694592724023132>>|<with|color|red|<point|-5.5|1.43591721193664e-8>>|<with|color|green|<point|-2.4392310146808|-0.694592695741084>>|<with|color|red|<point|-5.25877048860044|-1.36808055831022>>|<with|color|green|<point|-1.96410162351394|-1.99999998549202>>|<with|color|red|<point|-4.5641777837569|-2.571150425302>>|<with|color|green|<point|-1.07115045280141|-3.06417776068215>>|<with|color|red|<point|-3.50000001658054|-3.46410160556497>>|<with|color|green|<point|0.131919407956757|-3.75877047632262>>|<with|color|red|<point|-2.19459273109365|-3.93923100844719>>|<with|color|green|<point|1.49999997846124|-4.0>>|<with|color|red|<point|-0.805407311329425|-3.93923101592752>>|<with|color|green|<point|2.86808055156362|-3.758770491056>>|<with|color|red|<point|0.499999979274321|-3.46410162710373>>|<with|color|green|<point|4.07115041980212|-3.06417778837185>>|<with|color|red|<point|1.5641777560672|-2.57115045830129>>|<with|color|green|<point|4.96410160197518|-2.00000002279825>>|<with|color|red|<point|2.25877047386706|-1.36808059878984>>|<with|color|green|<point|5.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|2.25|0.0>|<point|-1.75|-4.0>|<point|-1.75|4.0>>|<carc|<point|5.75|0.0>|<point|1.75|-4.0>|<point|1.75|4.0>>|<with|color|red|<point|2.25|0.0>>|<with|color|green|<point|5.68923101218736|0.694592709882109>>|<with|color|red|<point|2.00877048368931|1.36808057180343>>|<with|color|green|<point|5.21410161633435|1.99999999792743>>|<with|color|red|<point|1.314177774527|2.57115043630177>>|<with|color|green|<point|4.32115044180165|3.06417776991205>>|<with|color|red|<point|0.250000004145136|3.46410161274456>>|<with|color|green|<point|3.11808057855003|3.75877048123375>>|<with|color|red|<point|-1.05540728304738|3.93923101094063>>|<with|color|green|<point|1.75000000717959|4.0>>|<with|color|red|<point|-2.4445927028116|3.93923101343408>>|<with|color|green|<point|0.381919434943174|3.75877048614488>>|<with|color|red|<point|-3.74999999170973|3.46410161992415>>|<with|color|green|<point|-0.821150430801883|3.06417777914195>>|<with|color|red|<point|-4.8141777652971|2.57115044730153>>|<with|color|green|<point|-1.71410160915477|2.00000001036284>>|<with|color|red|<point|-5.50877047877819|1.36808058529664>>|<with|color|green|<point|-2.18923100969391|0.694592724023132>>|<with|color|red|<point|-5.75|1.43591721193664e-8>>|<with|color|green|<point|-2.1892310146808|-0.694592695741084>>|<with|color|red|<point|-5.50877048860044|-1.36808055831022>>|<with|color|green|<point|-1.71410162351394|-1.99999998549202>>|<with|color|red|<point|-4.8141777837569|-2.571150425302>>|<with|color|green|<point|-0.821150452801411|-3.06417776068215>>|<with|color|red|<point|-3.75000001658054|-3.46410160556497>>|<with|color|green|<point|0.381919407956757|-3.75877047632262>>|<with|color|red|<point|-2.44459273109365|-3.93923100844719>>|<with|color|green|<point|1.74999997846124|-4.0>>|<with|color|red|<point|-1.05540731132943|-3.93923101592752>>|<with|color|green|<point|3.11808055156362|-3.758770491056>>|<with|color|red|<point|0.249999979274321|-3.46410162710373>>|<with|color|green|<point|4.32115041980212|-3.06417778837185>>|<with|color|red|<point|1.3141777560672|-2.57115045830129>>|<with|color|green|<point|5.21410160197518|-2.00000002279825>>|<with|color|red|<point|2.00877047386706|-1.36808059878984>>|<with|color|green|<point|5.68923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|2.0|0.0>|<point|-2.0|-4.0>|<point|-2.0|4.0>>|<carc|<point|6.0|0.0>|<point|2.0|-4.0>|<point|2.0|4.0>>|<with|color|red|<point|2.0|0.0>>|<with|color|green|<point|5.93923101218736|0.694592709882109>>|<with|color|red|<point|1.75877048368931|1.36808057180343>>|<with|color|green|<point|5.46410161633435|1.99999999792743>>|<with|color|red|<point|1.064177774527|2.57115043630177>>|<with|color|green|<point|4.57115044180165|3.06417776991205>>|<with|color|red|<point|4.14513579016784e-9|3.46410161274456>>|<with|color|green|<point|3.36808057855003|3.75877048123375>>|<with|color|red|<point|-1.30540728304738|3.93923101094063>>|<with|color|green|<point|2.00000000717959|4.0>>|<with|color|red|<point|-2.6945927028116|3.93923101343408>>|<with|color|green|<point|0.631919434943174|3.75877048614488>>|<with|color|red|<point|-3.99999999170973|3.46410161992415>>|<with|color|green|<point|-0.571150430801883|3.06417777914195>>|<with|color|red|<point|-5.0641777652971|2.57115044730153>>|<with|color|green|<point|-1.46410160915477|2.00000001036284>>|<with|color|red|<point|-5.75877047877819|1.36808058529664>>|<with|color|green|<point|-1.93923100969391|0.694592724023132>>|<with|color|red|<point|-6.0|1.43591721193664e-8>>|<with|color|green|<point|-1.9392310146808|-0.694592695741084>>|<with|color|red|<point|-5.75877048860044|-1.36808055831022>>|<with|color|green|<point|-1.46410162351394|-1.99999998549202>>|<with|color|red|<point|-5.0641777837569|-2.571150425302>>|<with|color|green|<point|-0.571150452801411|-3.06417776068215>>|<with|color|red|<point|-4.00000001658054|-3.46410160556497>>|<with|color|green|<point|0.631919407956757|-3.75877047632262>>|<with|color|red|<point|-2.69459273109365|-3.93923100844719>>|<with|color|green|<point|1.99999997846124|-4.0>>|<with|color|red|<point|-1.30540731132943|-3.93923101592752>>|<with|color|green|<point|3.36808055156362|-3.758770491056>>|<with|color|red|<point|-2.07256793949284e-8|-3.46410162710373>>|<with|color|green|<point|4.57115041980212|-3.06417778837185>>|<with|color|red|<point|1.0641777560672|-2.57115045830129>>|<with|color|green|<point|5.46410160197518|-2.00000002279825>>|<with|color|red|<point|1.75877047386706|-1.36808059878984>>|<with|color|green|<point|5.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|1.75|0.0>|<point|-2.25|-4.0>|<point|-2.25|4.0>>|<carc|<point|6.25|0.0>|<point|2.25|-4.0>|<point|2.25|4.0>>|<with|color|red|<point|1.75|0.0>>|<with|color|green|<point|6.18923101218736|0.694592709882109>>|<with|color|red|<point|1.50877048368931|1.36808057180343>>|<with|color|green|<point|5.71410161633435|1.99999999792743>>|<with|color|red|<point|0.814177774527001|2.57115043630177>>|<with|color|green|<point|4.82115044180165|3.06417776991205>>|<with|color|red|<point|-0.249999995854864|3.46410161274456>>|<with|color|green|<point|3.61808057855003|3.75877048123375>>|<with|color|red|<point|-1.55540728304738|3.93923101094063>>|<with|color|green|<point|2.25000000717959|4.0>>|<with|color|red|<point|-2.9445927028116|3.93923101343408>>|<with|color|green|<point|0.881919434943174|3.75877048614488>>|<with|color|red|<point|-4.24999999170973|3.46410161992415>>|<with|color|green|<point|-0.321150430801883|3.06417777914195>>|<with|color|red|<point|-5.3141777652971|2.57115044730153>>|<with|color|green|<point|-1.21410160915477|2.00000001036284>>|<with|color|red|<point|-6.00877047877819|1.36808058529664>>|<with|color|green|<point|-1.68923100969391|0.694592724023132>>|<with|color|red|<point|-6.25|1.43591721193664e-8>>|<with|color|green|<point|-1.6892310146808|-0.694592695741084>>|<with|color|red|<point|-6.00877048860044|-1.36808055831022>>|<with|color|green|<point|-1.21410162351394|-1.99999998549202>>|<with|color|red|<point|-5.3141777837569|-2.571150425302>>|<with|color|green|<point|-0.321150452801411|-3.06417776068215>>|<with|color|red|<point|-4.25000001658054|-3.46410160556497>>|<with|color|green|<point|0.881919407956757|-3.75877047632262>>|<with|color|red|<point|-2.94459273109365|-3.93923100844719>>|<with|color|green|<point|2.24999997846124|-4.0>>|<with|color|red|<point|-1.55540731132943|-3.93923101592752>>|<with|color|green|<point|3.61808055156362|-3.758770491056>>|<with|color|red|<point|-0.250000020725679|-3.46410162710373>>|<with|color|green|<point|4.82115041980212|-3.06417778837185>>|<with|color|red|<point|0.814177756067204|-2.57115045830129>>|<with|color|green|<point|5.71410160197518|-2.00000002279825>>|<with|color|red|<point|1.50877047386706|-1.36808059878984>>|<with|color|green|<point|6.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|1.5|0.0>|<point|-2.5|-4.0>|<point|-2.5|4.0>>|<carc|<point|6.5|0.0>|<point|2.5|-4.0>|<point|2.5|4.0>>|<with|color|red|<point|1.5|0.0>>|<with|color|green|<point|6.43923101218736|0.694592709882109>>|<with|color|red|<point|1.25877048368931|1.36808057180343>>|<with|color|green|<point|5.96410161633435|1.99999999792743>>|<with|color|red|<point|0.564177774527001|2.57115043630177>>|<with|color|green|<point|5.07115044180165|3.06417776991205>>|<with|color|red|<point|-0.499999995854864|3.46410161274456>>|<with|color|green|<point|3.86808057855003|3.75877048123375>>|<with|color|red|<point|-1.80540728304738|3.93923101094063>>|<with|color|green|<point|2.50000000717959|4.0>>|<with|color|red|<point|-3.1945927028116|3.93923101343408>>|<with|color|green|<point|1.13191943494317|3.75877048614488>>|<with|color|red|<point|-4.49999999170973|3.46410161992415>>|<with|color|green|<point|-0.0711504308018829|3.06417777914195>>|<with|color|red|<point|-5.5641777652971|2.57115044730153>>|<with|color|green|<point|-0.964101609154766|2.00000001036284>>|<with|color|red|<point|-6.25877047877819|1.36808058529664>>|<with|color|green|<point|-1.43923100969391|0.694592724023132>>|<with|color|red|<point|-6.5|1.43591721193664e-8>>|<with|color|green|<point|-1.4392310146808|-0.694592695741084>>|<with|color|red|<point|-6.25877048860044|-1.36808055831022>>|<with|color|green|<point|-0.964101623513939|-1.99999998549202>>|<with|color|red|<point|-5.5641777837569|-2.571150425302>>|<with|color|green|<point|-0.0711504528014113|-3.06417776068215>>|<with|color|red|<point|-4.50000001658054|-3.46410160556497>>|<with|color|green|<point|1.13191940795676|-3.75877047632262>>|<with|color|red|<point|-3.19459273109365|-3.93923100844719>>|<with|color|green|<point|2.49999997846124|-4.0>>|<with|color|red|<point|-1.80540731132943|-3.93923101592752>>|<with|color|green|<point|3.86808055156362|-3.758770491056>>|<with|color|red|<point|-0.500000020725679|-3.46410162710373>>|<with|color|green|<point|5.07115041980212|-3.06417778837185>>|<with|color|red|<point|0.564177756067204|-2.57115045830129>>|<with|color|green|<point|5.96410160197518|-2.00000002279825>>|<with|color|red|<point|1.25877047386706|-1.36808059878984>>|<with|color|green|<point|6.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|1.25|0.0>|<point|-2.75|-4.0>|<point|-2.75|4.0>>|<carc|<point|6.75|0.0>|<point|2.75|-4.0>|<point|2.75|4.0>>|<with|color|red|<point|1.25|0.0>>|<with|color|green|<point|6.68923101218736|0.694592709882109>>|<with|color|red|<point|1.00877048368931|1.36808057180343>>|<with|color|green|<point|6.21410161633435|1.99999999792743>>|<with|color|red|<point|0.314177774527001|2.57115043630177>>|<with|color|green|<point|5.32115044180165|3.06417776991205>>|<with|color|red|<point|-0.749999995854864|3.46410161274456>>|<with|color|green|<point|4.11808057855003|3.75877048123375>>|<with|color|red|<point|-2.05540728304738|3.93923101094063>>|<with|color|green|<point|2.75000000717959|4.0>>|<with|color|red|<point|-3.4445927028116|3.93923101343408>>|<with|color|green|<point|1.38191943494317|3.75877048614488>>|<with|color|red|<point|-4.74999999170973|3.46410161992415>>|<with|color|green|<point|0.178849569198117|3.06417777914195>>|<with|color|red|<point|-5.8141777652971|2.57115044730153>>|<with|color|green|<point|-0.714101609154766|2.00000001036284>>|<with|color|red|<point|-6.50877047877819|1.36808058529664>>|<with|color|green|<point|-1.18923100969391|0.694592724023132>>|<with|color|red|<point|-6.75|1.43591721193664e-8>>|<with|color|green|<point|-1.1892310146808|-0.694592695741084>>|<with|color|red|<point|-6.50877048860044|-1.36808055831022>>|<with|color|green|<point|-0.714101623513939|-1.99999998549202>>|<with|color|red|<point|-5.8141777837569|-2.571150425302>>|<with|color|green|<point|0.178849547198589|-3.06417776068215>>|<with|color|red|<point|-4.75000001658054|-3.46410160556497>>|<with|color|green|<point|1.38191940795676|-3.75877047632262>>|<with|color|red|<point|-3.44459273109365|-3.93923100844719>>|<with|color|green|<point|2.74999997846124|-4.0>>|<with|color|red|<point|-2.05540731132943|-3.93923101592752>>|<with|color|green|<point|4.11808055156362|-3.758770491056>>|<with|color|red|<point|-0.750000020725679|-3.46410162710373>>|<with|color|green|<point|5.32115041980212|-3.06417778837185>>|<with|color|red|<point|0.314177756067204|-2.57115045830129>>|<with|color|green|<point|6.21410160197518|-2.00000002279825>>|<with|color|red|<point|1.00877047386706|-1.36808059878984>>|<with|color|green|<point|6.68923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|1.0|0.0>|<point|-3.0|-4.0>|<point|-3.0|4.0>>|<carc|<point|7.0|0.0>|<point|3.0|-4.0>|<point|3.0|4.0>>|<with|color|red|<point|1.0|0.0>>|<with|color|green|<point|6.93923101218736|0.694592709882109>>|<with|color|red|<point|0.758770483689314|1.36808057180343>>|<with|color|green|<point|6.46410161633435|1.99999999792743>>|<with|color|red|<point|0.0641777745270007|2.57115043630177>>|<with|color|green|<point|5.57115044180165|3.06417776991205>>|<with|color|red|<point|-0.999999995854864|3.46410161274456>>|<with|color|green|<point|4.36808057855003|3.75877048123375>>|<with|color|red|<point|-2.30540728304738|3.93923101094063>>|<with|color|green|<point|3.00000000717959|4.0>>|<with|color|red|<point|-3.6945927028116|3.93923101343408>>|<with|color|green|<point|1.63191943494317|3.75877048614488>>|<with|color|red|<point|-4.99999999170973|3.46410161992415>>|<with|color|green|<point|0.428849569198117|3.06417777914195>>|<with|color|red|<point|-6.0641777652971|2.57115044730153>>|<with|color|green|<point|-0.464101609154766|2.00000001036284>>|<with|color|red|<point|-6.75877047877819|1.36808058529664>>|<with|color|green|<point|-0.939231009693913|0.694592724023132>>|<with|color|red|<point|-7.0|1.43591721193664e-8>>|<with|color|green|<point|-0.939231014680801|-0.694592695741084>>|<with|color|red|<point|-6.75877048860044|-1.36808055831022>>|<with|color|green|<point|-0.464101623513939|-1.99999998549202>>|<with|color|red|<point|-6.0641777837569|-2.571150425302>>|<with|color|green|<point|0.428849547198589|-3.06417776068215>>|<with|color|red|<point|-5.00000001658054|-3.46410160556497>>|<with|color|green|<point|1.63191940795676|-3.75877047632262>>|<with|color|red|<point|-3.69459273109365|-3.93923100844719>>|<with|color|green|<point|2.99999997846124|-4.0>>|<with|color|red|<point|-2.30540731132943|-3.93923101592752>>|<with|color|green|<point|4.36808055156362|-3.758770491056>>|<with|color|red|<point|-1.00000002072568|-3.46410162710373>>|<with|color|green|<point|5.57115041980212|-3.06417778837185>>|<with|color|red|<point|0.0641777560672043|-2.57115045830129>>|<with|color|green|<point|6.46410160197518|-2.00000002279825>>|<with|color|red|<point|0.758770473867062|-1.36808059878984>>|<with|color|green|<point|6.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|0.75|0.0>|<point|-3.25|-4.0>|<point|-3.25|4.0>>|<carc|<point|7.25|0.0>|<point|3.25|-4.0>|<point|3.25|4.0>>|<with|color|red|<point|0.75|0.0>>|<with|color|green|<point|7.18923101218736|0.694592709882109>>|<with|color|red|<point|0.508770483689314|1.36808057180343>>|<with|color|green|<point|6.71410161633435|1.99999999792743>>|<with|color|red|<point|-0.185822225472999|2.57115043630177>>|<with|color|green|<point|5.82115044180165|3.06417776991205>>|<with|color|red|<point|-1.24999999585486|3.46410161274456>>|<with|color|green|<point|4.61808057855003|3.75877048123375>>|<with|color|red|<point|-2.55540728304738|3.93923101094063>>|<with|color|green|<point|3.25000000717959|4.0>>|<with|color|red|<point|-3.9445927028116|3.93923101343408>>|<with|color|green|<point|1.88191943494317|3.75877048614488>>|<with|color|red|<point|-5.24999999170973|3.46410161992415>>|<with|color|green|<point|0.678849569198117|3.06417777914195>>|<with|color|red|<point|-6.3141777652971|2.57115044730153>>|<with|color|green|<point|-0.214101609154766|2.00000001036284>>|<with|color|red|<point|-7.00877047877819|1.36808058529664>>|<with|color|green|<point|-0.689231009693913|0.694592724023132>>|<with|color|red|<point|-7.25|1.43591721193664e-8>>|<with|color|green|<point|-0.689231014680801|-0.694592695741084>>|<with|color|red|<point|-7.00877048860044|-1.36808055831022>>|<with|color|green|<point|-0.214101623513939|-1.99999998549202>>|<with|color|red|<point|-6.3141777837569|-2.571150425302>>|<with|color|green|<point|0.678849547198589|-3.06417776068215>>|<with|color|red|<point|-5.25000001658054|-3.46410160556497>>|<with|color|green|<point|1.88191940795676|-3.75877047632262>>|<with|color|red|<point|-3.94459273109365|-3.93923100844719>>|<with|color|green|<point|3.24999997846124|-4.0>>|<with|color|red|<point|-2.55540731132943|-3.93923101592752>>|<with|color|green|<point|4.61808055156362|-3.758770491056>>|<with|color|red|<point|-1.25000002072568|-3.46410162710373>>|<with|color|green|<point|5.82115041980212|-3.06417778837185>>|<with|color|red|<point|-0.185822243932796|-2.57115045830129>>|<with|color|green|<point|6.71410160197518|-2.00000002279825>>|<with|color|red|<point|0.508770473867062|-1.36808059878984>>|<with|color|green|<point|7.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|0.5|0.0>|<point|-3.5|-4.0>|<point|-3.5|4.0>>|<carc|<point|7.5|0.0>|<point|3.5|-4.0>|<point|3.5|4.0>>|<with|color|red|<point|0.5|0.0>>|<with|color|green|<point|7.43923101218736|0.694592709882109>>|<with|color|red|<point|0.258770483689314|1.36808057180343>>|<with|color|green|<point|6.96410161633435|1.99999999792743>>|<with|color|red|<point|-0.435822225472999|2.57115043630177>>|<with|color|green|<point|6.07115044180165|3.06417776991205>>|<with|color|red|<point|-1.49999999585486|3.46410161274456>>|<with|color|green|<point|4.86808057855003|3.75877048123375>>|<with|color|red|<point|-2.80540728304738|3.93923101094063>>|<with|color|green|<point|3.50000000717959|4.0>>|<with|color|red|<point|-4.1945927028116|3.93923101343408>>|<with|color|green|<point|2.13191943494317|3.75877048614488>>|<with|color|red|<point|-5.49999999170973|3.46410161992415>>|<with|color|green|<point|0.928849569198117|3.06417777914195>>|<with|color|red|<point|-6.5641777652971|2.57115044730153>>|<with|color|green|<point|0.0358983908452339|2.00000001036284>>|<with|color|red|<point|-7.25877047877819|1.36808058529664>>|<with|color|green|<point|-0.439231009693913|0.694592724023132>>|<with|color|red|<point|-7.5|1.43591721193664e-8>>|<with|color|green|<point|-0.439231014680801|-0.694592695741084>>|<with|color|red|<point|-7.25877048860044|-1.36808055831022>>|<with|color|green|<point|0.0358983764860614|-1.99999998549202>>|<with|color|red|<point|-6.5641777837569|-2.571150425302>>|<with|color|green|<point|0.928849547198589|-3.06417776068215>>|<with|color|red|<point|-5.50000001658054|-3.46410160556497>>|<with|color|green|<point|2.13191940795676|-3.75877047632262>>|<with|color|red|<point|-4.19459273109365|-3.93923100844719>>|<with|color|green|<point|3.49999997846124|-4.0>>|<with|color|red|<point|-2.80540731132943|-3.93923101592752>>|<with|color|green|<point|4.86808055156362|-3.758770491056>>|<with|color|red|<point|-1.50000002072568|-3.46410162710373>>|<with|color|green|<point|6.07115041980212|-3.06417778837185>>|<with|color|red|<point|-0.435822243932796|-2.57115045830129>>|<with|color|green|<point|6.96410160197518|-2.00000002279825>>|<with|color|red|<point|0.258770473867062|-1.36808059878984>>|<with|color|green|<point|7.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|0.25|0.0>|<point|-3.75|-4.0>|<point|-3.75|4.0>>|<carc|<point|7.75|0.0>|<point|3.75|-4.0>|<point|3.75|4.0>>|<with|color|red|<point|0.25|0.0>>|<with|color|green|<point|7.68923101218736|0.694592709882109>>|<with|color|red|<point|0.0087704836893141|1.36808057180343>>|<with|color|green|<point|7.21410161633435|1.99999999792743>>|<with|color|red|<point|-0.685822225472999|2.57115043630177>>|<with|color|green|<point|6.32115044180165|3.06417776991205>>|<with|color|red|<point|-1.74999999585486|3.46410161274456>>|<with|color|green|<point|5.11808057855003|3.75877048123375>>|<with|color|red|<point|-3.05540728304738|3.93923101094063>>|<with|color|green|<point|3.75000000717959|4.0>>|<with|color|red|<point|-4.4445927028116|3.93923101343408>>|<with|color|green|<point|2.38191943494317|3.75877048614488>>|<with|color|red|<point|-5.74999999170973|3.46410161992415>>|<with|color|green|<point|1.17884956919812|3.06417777914195>>|<with|color|red|<point|-6.8141777652971|2.57115044730153>>|<with|color|green|<point|0.285898390845234|2.00000001036284>>|<with|color|red|<point|-7.50877047877819|1.36808058529664>>|<with|color|green|<point|-0.189231009693913|0.694592724023132>>|<with|color|red|<point|-7.75|1.43591721193664e-8>>|<with|color|green|<point|-0.189231014680801|-0.694592695741084>>|<with|color|red|<point|-7.50877048860044|-1.36808055831022>>|<with|color|green|<point|0.285898376486061|-1.99999998549202>>|<with|color|red|<point|-6.8141777837569|-2.571150425302>>|<with|color|green|<point|1.17884954719859|-3.06417776068215>>|<with|color|red|<point|-5.75000001658054|-3.46410160556497>>|<with|color|green|<point|2.38191940795676|-3.75877047632262>>|<with|color|red|<point|-4.44459273109365|-3.93923100844719>>|<with|color|green|<point|3.74999997846124|-4.0>>|<with|color|red|<point|-3.05540731132943|-3.93923101592752>>|<with|color|green|<point|5.11808055156362|-3.758770491056>>|<with|color|red|<point|-1.75000002072568|-3.46410162710373>>|<with|color|green|<point|6.32115041980212|-3.06417778837185>>|<with|color|red|<point|-0.685822243932796|-2.57115045830129>>|<with|color|green|<point|7.21410160197518|-2.00000002279825>>|<with|color|red|<point|0.0087704738670622|-1.36808059878984>>|<with|color|green|<point|7.68923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|0.0|0.0>|<point|-4.0|-4.0>|<point|-4.0|4.0>>|<carc|<point|8.0|0.0>|<point|4.0|-4.0>|<point|4.0|4.0>>|<with|color|red|<point|0.0|0.0>>|<with|color|green|<point|7.93923101218736|0.694592709882109>>|<with|color|red|<point|-0.241229516310686|1.36808057180343>>|<with|color|green|<point|7.46410161633435|1.99999999792743>>|<with|color|red|<point|-0.935822225472999|2.57115043630177>>|<with|color|green|<point|6.57115044180165|3.06417776991205>>|<with|color|red|<point|-1.99999999585486|3.46410161274456>>|<with|color|green|<point|5.36808057855003|3.75877048123375>>|<with|color|red|<point|-3.30540728304738|3.93923101094063>>|<with|color|green|<point|4.00000000717959|4.0>>|<with|color|red|<point|-4.6945927028116|3.93923101343408>>|<with|color|green|<point|2.63191943494317|3.75877048614488>>|<with|color|red|<point|-5.99999999170973|3.46410161992415>>|<with|color|green|<point|1.42884956919812|3.06417777914195>>|<with|color|red|<point|-7.0641777652971|2.57115044730153>>|<with|color|green|<point|0.535898390845234|2.00000001036284>>|<with|color|red|<point|-7.75877047877819|1.36808058529664>>|<with|color|green|<point|0.0607689903060868|0.694592724023132>>|<with|color|red|<point|-8.0|1.43591721193664e-8>>|<with|color|green|<point|0.0607689853191991|-0.694592695741084>>|<with|color|red|<point|-7.75877048860044|-1.36808055831022>>|<with|color|green|<point|0.535898376486061|-1.99999998549202>>|<with|color|red|<point|-7.0641777837569|-2.571150425302>>|<with|color|green|<point|1.42884954719859|-3.06417776068215>>|<with|color|red|<point|-6.00000001658054|-3.46410160556497>>|<with|color|green|<point|2.63191940795676|-3.75877047632262>>|<with|color|red|<point|-4.69459273109365|-3.93923100844719>>|<with|color|green|<point|3.99999997846124|-4.0>>|<with|color|red|<point|-3.30540731132943|-3.93923101592752>>|<with|color|green|<point|5.36808055156362|-3.758770491056>>|<with|color|red|<point|-2.00000002072568|-3.46410162710373>>|<with|color|green|<point|6.57115041980212|-3.06417778837185>>|<with|color|red|<point|-0.935822243932796|-2.57115045830129>>|<with|color|green|<point|7.46410160197518|-2.00000002279825>>|<with|color|red|<point|-0.241229526132938|-1.36808059878984>>|<with|color|green|<point|7.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-0.25|0.0>|<point|-4.25|-4.0>|<point|-4.25|4.0>>|<carc|<point|8.25|0.0>|<point|4.25|-4.0>|<point|4.25|4.0>>|<with|color|red|<point|-0.25|0.0>>|<with|color|green|<point|8.18923101218736|0.694592709882109>>|<with|color|red|<point|-0.491229516310686|1.36808057180343>>|<with|color|green|<point|7.71410161633435|1.99999999792743>>|<with|color|red|<point|-1.185822225473|2.57115043630177>>|<with|color|green|<point|6.82115044180165|3.06417776991205>>|<with|color|red|<point|-2.24999999585486|3.46410161274456>>|<with|color|green|<point|5.61808057855003|3.75877048123375>>|<with|color|red|<point|-3.55540728304738|3.93923101094063>>|<with|color|green|<point|4.25000000717959|4.0>>|<with|color|red|<point|-4.9445927028116|3.93923101343408>>|<with|color|green|<point|2.88191943494317|3.75877048614488>>|<with|color|red|<point|-6.24999999170973|3.46410161992415>>|<with|color|green|<point|1.67884956919812|3.06417777914195>>|<with|color|red|<point|-7.3141777652971|2.57115044730153>>|<with|color|green|<point|0.785898390845234|2.00000001036284>>|<with|color|red|<point|-8.00877047877819|1.36808058529664>>|<with|color|green|<point|0.310768990306087|0.694592724023132>>|<with|color|red|<point|-8.25|1.43591721193664e-8>>|<with|color|green|<point|0.310768985319199|-0.694592695741084>>|<with|color|red|<point|-8.00877048860044|-1.36808055831022>>|<with|color|green|<point|0.785898376486061|-1.99999998549202>>|<with|color|red|<point|-7.3141777837569|-2.571150425302>>|<with|color|green|<point|1.67884954719859|-3.06417776068215>>|<with|color|red|<point|-6.25000001658054|-3.46410160556497>>|<with|color|green|<point|2.88191940795676|-3.75877047632262>>|<with|color|red|<point|-4.94459273109365|-3.93923100844719>>|<with|color|green|<point|4.24999997846124|-4.0>>|<with|color|red|<point|-3.55540731132943|-3.93923101592752>>|<with|color|green|<point|5.61808055156362|-3.758770491056>>|<with|color|red|<point|-2.25000002072568|-3.46410162710373>>|<with|color|green|<point|6.82115041980212|-3.06417778837185>>|<with|color|red|<point|-1.1858222439328|-2.57115045830129>>|<with|color|green|<point|7.71410160197518|-2.00000002279825>>|<with|color|red|<point|-0.491229526132938|-1.36808059878984>>|<with|color|green|<point|8.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-0.5|0.0>|<point|-4.5|-4.0>|<point|-4.5|4.0>>|<carc|<point|8.5|0.0>|<point|4.5|-4.0>|<point|4.5|4.0>>|<with|color|red|<point|-0.5|0.0>>|<with|color|green|<point|8.43923101218736|0.694592709882109>>|<with|color|red|<point|-0.741229516310686|1.36808057180343>>|<with|color|green|<point|7.96410161633435|1.99999999792743>>|<with|color|red|<point|-1.435822225473|2.57115043630177>>|<with|color|green|<point|7.07115044180165|3.06417776991205>>|<with|color|red|<point|-2.49999999585486|3.46410161274456>>|<with|color|green|<point|5.86808057855003|3.75877048123375>>|<with|color|red|<point|-3.80540728304738|3.93923101094063>>|<with|color|green|<point|4.50000000717959|4.0>>|<with|color|red|<point|-5.1945927028116|3.93923101343408>>|<with|color|green|<point|3.13191943494317|3.75877048614488>>|<with|color|red|<point|-6.49999999170973|3.46410161992415>>|<with|color|green|<point|1.92884956919812|3.06417777914195>>|<with|color|red|<point|-7.5641777652971|2.57115044730153>>|<with|color|green|<point|1.03589839084523|2.00000001036284>>|<with|color|red|<point|-8.25877047877819|1.36808058529664>>|<with|color|green|<point|0.560768990306087|0.694592724023132>>|<with|color|red|<point|-8.5|1.43591721193664e-8>>|<with|color|green|<point|0.560768985319199|-0.694592695741084>>|<with|color|red|<point|-8.25877048860044|-1.36808055831022>>|<with|color|green|<point|1.03589837648606|-1.99999998549202>>|<with|color|red|<point|-7.5641777837569|-2.571150425302>>|<with|color|green|<point|1.92884954719859|-3.06417776068215>>|<with|color|red|<point|-6.50000001658054|-3.46410160556497>>|<with|color|green|<point|3.13191940795676|-3.75877047632262>>|<with|color|red|<point|-5.19459273109365|-3.93923100844719>>|<with|color|green|<point|4.49999997846124|-4.0>>|<with|color|red|<point|-3.80540731132943|-3.93923101592752>>|<with|color|green|<point|5.86808055156362|-3.758770491056>>|<with|color|red|<point|-2.50000002072568|-3.46410162710373>>|<with|color|green|<point|7.07115041980212|-3.06417778837185>>|<with|color|red|<point|-1.4358222439328|-2.57115045830129>>|<with|color|green|<point|7.96410160197518|-2.00000002279825>>|<with|color|red|<point|-0.741229526132938|-1.36808059878984>>|<with|color|green|<point|8.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-0.75|0.0>|<point|-4.75|-4.0>|<point|-4.75|4.0>>|<carc|<point|8.75|0.0>|<point|4.75|-4.0>|<point|4.75|4.0>>|<with|color|red|<point|-0.75|0.0>>|<with|color|green|<point|8.68923101218736|0.694592709882109>>|<with|color|red|<point|-0.991229516310686|1.36808057180343>>|<with|color|green|<point|8.21410161633435|1.99999999792743>>|<with|color|red|<point|-1.685822225473|2.57115043630177>>|<with|color|green|<point|7.32115044180165|3.06417776991205>>|<with|color|red|<point|-2.74999999585486|3.46410161274456>>|<with|color|green|<point|6.11808057855003|3.75877048123375>>|<with|color|red|<point|-4.05540728304738|3.93923101094063>>|<with|color|green|<point|4.75000000717959|4.0>>|<with|color|red|<point|-5.4445927028116|3.93923101343408>>|<with|color|green|<point|3.38191943494317|3.75877048614488>>|<with|color|red|<point|-6.74999999170973|3.46410161992415>>|<with|color|green|<point|2.17884956919812|3.06417777914195>>|<with|color|red|<point|-7.8141777652971|2.57115044730153>>|<with|color|green|<point|1.28589839084523|2.00000001036284>>|<with|color|red|<point|-8.50877047877819|1.36808058529664>>|<with|color|green|<point|0.810768990306087|0.694592724023132>>|<with|color|red|<point|-8.75|1.43591721193664e-8>>|<with|color|green|<point|0.810768985319199|-0.694592695741084>>|<with|color|red|<point|-8.50877048860044|-1.36808055831022>>|<with|color|green|<point|1.28589837648606|-1.99999998549202>>|<with|color|red|<point|-7.8141777837569|-2.571150425302>>|<with|color|green|<point|2.17884954719859|-3.06417776068215>>|<with|color|red|<point|-6.75000001658054|-3.46410160556497>>|<with|color|green|<point|3.38191940795676|-3.75877047632262>>|<with|color|red|<point|-5.44459273109365|-3.93923100844719>>|<with|color|green|<point|4.74999997846124|-4.0>>|<with|color|red|<point|-4.05540731132943|-3.93923101592752>>|<with|color|green|<point|6.11808055156362|-3.758770491056>>|<with|color|red|<point|-2.75000002072568|-3.46410162710373>>|<with|color|green|<point|7.32115041980212|-3.06417778837185>>|<with|color|red|<point|-1.6858222439328|-2.57115045830129>>|<with|color|green|<point|8.21410160197518|-2.00000002279825>>|<with|color|red|<point|-0.991229526132938|-1.36808059878984>>|<with|color|green|<point|8.68923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.0|0.0>|<point|-5.0|-4.0>|<point|-5.0|4.0>>|<carc|<point|9.0|0.0>|<point|5.0|-4.0>|<point|5.0|4.0>>|<with|color|red|<point|-1.0|0.0>>|<with|color|green|<point|8.93923101218736|0.694592709882109>>|<with|color|red|<point|-1.24122951631069|1.36808057180343>>|<with|color|green|<point|8.46410161633435|1.99999999792743>>|<with|color|red|<point|-1.935822225473|2.57115043630177>>|<with|color|green|<point|7.57115044180165|3.06417776991205>>|<with|color|red|<point|-2.99999999585486|3.46410161274456>>|<with|color|green|<point|6.36808057855003|3.75877048123375>>|<with|color|red|<point|-4.30540728304738|3.93923101094063>>|<with|color|green|<point|5.00000000717959|4.0>>|<with|color|red|<point|-5.6945927028116|3.93923101343408>>|<with|color|green|<point|3.63191943494317|3.75877048614488>>|<with|color|red|<point|-6.99999999170973|3.46410161992415>>|<with|color|green|<point|2.42884956919812|3.06417777914195>>|<with|color|red|<point|-8.0641777652971|2.57115044730153>>|<with|color|green|<point|1.53589839084523|2.00000001036284>>|<with|color|red|<point|-8.75877047877819|1.36808058529664>>|<with|color|green|<point|1.06076899030609|0.694592724023132>>|<with|color|red|<point|-9.0|1.43591721193664e-8>>|<with|color|green|<point|1.0607689853192|-0.694592695741084>>|<with|color|red|<point|-8.75877048860044|-1.36808055831022>>|<with|color|green|<point|1.53589837648606|-1.99999998549202>>|<with|color|red|<point|-8.0641777837569|-2.571150425302>>|<with|color|green|<point|2.42884954719859|-3.06417776068215>>|<with|color|red|<point|-7.00000001658054|-3.46410160556497>>|<with|color|green|<point|3.63191940795676|-3.75877047632262>>|<with|color|red|<point|-5.69459273109365|-3.93923100844719>>|<with|color|green|<point|4.99999997846124|-4.0>>|<with|color|red|<point|-4.30540731132943|-3.93923101592752>>|<with|color|green|<point|6.36808055156362|-3.758770491056>>|<with|color|red|<point|-3.00000002072568|-3.46410162710373>>|<with|color|green|<point|7.57115041980212|-3.06417778837185>>|<with|color|red|<point|-1.9358222439328|-2.57115045830129>>|<with|color|green|<point|8.46410160197518|-2.00000002279825>>|<with|color|red|<point|-1.24122952613294|-1.36808059878984>>|<with|color|green|<point|8.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.25|0.0>|<point|-5.25|-4.0>|<point|-5.25|4.0>>|<carc|<point|9.25|0.0>|<point|5.25|-4.0>|<point|5.25|4.0>>|<with|color|red|<point|-1.25|0.0>>|<with|color|green|<point|9.18923101218736|0.694592709882109>>|<with|color|red|<point|-1.49122951631069|1.36808057180343>>|<with|color|green|<point|8.71410161633435|1.99999999792743>>|<with|color|red|<point|-2.185822225473|2.57115043630177>>|<with|color|green|<point|7.82115044180165|3.06417776991205>>|<with|color|red|<point|-3.24999999585486|3.46410161274456>>|<with|color|green|<point|6.61808057855003|3.75877048123375>>|<with|color|red|<point|-4.55540728304738|3.93923101094063>>|<with|color|green|<point|5.25000000717959|4.0>>|<with|color|red|<point|-5.9445927028116|3.93923101343408>>|<with|color|green|<point|3.88191943494317|3.75877048614488>>|<with|color|red|<point|-7.24999999170973|3.46410161992415>>|<with|color|green|<point|2.67884956919812|3.06417777914195>>|<with|color|red|<point|-8.3141777652971|2.57115044730153>>|<with|color|green|<point|1.78589839084523|2.00000001036284>>|<with|color|red|<point|-9.00877047877819|1.36808058529664>>|<with|color|green|<point|1.31076899030609|0.694592724023132>>|<with|color|red|<point|-9.25|1.43591721193664e-8>>|<with|color|green|<point|1.3107689853192|-0.694592695741084>>|<with|color|red|<point|-9.00877048860044|-1.36808055831022>>|<with|color|green|<point|1.78589837648606|-1.99999998549202>>|<with|color|red|<point|-8.3141777837569|-2.571150425302>>|<with|color|green|<point|2.67884954719859|-3.06417776068215>>|<with|color|red|<point|-7.25000001658054|-3.46410160556497>>|<with|color|green|<point|3.88191940795676|-3.75877047632262>>|<with|color|red|<point|-5.94459273109365|-3.93923100844719>>|<with|color|green|<point|5.24999997846124|-4.0>>|<with|color|red|<point|-4.55540731132943|-3.93923101592752>>|<with|color|green|<point|6.61808055156362|-3.758770491056>>|<with|color|red|<point|-3.25000002072568|-3.46410162710373>>|<with|color|green|<point|7.82115041980212|-3.06417778837185>>|<with|color|red|<point|-2.1858222439328|-2.57115045830129>>|<with|color|green|<point|8.71410160197518|-2.00000002279825>>|<with|color|red|<point|-1.49122952613294|-1.36808059878984>>|<with|color|green|<point|9.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.43923101218736|0.694592709882109>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.96410161633435|1.99999999792743>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|8.07115044180165|3.06417776991205>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.86808057855003|3.75877048123375>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.50000000717959|4.0>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.13191943494317|3.75877048614488>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.92884956919812|3.06417777914195>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|2.03589839084523|2.00000001036284>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.56076899030609|0.694592724023132>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.5607689853192|-0.694592695741084>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.03589837648606|-1.99999998549202>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|2.92884954719859|-3.06417776068215>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.13191940795676|-3.75877047632262>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.49999997846124|-4.0>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.86808055156362|-3.758770491056>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.07115041980212|-3.06417778837185>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|8.96410160197518|-2.00000002279825>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.43923100720047|-0.694592738164155>>>|0.1s>>>>>
    </hidden>|<\hidden>
      <with|gr-mode|<tuple|edit|point>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.499999gh>>|gr-geometry|<tuple|geometry|1par|0.31303par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>|<tuple|10|darker grey>>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>>|gr-color|red|magnify|0.840896415|<graphics||<\plot-script-output|scheme|default|roots>
        ($animation "0.1s"

        \ \ ($for (t (.. 0 23))

        \ \ \ \ ($graphical

        \ \ \ \ \ \ ($for (dx (list (- (/ 22.0 4)) (/ 22.0 4)))

        \ \ \ \ \ \ \ \ ($carc ($point (+ 4 dx) 0) ($point dx -4) ($point dx
        4)))

        \ \ \ \ \ \ ($for (i (.. 0 36))

        \ \ \ \ \ \ \ \ ($let* ((x (* 4 (cos (/ (* 6.2831853 i) 36))))

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ (y (* 4 (sin (/ (* 6.2831853 i)
        36))))

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ (j (+ i (/ t 22.0)))

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ (u (* 4 (cos (/ (* 6.2831853 j)
        36))))

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ (v (* 4 (sin (/ (* 6.2831853 j)
        36)))))

        \ \ \ \ \ \ \ \ \ \ ($if (even? i)

        \ \ \ \ \ \ \ \ \ \ \ \ ($pen-color "red"

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ ($point (- x (/ 22.0 4)) y)))

        \ \ \ \ \ \ \ \ \ \ ($if (odd? i)

        \ \ \ \ \ \ \ \ \ \ \ \ ($pen-color "green"

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ ($point (+ u (/ 22.0 4)) v))))))))
      </plot-script-output|<anim-compose|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.43923101218736|0.694592709882109>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.96410161633435|1.99999999792743>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|8.07115044180165|3.06417776991205>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.86808057855003|3.75877048123375>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.50000000717959|4.0>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.13191943494317|3.75877048614488>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.92884956919812|3.06417777914195>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|2.03589839084523|2.00000001036284>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.56076899030609|0.694592724023132>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.5607689853192|-0.694592695741084>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.03589837648606|-1.99999998549202>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|2.92884954719859|-3.06417776068215>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.13191940795676|-3.75877047632262>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.49999997846124|-4.0>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.86808055156362|-3.758770491056>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.07115041980212|-3.06417778837185>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|8.96410160197518|-2.00000002279825>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.43359668539003|0.725821683809863>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.94812614289206|2.02741858102966>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|8.04676069958005|3.08447887641892>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.83821833040866|3.76950549809365>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.46826708095598|3.99987412575058>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.10214328985936|3.74779890307828>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.90462164779218|3.04368382209634>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|2.02014093799815|1.97245555301093>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.55538258738216|0.663320034426927>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.56640331200442|-0.725821669689065>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.05187384982993|-2.02741856865161>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|2.95323928934731|-3.08447886727658>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.1617816560596|-3.76950549328972>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.5317329046853|-3.99987412586449>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.89785669668682|-3.7477989080963>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.09537834128163|-3.04368383141322>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|8.97985905492114|-1.9724555655029>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.44461741023666|-0.663320048587286>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.42771478921552|0.757004976587115>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.93193365420649|2.05470956417808>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|8.02221067149016|3.10458585460624>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.80827185861522|3.78000327300857>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.43653615191196|3.99949651081056>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.07245512189745|3.736591444218>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.88055707211118|3.02299830425577>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|2.00460249757394|1.94478695492171>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.55024444744861|0.632005597356105>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.57228520806699|-0.757004962487432>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.06806633841753|-2.05470955185815>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|2.97778931736502|-3.10458584555202>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.19172812781535|-3.78000326831214>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.56346383373067|-3.99949651103838>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.92754486468896|-3.73659144934259>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.11944291703688|-3.02299831365902>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|8.99539749544468|-1.94478696746946>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.44975555028262|-0.632005611534905>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.42158569385364|0.788140625626189>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.91552516938679|2.0818712297559>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.99750190264086|3.12449743899803>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.7782430479154|3.79026314527843>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.40480921710187|3.99886717894596>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.04285679954622|3.72514881492959>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.856657356711|3.00212252750782>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.98928404751779|1.91699595747799>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.54535489388533|0.600651383652182>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.5784143033171|-0.788140611548509>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.08447482313972|-2.08187121749487>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.00249808614284|-3.12449743003252>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.22175693847834|-3.7902631406898>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.59519076854302|-3.99886717928768>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.95714318708127|-3.72514882016043>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.143342632512|-3.00212253699687>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.01071594560059|-1.91699597008073>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.45464510395846|-0.600651397848541>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.4152097850522|0.819226671337973>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.89890172113628|2.1089018682852>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.97263594813173|3.14421237641587>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.74813378823706|3.80028446917609>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.37308827332867|3.99798616976514>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.01335018563982|3.71347173537955>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.8329240057717|2.98105780571447>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.97418655192936|1.88908430976603>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.5407142344269|0.56925936666011>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.58479021200694|-0.819226657283182>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.1010982712932|-2.10890185608385>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.0273640405812|-3.14421236753961>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.2518661981207|-3.80028446469555>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.62691171231939|-3.99798617022072>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.98664980102959|-3.71347174071632>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.16707598352692|-2.98105781528871>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.02581344128922|-1.88908432242297>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.45928576352957|-0.56925938087313>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.40858746409275|0.850261157255246>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.88206435568747|2.13579977853457>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.94761437295514|3.1637294260577>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.71794597457129|3.81006661398795>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.34137531701825|3.99685353871629>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.98393713724052|3.70156094049004>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.80935851300282|2.95980546462932>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.95931096100202|1.86105376846548>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.53632276114323|0.537831522104077>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.59141253285499|-0.850261143224227>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.11793563664545|-2.13579976639365>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.05238561568772|-3.16372941727127>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.28205401175136|-3.81006660961577>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.65862466863387|-3.99685353928572>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.01606284947164|-3.70156094593239>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.19064147637209|-2.95980547428817>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.04068903231718|-1.86105378117582>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.46367723692606|-0.53783153633286>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.40171914776531|0.881242130155813>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.86501413273621|2.16256326762608>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.92243875189782|3.183047359576>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.68768150685314|3.81960896405366>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.3096723440938|3.995469357084>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.95461950552186|3.68941717989258>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.78596236154938|2.93836684181424>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.94465821096313|1.8329060977388>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.53218075042114|0.506369827963146>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.59828084907122|-0.88124211614945>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.13498585950064|-2.16256325554638>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.0775612366757|-3.18304735087995>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.31231847943525|-3.81960895979013>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.69032764156329|-3.99546935776724>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.0453804812339|-3.68941718544017>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.21403762790249|-2.93836685155707>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.05534178245712|-1.83290611050175>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.4678192477611|-0.506369842206794>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.39460526834216|0.912167640185438>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.84775212537498|2.18919065114194>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.89711066944167|3.20216496115502>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.65734228984205|3.82891091880487>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.27798134985019|3.99383371198472>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.92539913565212|3.67704121788088>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.76273702389856|2.91674328655511>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.93022922401505|1.80464306912027>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.52828846294698|0.474876264346783>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.60539472838334|-0.912167626204609>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.15224786676627|-2.1891906391242>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.10288931906322|-3.20216495254989>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.34265769641295|-3.82891091465025>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.72201863581277|-3.99383371278172>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.07460085114806|-3.67704122353337>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.23726296563093|-2.91674329638132>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.06977076950665|-1.80464308193501>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.47171153534831|-0.474876278604401>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.38724627355063|0.943035740980557>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.83027942002541|2.21568025323042>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.87163171966411|3.22108102758733>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.62693023300198|3.83797189280303>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.24630432882837|3.99194670636129>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.89627786667819|3.66443383336277>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.73968396178699|2.89493615977694>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.91602490827716|1.77626646140445>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.52464614369026|0.443352813370222>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.61275372306407|-0.943035727026147>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.16972057202076|-2.21568024127541>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.12836826877288|-3.22108101907367>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.3730697532205|-3.83797188875759>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.75369565684137|-3.99194670727201>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.10372212016725|-3.6644338391198>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.26031602782079|-2.8949361696859>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.08397508534641|-1.77626647427018>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.47535385471819|-0.443352827640916>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.37964262654489|0.973844489790782>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.81259711636981|2.24203040671139>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.84600350613769|3.23979436834958>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.59644725038119|3.84679131577624>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.21464327468988|3.98980845897648>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.86725753140984|3.65159581981113>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.71680462610877|2.8729468339582>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.90204615772865|1.74777806053424>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.52125402188818|0.41180145902973>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.62035736995921|-0.973844475863668>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.18740287558177|-2.24203039481985>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.15399648223212|-3.23979435992791>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.40355273580962|-3.84679131184022>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.78535671098754|-3.98980846000085>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.13274245548169|-3.65159582567234>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.28319536357795|-2.87294684394929>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.09795383599719|-1.74777807345015>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.47874597663354|-0.411801473312608>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.37179480587684|1.00459194760117>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.79470632728204|2.26823945318119>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.82022764182923|3.25830380567736>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.56589526049185|3.85536863265512>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.18300018009132|3.98741910440549>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.83833995630436|3.63852798521399>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.69410045682415|2.85077669304447>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.88829385215228|1.71917965948849>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.51811231103123|0.380224187077728>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.62820519051688|-1.00459193370223>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.20529366457545|-2.26823944135388>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.17977234647413|-3.25830379734822>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.43410472566818|-3.85536862882878>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.81699980559467|-3.98741910554345>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.16166003063408|-3.63852799117901>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.30589953294216|-2.85077670311706>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.11170614167622|-1.71917967245377>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.48188768760385|-0.380224201371883>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.36370330546598|1.03527617925426>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.77660817875743|2.29430574311706>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.79430574899823|3.27660817463939>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.53527618618921|3.86370330360776>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.15137703655898|3.98477879302749>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.80952696135159|3.62523115202366>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.67157288286891|2.82842713236129>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.87476885707901|1.69047305816915>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.51522120884974|0.348622984897815>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.6362966908176|-1.03527616538436>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.22339181300649|-2.29430573135472>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.20569423923942|-3.2766081664033>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.4647237999409|-3.86370329989133>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.84862294913649|-3.98477879427897>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.19047302563458|-3.62523115809211>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.32842710697762|-2.82842714251476>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.12523113685254|-1.69047307118298>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.48477878989878|-0.348622999202349>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.35536863456829|1.06589525357186>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.75830380984193|2.32022763598091>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.76823945909485|3.29470632321078>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.50459195455064|3.8717948040737>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.1197758343635|3.98188769101616>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.78082035995943|3.61170615710497>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.64922332206443|2.8058995585264>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.86147202373353|1.66166006328799>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.51258089730146|0.316999841379697>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.64463136160536|-1.06589523973189>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.24169618182893|-2.32022762428427>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.23176052907783|-3.29470631506827>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.49540803155042|-3.87179480046743>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.88022415134235|-3.98188769238109>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.2191796270753|-3.61170616327647>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.35077666786297|-2.8058995687601>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.13852797030145|-1.66166007634955>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.48741910156058|-0.316999855693709>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.34679131774425|1.0964472434766>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.73979437256041|2.3460035003226>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.74203041265716|3.31259711234559>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.47384449675434|3.87964262479694>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.08819856239458|3.97874598032924>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.75222195883963|3.59795385168259>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.62705318102844|2.78319538936116>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.84840418898068|1.63274248825287>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.51019154256008|0.285356746794004>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.65320867831973|-1.09644722966742>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.26020561901792|-2.3460034886924>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.2579695754513|-3.31259710429717>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.52615548931855|-3.87964262130104>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.91180142332254|-3.97874598180753>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.24777802824446|-3.59795385795675>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.37294680898046|-2.78319539967445>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.15159580515811|-1.63274250136134>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.48980845641555|-0.285356761116587>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.33797189482576|1.12693022611322>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.72108103184417|2.3716317138826>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.71568025920793|3.33027941604849>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.44303574795776|3.88724627185798>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.05664720803582|3.97535385869706>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.72373355789414|3.58397510128748>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.60506385508651|2.76031605380134>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.83556617527278|1.60372215305365>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50805329500478|0.253695692667019>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.6620281011288|-1.12693021233569>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.27891895964217|-2.37163170231959>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.28431972883706|-3.33027940809466>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.55696423808783|-3.88724626847267>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.94335277769348|-3.9753538602886>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.27626642924013|-3.58397510766391>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.39493613500453|-2.76031606419357>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.16443381897019|-1.60372216620821>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.4919467040845|-0.253695706997283>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.32891092088218|1.15734228296956>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.70216496545758|2.39711066369412>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.68919065715081|3.34775212144562>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.41216764717585|3.89460526670492>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.02512375703965|3.97171153961008>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.69535695010183|3.56977078570239>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.5832567281842|2.73726299180719>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.82295879059786|1.57460088414761>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50616628921078|0.222018671655363>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.6710890749632|-1.15734226922456>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.29783502593729|-2.39711065219901>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.31080933083146|-3.34775211358687>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.58783233884332|-3.89460526343042>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.97487622870273|-3.97171154131479>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.30464303708343|-3.56977079218068>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.41674326198959|-2.7372630022777>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.17704120374965|-1.57460089734742>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49383370999222|-0.222018685992401>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.31960896618542|1.18768149999734>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.68304736392403|2.42243874618458>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.66256327366593|3.36501412885463>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.381242137159|3.90171914618357>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.99363019340233|3.96781925230551>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.66709392140561|3.5553417989065>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.56163317280001|2.71403765427281>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.81058282842882|1.54538051434451>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50453064394085|0.190327677420562>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.68039102955105|-1.18768148628573>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.31695262737992|-2.4224387347581>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.33743671425436|-3.36501412109147>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.61875784883464|-3.90171914302009>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.00636979235402|-3.96781925412327>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.33290606583145|-3.55534180548626>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.43836681745716|-2.71403766482094>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.18941716602359|-1.54538052758875>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49546935537591|-0.190327691763468>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.31006661617404|1.21794596773262>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.66372943045092|2.44761436727658>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.63579978460502|3.38206435185393>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.35026116427076|3.90858746256662>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.96216849923909|3.96367724175282>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.63894625060003|3.54068904901918>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.54019454985895|2.69064150293481>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.79843906767349|1.51606288269124>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50314646213785|0.158624704503567>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.68993337945379|-1.21794595405527>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.33627056076265|-2.44761435591944>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.36420020325407|-3.38206434418685>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.64973882169822|-3.90858745951435>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.03783148653212|-3.96367724368353>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.36105373668963|-3.54068905569997>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.45980544048221|-2.6906415135599>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.20156092688416|-1.51606289597907>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49685353729272|-0.158624718851442>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.30028447141636|1.24813378141594>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.64421238085399|2.47263594248819>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.60890187438588|3.39890171735102>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.31922667836537|3.91520978358177>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.93074065465941|3.95928576863838>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.61091570921938|3.52581345824278>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.51894220864691|2.66707601028037>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.78652827262559|1.48664983435608>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50201383091824|0.126911748199245>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.6997155241031|-1.24813376777371>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.35578761026976|-2.47263593120112>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.39109811341276|-3.3989017097805>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.68077330757984|-3.91520978064092>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.06925933112757|-3.9592857706819>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.38908427812368|-3.5258134650242>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.48105778177884|-2.66707602098175>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.21347172203764|-1.48664984768667>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49798616862617|-0.126911762551186>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.29026314757274|1.27824304111227>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.62449744348079|2.49750189703271>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.58187123588641|3.41552516565005>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.28814063266503|3.92158569243901>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.89934863764236|3.95464510934899>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.58300406142613|3.51071596280464>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.49787748672576|2.64334265945449>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.77485119291668|1.45714322051255>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50113282156661|0.0951908044307846>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.70973684783863|-1.27824302750601>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.37550254755369|-2.49750188581641>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.41812875185256|-3.41552515817656>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.71185935325729|-3.92158568960975>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.10065134816129|-3.95464511150521>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.41699592597113|-3.51071596968625>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.50212250378519|-2.64334267023149>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.22514880185248|-1.45714323388506>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49886717809168|-0.0951908187858884>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.28000327535678|1.3082718518305>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.60458585913335|2.52221066591775>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.55470957033805|3.4319336505185>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.25700498363696|3.92771478785678>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.8679944239121|3.94975555595455>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.55521306389992|3.49539751289814>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.47700170984912|2.61944294416673>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.76340856346888|1.42754489822293>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50050348953117|0.0634638696240837>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.7199967199468|-1.30827183826108>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.39541413181244|-2.52221065477293>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.44529041734202|-3.43193364314252>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.74299500226336|-3.92771478513929>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.13200556190909|-3.94975555822332>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.44478692355233|-3.49539751987952>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.52299828074762|-2.61944295501867>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.23659143140653|-1.42754491163653>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49949651024101|-0.0634638839814502>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.26950550049562|1.33821832364279>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.5844788809901|2.54676069404373>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.52741858721869|3.44812613925305>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.22582169087026|3.93359668408725>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.83667998681361|3.94461741618961>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.52754446572703|3.47985907262291>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.45631619187896|2.59537836859711>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.75220110444874|1.39785673032137>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50012587442029|0.0317329405821001>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.73049449470046|-1.33821831011104>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.41552110986756|-2.54676068297109>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.47258140040325|-3.44812613197504>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.77417829500894|-3.9335966814817>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.16331999902603|-3.94461741857079>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.47245552178099|-3.47985907970361>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.54368379880417|-2.59537837952331>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.24779889053324|-1.3978567437752>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49987412546579|-0.0317329549408204>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.25877048368931|1.36808057180343>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.564177774527|2.57115043630177>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.50000000414514|3.46410161274456>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.19459271695262|3.93923101094063>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.8054072971884|3.93923101343408>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.50000000829027|3.46410161992415>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.4358222347029|2.57115044730153>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.74122952122181|1.36808058529664>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.5|1.43591721193664e-8>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.74122951139956|-1.36808055831022>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.4358222162431|-2.571150425302>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.49999998341946|-3.46410160556497>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.80540726890635|-3.93923100844719>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.19459268867057|-3.93923101592752>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.49999997927432|-3.46410162710373>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.5641777560672|-2.57115045830129>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.25877047386706|-1.36808059878984>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.5|-2.87183442387329e-8>>>|0.1s>>>>>
    </hidden>|<\hidden>
      <with|gr-mode|<tuple|edit|point>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.499999gh>>|gr-geometry|<tuple|geometry|1par|0.31303par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>|<tuple|10|darker grey>>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>>|gr-color|red|magnify|0.840896415|<graphics||<\plot-script-output|scheme|default|roots>
        ($graphical

        \ \ ($carc ($point 4 0) ($point 0 4) ($point -4 0))

        \ \ ($for (i (.. 0 36))

        \ \ \ \ ($let ((x (* 4 (cos (/ (* 6.2831853 i) 36))))

        \ \ \ \ \ \ \ \ \ \ \ (y (* 4 (sin (/ (* 6.2831853 i) 36)))))

        \ \ \ \ \ \ ($if (even? i)

        \ \ \ \ \ \ \ \ ($pen-color "red" ($point x y)))

        \ \ \ \ \ \ ($if (odd? i)

        \ \ \ \ \ \ \ \ ($pen-color "green" ($point x y))))))
      </plot-script-output|<gr-group|<carc|<point|4.0|0.0>|<point|0.0|4.0>|<point|-4.0|0.0>>|<with|color|red|<point|4.0|0.0>>|<with|color|green|<point|3.93923101218736|0.694592709882109>>|<with|color|red|<point|3.75877048368931|1.36808057180343>>|<with|color|green|<point|3.46410161633435|1.99999999792743>>|<with|color|red|<point|3.064177774527|2.57115043630177>>|<with|color|green|<point|2.57115044180165|3.06417776991205>>|<with|color|red|<point|2.00000000414514|3.46410161274456>>|<with|color|green|<point|1.36808057855003|3.75877048123375>>|<with|color|red|<point|0.694592716952621|3.93923101094063>>|<with|color|green|<point|7.17958605968322e-9|4.0>>|<with|color|red|<point|-0.694592702811597|3.93923101343408>>|<with|color|green|<point|-1.36808056505683|3.75877048614488>>|<with|color|red|<point|-1.99999999170973|3.46410161992415>>|<with|color|green|<point|-2.57115043080188|3.06417777914195>>|<with|color|red|<point|-3.0641777652971|2.57115044730153>>|<with|color|green|<point|-3.46410160915477|2.00000001036284>>|<with|color|red|<point|-3.75877047877819|1.36808058529664>>|<with|color|green|<point|-3.93923100969391|0.694592724023132>>|<with|color|red|<point|-4.0|1.43591721193664e-8>>|<with|color|green|<point|-3.9392310146808|-0.694592695741084>>|<with|color|red|<point|-3.75877048860044|-1.36808055831022>>|<with|color|green|<point|-3.46410162351394|-1.99999998549202>>|<with|color|red|<point|-3.0641777837569|-2.571150425302>>|<with|color|green|<point|-2.57115045280141|-3.06417776068215>>|<with|color|red|<point|-2.00000001658054|-3.46410160556497>>|<with|color|green|<point|-1.36808059204324|-3.75877047632262>>|<with|color|red|<point|-0.694592731093645|-3.93923100844719>>|<with|color|green|<point|-2.15387608435849e-8|-4.0>>|<with|color|red|<point|0.694592688670575|-3.93923101592752>>|<with|color|green|<point|1.36808055156362|-3.758770491056>>|<with|color|red|<point|1.99999997927432|-3.46410162710373>>|<with|color|green|<point|2.57115041980212|-3.06417778837185>>|<with|color|red|<point|3.0641777560672|-2.57115045830129>>|<with|color|green|<point|3.46410160197518|-2.00000002279825>>|<with|color|red|<point|3.75877047386706|-1.36808059878984>>|<with|color|green|<point|3.93923100720047|-0.694592738164155>>>>>>

      <\equation*>
        \<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|2*n>-1|)>
      </equation*>
    </hidden>|<\hidden>
      <with|gr-mode|<tuple|edit|point>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.499999gh>>|gr-geometry|<tuple|geometry|1par|0.31303par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>|<tuple|10|darker grey>>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>>|gr-color|red|magnify|0.840896415|<graphics||<\plot-script-output|scheme|default|roots>
        ($animation "0.1s"

        \ \ ($for (t (.. 0 23))

        \ \ \ \ ($graphical

        \ \ \ \ \ \ ($for (dx (list (- (/ t 4)) (/ t 4)))

        \ \ \ \ \ \ \ \ ($carc ($point (+ 4 dx) 0) ($point dx -4) ($point dx
        4)))

        \ \ \ \ \ \ ($for (i (.. 0 36))

        \ \ \ \ \ \ \ \ ($let ((x (* 4 (cos (/ (* 6.2831853 i) 36))))

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ (y (* 4 (sin (/ (* 6.2831853 i) 36)))))

        \ \ \ \ \ \ \ \ \ \ ($if (even? i)

        \ \ \ \ \ \ \ \ \ \ \ \ ($pen-color "red"

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ ($point (- x (/ t 4)) y)))

        \ \ \ \ \ \ \ \ \ \ ($if (odd? i)

        \ \ \ \ \ \ \ \ \ \ \ \ ($pen-color "green"

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ ($point (+ x (/ t 4)) y))))))))
      </plot-script-output|<anim-compose|<anim-constant|<gr-group|<carc|<point|4.0|0.0>|<point|0.0|-4.0>|<point|0.0|4.0>>|<carc|<point|4.0|0.0>|<point|0.0|-4.0>|<point|0.0|4.0>>|<with|color|red|<point|4.0|0.0>>|<with|color|green|<point|3.93923101218736|0.694592709882109>>|<with|color|red|<point|3.75877048368931|1.36808057180343>>|<with|color|green|<point|3.46410161633435|1.99999999792743>>|<with|color|red|<point|3.064177774527|2.57115043630177>>|<with|color|green|<point|2.57115044180165|3.06417776991205>>|<with|color|red|<point|2.00000000414514|3.46410161274456>>|<with|color|green|<point|1.36808057855003|3.75877048123375>>|<with|color|red|<point|0.694592716952621|3.93923101094063>>|<with|color|green|<point|7.17958605968322e-9|4.0>>|<with|color|red|<point|-0.694592702811597|3.93923101343408>>|<with|color|green|<point|-1.36808056505683|3.75877048614488>>|<with|color|red|<point|-1.99999999170973|3.46410161992415>>|<with|color|green|<point|-2.57115043080188|3.06417777914195>>|<with|color|red|<point|-3.0641777652971|2.57115044730153>>|<with|color|green|<point|-3.46410160915477|2.00000001036284>>|<with|color|red|<point|-3.75877047877819|1.36808058529664>>|<with|color|green|<point|-3.93923100969391|0.694592724023132>>|<with|color|red|<point|-4.0|1.43591721193664e-8>>|<with|color|green|<point|-3.9392310146808|-0.694592695741084>>|<with|color|red|<point|-3.75877048860044|-1.36808055831022>>|<with|color|green|<point|-3.46410162351394|-1.99999998549202>>|<with|color|red|<point|-3.0641777837569|-2.571150425302>>|<with|color|green|<point|-2.57115045280141|-3.06417776068215>>|<with|color|red|<point|-2.00000001658054|-3.46410160556497>>|<with|color|green|<point|-1.36808059204324|-3.75877047632262>>|<with|color|red|<point|-0.694592731093645|-3.93923100844719>>|<with|color|green|<point|-2.15387608435849e-8|-4.0>>|<with|color|red|<point|0.694592688670575|-3.93923101592752>>|<with|color|green|<point|1.36808055156362|-3.758770491056>>|<with|color|red|<point|1.99999997927432|-3.46410162710373>>|<with|color|green|<point|2.57115041980212|-3.06417778837185>>|<with|color|red|<point|3.0641777560672|-2.57115045830129>>|<with|color|green|<point|3.46410160197518|-2.00000002279825>>|<with|color|red|<point|3.75877047386706|-1.36808059878984>>|<with|color|green|<point|3.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|3.75|0.0>|<point|-0.25|-4.0>|<point|-0.25|4.0>>|<carc|<point|4.25|0.0>|<point|0.25|-4.0>|<point|0.25|4.0>>|<with|color|red|<point|3.75|0.0>>|<with|color|green|<point|4.18923101218736|0.694592709882109>>|<with|color|red|<point|3.50877048368931|1.36808057180343>>|<with|color|green|<point|3.71410161633435|1.99999999792743>>|<with|color|red|<point|2.814177774527|2.57115043630177>>|<with|color|green|<point|2.82115044180165|3.06417776991205>>|<with|color|red|<point|1.75000000414514|3.46410161274456>>|<with|color|green|<point|1.61808057855003|3.75877048123375>>|<with|color|red|<point|0.444592716952621|3.93923101094063>>|<with|color|green|<point|0.250000007179586|4.0>>|<with|color|red|<point|-0.944592702811597|3.93923101343408>>|<with|color|green|<point|-1.11808056505683|3.75877048614488>>|<with|color|red|<point|-2.24999999170973|3.46410161992415>>|<with|color|green|<point|-2.32115043080188|3.06417777914195>>|<with|color|red|<point|-3.3141777652971|2.57115044730153>>|<with|color|green|<point|-3.21410160915477|2.00000001036284>>|<with|color|red|<point|-4.00877047877819|1.36808058529664>>|<with|color|green|<point|-3.68923100969391|0.694592724023132>>|<with|color|red|<point|-4.25|1.43591721193664e-8>>|<with|color|green|<point|-3.6892310146808|-0.694592695741084>>|<with|color|red|<point|-4.00877048860044|-1.36808055831022>>|<with|color|green|<point|-3.21410162351394|-1.99999998549202>>|<with|color|red|<point|-3.3141777837569|-2.571150425302>>|<with|color|green|<point|-2.32115045280141|-3.06417776068215>>|<with|color|red|<point|-2.25000001658054|-3.46410160556497>>|<with|color|green|<point|-1.11808059204324|-3.75877047632262>>|<with|color|red|<point|-0.944592731093645|-3.93923100844719>>|<with|color|green|<point|0.249999978461239|-4.0>>|<with|color|red|<point|0.444592688670575|-3.93923101592752>>|<with|color|green|<point|1.61808055156362|-3.758770491056>>|<with|color|red|<point|1.74999997927432|-3.46410162710373>>|<with|color|green|<point|2.82115041980212|-3.06417778837185>>|<with|color|red|<point|2.8141777560672|-2.57115045830129>>|<with|color|green|<point|3.71410160197518|-2.00000002279825>>|<with|color|red|<point|3.50877047386706|-1.36808059878984>>|<with|color|green|<point|4.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|3.5|0.0>|<point|-0.5|-4.0>|<point|-0.5|4.0>>|<carc|<point|4.5|0.0>|<point|0.5|-4.0>|<point|0.5|4.0>>|<with|color|red|<point|3.5|0.0>>|<with|color|green|<point|4.43923101218736|0.694592709882109>>|<with|color|red|<point|3.25877048368931|1.36808057180343>>|<with|color|green|<point|3.96410161633435|1.99999999792743>>|<with|color|red|<point|2.564177774527|2.57115043630177>>|<with|color|green|<point|3.07115044180165|3.06417776991205>>|<with|color|red|<point|1.50000000414514|3.46410161274456>>|<with|color|green|<point|1.86808057855003|3.75877048123375>>|<with|color|red|<point|0.194592716952621|3.93923101094063>>|<with|color|green|<point|0.500000007179586|4.0>>|<with|color|red|<point|-1.1945927028116|3.93923101343408>>|<with|color|green|<point|-0.868080565056826|3.75877048614488>>|<with|color|red|<point|-2.49999999170973|3.46410161992415>>|<with|color|green|<point|-2.07115043080188|3.06417777914195>>|<with|color|red|<point|-3.5641777652971|2.57115044730153>>|<with|color|green|<point|-2.96410160915477|2.00000001036284>>|<with|color|red|<point|-4.25877047877819|1.36808058529664>>|<with|color|green|<point|-3.43923100969391|0.694592724023132>>|<with|color|red|<point|-4.5|1.43591721193664e-8>>|<with|color|green|<point|-3.4392310146808|-0.694592695741084>>|<with|color|red|<point|-4.25877048860044|-1.36808055831022>>|<with|color|green|<point|-2.96410162351394|-1.99999998549202>>|<with|color|red|<point|-3.5641777837569|-2.571150425302>>|<with|color|green|<point|-2.07115045280141|-3.06417776068215>>|<with|color|red|<point|-2.50000001658054|-3.46410160556497>>|<with|color|green|<point|-0.868080592043243|-3.75877047632262>>|<with|color|red|<point|-1.19459273109365|-3.93923100844719>>|<with|color|green|<point|0.499999978461239|-4.0>>|<with|color|red|<point|0.194592688670575|-3.93923101592752>>|<with|color|green|<point|1.86808055156362|-3.758770491056>>|<with|color|red|<point|1.49999997927432|-3.46410162710373>>|<with|color|green|<point|3.07115041980212|-3.06417778837185>>|<with|color|red|<point|2.5641777560672|-2.57115045830129>>|<with|color|green|<point|3.96410160197518|-2.00000002279825>>|<with|color|red|<point|3.25877047386706|-1.36808059878984>>|<with|color|green|<point|4.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|3.25|0.0>|<point|-0.75|-4.0>|<point|-0.75|4.0>>|<carc|<point|4.75|0.0>|<point|0.75|-4.0>|<point|0.75|4.0>>|<with|color|red|<point|3.25|0.0>>|<with|color|green|<point|4.68923101218736|0.694592709882109>>|<with|color|red|<point|3.00877048368931|1.36808057180343>>|<with|color|green|<point|4.21410161633435|1.99999999792743>>|<with|color|red|<point|2.314177774527|2.57115043630177>>|<with|color|green|<point|3.32115044180165|3.06417776991205>>|<with|color|red|<point|1.25000000414514|3.46410161274456>>|<with|color|green|<point|2.11808057855003|3.75877048123375>>|<with|color|red|<point|-0.0554072830473789|3.93923101094063>>|<with|color|green|<point|0.750000007179586|4.0>>|<with|color|red|<point|-1.4445927028116|3.93923101343408>>|<with|color|green|<point|-0.618080565056826|3.75877048614488>>|<with|color|red|<point|-2.74999999170973|3.46410161992415>>|<with|color|green|<point|-1.82115043080188|3.06417777914195>>|<with|color|red|<point|-3.8141777652971|2.57115044730153>>|<with|color|green|<point|-2.71410160915477|2.00000001036284>>|<with|color|red|<point|-4.50877047877819|1.36808058529664>>|<with|color|green|<point|-3.18923100969391|0.694592724023132>>|<with|color|red|<point|-4.75|1.43591721193664e-8>>|<with|color|green|<point|-3.1892310146808|-0.694592695741084>>|<with|color|red|<point|-4.50877048860044|-1.36808055831022>>|<with|color|green|<point|-2.71410162351394|-1.99999998549202>>|<with|color|red|<point|-3.8141777837569|-2.571150425302>>|<with|color|green|<point|-1.82115045280141|-3.06417776068215>>|<with|color|red|<point|-2.75000001658054|-3.46410160556497>>|<with|color|green|<point|-0.618080592043243|-3.75877047632262>>|<with|color|red|<point|-1.44459273109365|-3.93923100844719>>|<with|color|green|<point|0.749999978461239|-4.0>>|<with|color|red|<point|-0.0554073113294252|-3.93923101592752>>|<with|color|green|<point|2.11808055156362|-3.758770491056>>|<with|color|red|<point|1.24999997927432|-3.46410162710373>>|<with|color|green|<point|3.32115041980212|-3.06417778837185>>|<with|color|red|<point|2.3141777560672|-2.57115045830129>>|<with|color|green|<point|4.21410160197518|-2.00000002279825>>|<with|color|red|<point|3.00877047386706|-1.36808059878984>>|<with|color|green|<point|4.68923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|3.0|0.0>|<point|-1.0|-4.0>|<point|-1.0|4.0>>|<carc|<point|5.0|0.0>|<point|1.0|-4.0>|<point|1.0|4.0>>|<with|color|red|<point|3.0|0.0>>|<with|color|green|<point|4.93923101218736|0.694592709882109>>|<with|color|red|<point|2.75877048368931|1.36808057180343>>|<with|color|green|<point|4.46410161633435|1.99999999792743>>|<with|color|red|<point|2.064177774527|2.57115043630177>>|<with|color|green|<point|3.57115044180165|3.06417776991205>>|<with|color|red|<point|1.00000000414514|3.46410161274456>>|<with|color|green|<point|2.36808057855003|3.75877048123375>>|<with|color|red|<point|-0.305407283047379|3.93923101094063>>|<with|color|green|<point|1.00000000717959|4.0>>|<with|color|red|<point|-1.6945927028116|3.93923101343408>>|<with|color|green|<point|-0.368080565056826|3.75877048614488>>|<with|color|red|<point|-2.99999999170973|3.46410161992415>>|<with|color|green|<point|-1.57115043080188|3.06417777914195>>|<with|color|red|<point|-4.0641777652971|2.57115044730153>>|<with|color|green|<point|-2.46410160915477|2.00000001036284>>|<with|color|red|<point|-4.75877047877819|1.36808058529664>>|<with|color|green|<point|-2.93923100969391|0.694592724023132>>|<with|color|red|<point|-5.0|1.43591721193664e-8>>|<with|color|green|<point|-2.9392310146808|-0.694592695741084>>|<with|color|red|<point|-4.75877048860044|-1.36808055831022>>|<with|color|green|<point|-2.46410162351394|-1.99999998549202>>|<with|color|red|<point|-4.0641777837569|-2.571150425302>>|<with|color|green|<point|-1.57115045280141|-3.06417776068215>>|<with|color|red|<point|-3.00000001658054|-3.46410160556497>>|<with|color|green|<point|-0.368080592043243|-3.75877047632262>>|<with|color|red|<point|-1.69459273109365|-3.93923100844719>>|<with|color|green|<point|0.999999978461239|-4.0>>|<with|color|red|<point|-0.305407311329425|-3.93923101592752>>|<with|color|green|<point|2.36808055156362|-3.758770491056>>|<with|color|red|<point|0.999999979274321|-3.46410162710373>>|<with|color|green|<point|3.57115041980212|-3.06417778837185>>|<with|color|red|<point|2.0641777560672|-2.57115045830129>>|<with|color|green|<point|4.46410160197518|-2.00000002279825>>|<with|color|red|<point|2.75877047386706|-1.36808059878984>>|<with|color|green|<point|4.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|2.75|0.0>|<point|-1.25|-4.0>|<point|-1.25|4.0>>|<carc|<point|5.25|0.0>|<point|1.25|-4.0>|<point|1.25|4.0>>|<with|color|red|<point|2.75|0.0>>|<with|color|green|<point|5.18923101218736|0.694592709882109>>|<with|color|red|<point|2.50877048368931|1.36808057180343>>|<with|color|green|<point|4.71410161633435|1.99999999792743>>|<with|color|red|<point|1.814177774527|2.57115043630177>>|<with|color|green|<point|3.82115044180165|3.06417776991205>>|<with|color|red|<point|0.750000004145136|3.46410161274456>>|<with|color|green|<point|2.61808057855003|3.75877048123375>>|<with|color|red|<point|-0.555407283047379|3.93923101094063>>|<with|color|green|<point|1.25000000717959|4.0>>|<with|color|red|<point|-1.9445927028116|3.93923101343408>>|<with|color|green|<point|-0.118080565056826|3.75877048614488>>|<with|color|red|<point|-3.24999999170973|3.46410161992415>>|<with|color|green|<point|-1.32115043080188|3.06417777914195>>|<with|color|red|<point|-4.3141777652971|2.57115044730153>>|<with|color|green|<point|-2.21410160915477|2.00000001036284>>|<with|color|red|<point|-5.00877047877819|1.36808058529664>>|<with|color|green|<point|-2.68923100969391|0.694592724023132>>|<with|color|red|<point|-5.25|1.43591721193664e-8>>|<with|color|green|<point|-2.6892310146808|-0.694592695741084>>|<with|color|red|<point|-5.00877048860044|-1.36808055831022>>|<with|color|green|<point|-2.21410162351394|-1.99999998549202>>|<with|color|red|<point|-4.3141777837569|-2.571150425302>>|<with|color|green|<point|-1.32115045280141|-3.06417776068215>>|<with|color|red|<point|-3.25000001658054|-3.46410160556497>>|<with|color|green|<point|-0.118080592043243|-3.75877047632262>>|<with|color|red|<point|-1.94459273109365|-3.93923100844719>>|<with|color|green|<point|1.24999997846124|-4.0>>|<with|color|red|<point|-0.555407311329425|-3.93923101592752>>|<with|color|green|<point|2.61808055156362|-3.758770491056>>|<with|color|red|<point|0.749999979274321|-3.46410162710373>>|<with|color|green|<point|3.82115041980212|-3.06417778837185>>|<with|color|red|<point|1.8141777560672|-2.57115045830129>>|<with|color|green|<point|4.71410160197518|-2.00000002279825>>|<with|color|red|<point|2.50877047386706|-1.36808059878984>>|<with|color|green|<point|5.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|2.5|0.0>|<point|-1.5|-4.0>|<point|-1.5|4.0>>|<carc|<point|5.5|0.0>|<point|1.5|-4.0>|<point|1.5|4.0>>|<with|color|red|<point|2.5|0.0>>|<with|color|green|<point|5.43923101218736|0.694592709882109>>|<with|color|red|<point|2.25877048368931|1.36808057180343>>|<with|color|green|<point|4.96410161633435|1.99999999792743>>|<with|color|red|<point|1.564177774527|2.57115043630177>>|<with|color|green|<point|4.07115044180165|3.06417776991205>>|<with|color|red|<point|0.500000004145136|3.46410161274456>>|<with|color|green|<point|2.86808057855003|3.75877048123375>>|<with|color|red|<point|-0.805407283047379|3.93923101094063>>|<with|color|green|<point|1.50000000717959|4.0>>|<with|color|red|<point|-2.1945927028116|3.93923101343408>>|<with|color|green|<point|0.131919434943174|3.75877048614488>>|<with|color|red|<point|-3.49999999170973|3.46410161992415>>|<with|color|green|<point|-1.07115043080188|3.06417777914195>>|<with|color|red|<point|-4.5641777652971|2.57115044730153>>|<with|color|green|<point|-1.96410160915477|2.00000001036284>>|<with|color|red|<point|-5.25877047877819|1.36808058529664>>|<with|color|green|<point|-2.43923100969391|0.694592724023132>>|<with|color|red|<point|-5.5|1.43591721193664e-8>>|<with|color|green|<point|-2.4392310146808|-0.694592695741084>>|<with|color|red|<point|-5.25877048860044|-1.36808055831022>>|<with|color|green|<point|-1.96410162351394|-1.99999998549202>>|<with|color|red|<point|-4.5641777837569|-2.571150425302>>|<with|color|green|<point|-1.07115045280141|-3.06417776068215>>|<with|color|red|<point|-3.50000001658054|-3.46410160556497>>|<with|color|green|<point|0.131919407956757|-3.75877047632262>>|<with|color|red|<point|-2.19459273109365|-3.93923100844719>>|<with|color|green|<point|1.49999997846124|-4.0>>|<with|color|red|<point|-0.805407311329425|-3.93923101592752>>|<with|color|green|<point|2.86808055156362|-3.758770491056>>|<with|color|red|<point|0.499999979274321|-3.46410162710373>>|<with|color|green|<point|4.07115041980212|-3.06417778837185>>|<with|color|red|<point|1.5641777560672|-2.57115045830129>>|<with|color|green|<point|4.96410160197518|-2.00000002279825>>|<with|color|red|<point|2.25877047386706|-1.36808059878984>>|<with|color|green|<point|5.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|2.25|0.0>|<point|-1.75|-4.0>|<point|-1.75|4.0>>|<carc|<point|5.75|0.0>|<point|1.75|-4.0>|<point|1.75|4.0>>|<with|color|red|<point|2.25|0.0>>|<with|color|green|<point|5.68923101218736|0.694592709882109>>|<with|color|red|<point|2.00877048368931|1.36808057180343>>|<with|color|green|<point|5.21410161633435|1.99999999792743>>|<with|color|red|<point|1.314177774527|2.57115043630177>>|<with|color|green|<point|4.32115044180165|3.06417776991205>>|<with|color|red|<point|0.250000004145136|3.46410161274456>>|<with|color|green|<point|3.11808057855003|3.75877048123375>>|<with|color|red|<point|-1.05540728304738|3.93923101094063>>|<with|color|green|<point|1.75000000717959|4.0>>|<with|color|red|<point|-2.4445927028116|3.93923101343408>>|<with|color|green|<point|0.381919434943174|3.75877048614488>>|<with|color|red|<point|-3.74999999170973|3.46410161992415>>|<with|color|green|<point|-0.821150430801883|3.06417777914195>>|<with|color|red|<point|-4.8141777652971|2.57115044730153>>|<with|color|green|<point|-1.71410160915477|2.00000001036284>>|<with|color|red|<point|-5.50877047877819|1.36808058529664>>|<with|color|green|<point|-2.18923100969391|0.694592724023132>>|<with|color|red|<point|-5.75|1.43591721193664e-8>>|<with|color|green|<point|-2.1892310146808|-0.694592695741084>>|<with|color|red|<point|-5.50877048860044|-1.36808055831022>>|<with|color|green|<point|-1.71410162351394|-1.99999998549202>>|<with|color|red|<point|-4.8141777837569|-2.571150425302>>|<with|color|green|<point|-0.821150452801411|-3.06417776068215>>|<with|color|red|<point|-3.75000001658054|-3.46410160556497>>|<with|color|green|<point|0.381919407956757|-3.75877047632262>>|<with|color|red|<point|-2.44459273109365|-3.93923100844719>>|<with|color|green|<point|1.74999997846124|-4.0>>|<with|color|red|<point|-1.05540731132943|-3.93923101592752>>|<with|color|green|<point|3.11808055156362|-3.758770491056>>|<with|color|red|<point|0.249999979274321|-3.46410162710373>>|<with|color|green|<point|4.32115041980212|-3.06417778837185>>|<with|color|red|<point|1.3141777560672|-2.57115045830129>>|<with|color|green|<point|5.21410160197518|-2.00000002279825>>|<with|color|red|<point|2.00877047386706|-1.36808059878984>>|<with|color|green|<point|5.68923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|2.0|0.0>|<point|-2.0|-4.0>|<point|-2.0|4.0>>|<carc|<point|6.0|0.0>|<point|2.0|-4.0>|<point|2.0|4.0>>|<with|color|red|<point|2.0|0.0>>|<with|color|green|<point|5.93923101218736|0.694592709882109>>|<with|color|red|<point|1.75877048368931|1.36808057180343>>|<with|color|green|<point|5.46410161633435|1.99999999792743>>|<with|color|red|<point|1.064177774527|2.57115043630177>>|<with|color|green|<point|4.57115044180165|3.06417776991205>>|<with|color|red|<point|4.14513579016784e-9|3.46410161274456>>|<with|color|green|<point|3.36808057855003|3.75877048123375>>|<with|color|red|<point|-1.30540728304738|3.93923101094063>>|<with|color|green|<point|2.00000000717959|4.0>>|<with|color|red|<point|-2.6945927028116|3.93923101343408>>|<with|color|green|<point|0.631919434943174|3.75877048614488>>|<with|color|red|<point|-3.99999999170973|3.46410161992415>>|<with|color|green|<point|-0.571150430801883|3.06417777914195>>|<with|color|red|<point|-5.0641777652971|2.57115044730153>>|<with|color|green|<point|-1.46410160915477|2.00000001036284>>|<with|color|red|<point|-5.75877047877819|1.36808058529664>>|<with|color|green|<point|-1.93923100969391|0.694592724023132>>|<with|color|red|<point|-6.0|1.43591721193664e-8>>|<with|color|green|<point|-1.9392310146808|-0.694592695741084>>|<with|color|red|<point|-5.75877048860044|-1.36808055831022>>|<with|color|green|<point|-1.46410162351394|-1.99999998549202>>|<with|color|red|<point|-5.0641777837569|-2.571150425302>>|<with|color|green|<point|-0.571150452801411|-3.06417776068215>>|<with|color|red|<point|-4.00000001658054|-3.46410160556497>>|<with|color|green|<point|0.631919407956757|-3.75877047632262>>|<with|color|red|<point|-2.69459273109365|-3.93923100844719>>|<with|color|green|<point|1.99999997846124|-4.0>>|<with|color|red|<point|-1.30540731132943|-3.93923101592752>>|<with|color|green|<point|3.36808055156362|-3.758770491056>>|<with|color|red|<point|-2.07256793949284e-8|-3.46410162710373>>|<with|color|green|<point|4.57115041980212|-3.06417778837185>>|<with|color|red|<point|1.0641777560672|-2.57115045830129>>|<with|color|green|<point|5.46410160197518|-2.00000002279825>>|<with|color|red|<point|1.75877047386706|-1.36808059878984>>|<with|color|green|<point|5.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|1.75|0.0>|<point|-2.25|-4.0>|<point|-2.25|4.0>>|<carc|<point|6.25|0.0>|<point|2.25|-4.0>|<point|2.25|4.0>>|<with|color|red|<point|1.75|0.0>>|<with|color|green|<point|6.18923101218736|0.694592709882109>>|<with|color|red|<point|1.50877048368931|1.36808057180343>>|<with|color|green|<point|5.71410161633435|1.99999999792743>>|<with|color|red|<point|0.814177774527001|2.57115043630177>>|<with|color|green|<point|4.82115044180165|3.06417776991205>>|<with|color|red|<point|-0.249999995854864|3.46410161274456>>|<with|color|green|<point|3.61808057855003|3.75877048123375>>|<with|color|red|<point|-1.55540728304738|3.93923101094063>>|<with|color|green|<point|2.25000000717959|4.0>>|<with|color|red|<point|-2.9445927028116|3.93923101343408>>|<with|color|green|<point|0.881919434943174|3.75877048614488>>|<with|color|red|<point|-4.24999999170973|3.46410161992415>>|<with|color|green|<point|-0.321150430801883|3.06417777914195>>|<with|color|red|<point|-5.3141777652971|2.57115044730153>>|<with|color|green|<point|-1.21410160915477|2.00000001036284>>|<with|color|red|<point|-6.00877047877819|1.36808058529664>>|<with|color|green|<point|-1.68923100969391|0.694592724023132>>|<with|color|red|<point|-6.25|1.43591721193664e-8>>|<with|color|green|<point|-1.6892310146808|-0.694592695741084>>|<with|color|red|<point|-6.00877048860044|-1.36808055831022>>|<with|color|green|<point|-1.21410162351394|-1.99999998549202>>|<with|color|red|<point|-5.3141777837569|-2.571150425302>>|<with|color|green|<point|-0.321150452801411|-3.06417776068215>>|<with|color|red|<point|-4.25000001658054|-3.46410160556497>>|<with|color|green|<point|0.881919407956757|-3.75877047632262>>|<with|color|red|<point|-2.94459273109365|-3.93923100844719>>|<with|color|green|<point|2.24999997846124|-4.0>>|<with|color|red|<point|-1.55540731132943|-3.93923101592752>>|<with|color|green|<point|3.61808055156362|-3.758770491056>>|<with|color|red|<point|-0.250000020725679|-3.46410162710373>>|<with|color|green|<point|4.82115041980212|-3.06417778837185>>|<with|color|red|<point|0.814177756067204|-2.57115045830129>>|<with|color|green|<point|5.71410160197518|-2.00000002279825>>|<with|color|red|<point|1.50877047386706|-1.36808059878984>>|<with|color|green|<point|6.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|1.5|0.0>|<point|-2.5|-4.0>|<point|-2.5|4.0>>|<carc|<point|6.5|0.0>|<point|2.5|-4.0>|<point|2.5|4.0>>|<with|color|red|<point|1.5|0.0>>|<with|color|green|<point|6.43923101218736|0.694592709882109>>|<with|color|red|<point|1.25877048368931|1.36808057180343>>|<with|color|green|<point|5.96410161633435|1.99999999792743>>|<with|color|red|<point|0.564177774527001|2.57115043630177>>|<with|color|green|<point|5.07115044180165|3.06417776991205>>|<with|color|red|<point|-0.499999995854864|3.46410161274456>>|<with|color|green|<point|3.86808057855003|3.75877048123375>>|<with|color|red|<point|-1.80540728304738|3.93923101094063>>|<with|color|green|<point|2.50000000717959|4.0>>|<with|color|red|<point|-3.1945927028116|3.93923101343408>>|<with|color|green|<point|1.13191943494317|3.75877048614488>>|<with|color|red|<point|-4.49999999170973|3.46410161992415>>|<with|color|green|<point|-0.0711504308018829|3.06417777914195>>|<with|color|red|<point|-5.5641777652971|2.57115044730153>>|<with|color|green|<point|-0.964101609154766|2.00000001036284>>|<with|color|red|<point|-6.25877047877819|1.36808058529664>>|<with|color|green|<point|-1.43923100969391|0.694592724023132>>|<with|color|red|<point|-6.5|1.43591721193664e-8>>|<with|color|green|<point|-1.4392310146808|-0.694592695741084>>|<with|color|red|<point|-6.25877048860044|-1.36808055831022>>|<with|color|green|<point|-0.964101623513939|-1.99999998549202>>|<with|color|red|<point|-5.5641777837569|-2.571150425302>>|<with|color|green|<point|-0.0711504528014113|-3.06417776068215>>|<with|color|red|<point|-4.50000001658054|-3.46410160556497>>|<with|color|green|<point|1.13191940795676|-3.75877047632262>>|<with|color|red|<point|-3.19459273109365|-3.93923100844719>>|<with|color|green|<point|2.49999997846124|-4.0>>|<with|color|red|<point|-1.80540731132943|-3.93923101592752>>|<with|color|green|<point|3.86808055156362|-3.758770491056>>|<with|color|red|<point|-0.500000020725679|-3.46410162710373>>|<with|color|green|<point|5.07115041980212|-3.06417778837185>>|<with|color|red|<point|0.564177756067204|-2.57115045830129>>|<with|color|green|<point|5.96410160197518|-2.00000002279825>>|<with|color|red|<point|1.25877047386706|-1.36808059878984>>|<with|color|green|<point|6.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|1.25|0.0>|<point|-2.75|-4.0>|<point|-2.75|4.0>>|<carc|<point|6.75|0.0>|<point|2.75|-4.0>|<point|2.75|4.0>>|<with|color|red|<point|1.25|0.0>>|<with|color|green|<point|6.68923101218736|0.694592709882109>>|<with|color|red|<point|1.00877048368931|1.36808057180343>>|<with|color|green|<point|6.21410161633435|1.99999999792743>>|<with|color|red|<point|0.314177774527001|2.57115043630177>>|<with|color|green|<point|5.32115044180165|3.06417776991205>>|<with|color|red|<point|-0.749999995854864|3.46410161274456>>|<with|color|green|<point|4.11808057855003|3.75877048123375>>|<with|color|red|<point|-2.05540728304738|3.93923101094063>>|<with|color|green|<point|2.75000000717959|4.0>>|<with|color|red|<point|-3.4445927028116|3.93923101343408>>|<with|color|green|<point|1.38191943494317|3.75877048614488>>|<with|color|red|<point|-4.74999999170973|3.46410161992415>>|<with|color|green|<point|0.178849569198117|3.06417777914195>>|<with|color|red|<point|-5.8141777652971|2.57115044730153>>|<with|color|green|<point|-0.714101609154766|2.00000001036284>>|<with|color|red|<point|-6.50877047877819|1.36808058529664>>|<with|color|green|<point|-1.18923100969391|0.694592724023132>>|<with|color|red|<point|-6.75|1.43591721193664e-8>>|<with|color|green|<point|-1.1892310146808|-0.694592695741084>>|<with|color|red|<point|-6.50877048860044|-1.36808055831022>>|<with|color|green|<point|-0.714101623513939|-1.99999998549202>>|<with|color|red|<point|-5.8141777837569|-2.571150425302>>|<with|color|green|<point|0.178849547198589|-3.06417776068215>>|<with|color|red|<point|-4.75000001658054|-3.46410160556497>>|<with|color|green|<point|1.38191940795676|-3.75877047632262>>|<with|color|red|<point|-3.44459273109365|-3.93923100844719>>|<with|color|green|<point|2.74999997846124|-4.0>>|<with|color|red|<point|-2.05540731132943|-3.93923101592752>>|<with|color|green|<point|4.11808055156362|-3.758770491056>>|<with|color|red|<point|-0.750000020725679|-3.46410162710373>>|<with|color|green|<point|5.32115041980212|-3.06417778837185>>|<with|color|red|<point|0.314177756067204|-2.57115045830129>>|<with|color|green|<point|6.21410160197518|-2.00000002279825>>|<with|color|red|<point|1.00877047386706|-1.36808059878984>>|<with|color|green|<point|6.68923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|1.0|0.0>|<point|-3.0|-4.0>|<point|-3.0|4.0>>|<carc|<point|7.0|0.0>|<point|3.0|-4.0>|<point|3.0|4.0>>|<with|color|red|<point|1.0|0.0>>|<with|color|green|<point|6.93923101218736|0.694592709882109>>|<with|color|red|<point|0.758770483689314|1.36808057180343>>|<with|color|green|<point|6.46410161633435|1.99999999792743>>|<with|color|red|<point|0.0641777745270007|2.57115043630177>>|<with|color|green|<point|5.57115044180165|3.06417776991205>>|<with|color|red|<point|-0.999999995854864|3.46410161274456>>|<with|color|green|<point|4.36808057855003|3.75877048123375>>|<with|color|red|<point|-2.30540728304738|3.93923101094063>>|<with|color|green|<point|3.00000000717959|4.0>>|<with|color|red|<point|-3.6945927028116|3.93923101343408>>|<with|color|green|<point|1.63191943494317|3.75877048614488>>|<with|color|red|<point|-4.99999999170973|3.46410161992415>>|<with|color|green|<point|0.428849569198117|3.06417777914195>>|<with|color|red|<point|-6.0641777652971|2.57115044730153>>|<with|color|green|<point|-0.464101609154766|2.00000001036284>>|<with|color|red|<point|-6.75877047877819|1.36808058529664>>|<with|color|green|<point|-0.939231009693913|0.694592724023132>>|<with|color|red|<point|-7.0|1.43591721193664e-8>>|<with|color|green|<point|-0.939231014680801|-0.694592695741084>>|<with|color|red|<point|-6.75877048860044|-1.36808055831022>>|<with|color|green|<point|-0.464101623513939|-1.99999998549202>>|<with|color|red|<point|-6.0641777837569|-2.571150425302>>|<with|color|green|<point|0.428849547198589|-3.06417776068215>>|<with|color|red|<point|-5.00000001658054|-3.46410160556497>>|<with|color|green|<point|1.63191940795676|-3.75877047632262>>|<with|color|red|<point|-3.69459273109365|-3.93923100844719>>|<with|color|green|<point|2.99999997846124|-4.0>>|<with|color|red|<point|-2.30540731132943|-3.93923101592752>>|<with|color|green|<point|4.36808055156362|-3.758770491056>>|<with|color|red|<point|-1.00000002072568|-3.46410162710373>>|<with|color|green|<point|5.57115041980212|-3.06417778837185>>|<with|color|red|<point|0.0641777560672043|-2.57115045830129>>|<with|color|green|<point|6.46410160197518|-2.00000002279825>>|<with|color|red|<point|0.758770473867062|-1.36808059878984>>|<with|color|green|<point|6.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|0.75|0.0>|<point|-3.25|-4.0>|<point|-3.25|4.0>>|<carc|<point|7.25|0.0>|<point|3.25|-4.0>|<point|3.25|4.0>>|<with|color|red|<point|0.75|0.0>>|<with|color|green|<point|7.18923101218736|0.694592709882109>>|<with|color|red|<point|0.508770483689314|1.36808057180343>>|<with|color|green|<point|6.71410161633435|1.99999999792743>>|<with|color|red|<point|-0.185822225472999|2.57115043630177>>|<with|color|green|<point|5.82115044180165|3.06417776991205>>|<with|color|red|<point|-1.24999999585486|3.46410161274456>>|<with|color|green|<point|4.61808057855003|3.75877048123375>>|<with|color|red|<point|-2.55540728304738|3.93923101094063>>|<with|color|green|<point|3.25000000717959|4.0>>|<with|color|red|<point|-3.9445927028116|3.93923101343408>>|<with|color|green|<point|1.88191943494317|3.75877048614488>>|<with|color|red|<point|-5.24999999170973|3.46410161992415>>|<with|color|green|<point|0.678849569198117|3.06417777914195>>|<with|color|red|<point|-6.3141777652971|2.57115044730153>>|<with|color|green|<point|-0.214101609154766|2.00000001036284>>|<with|color|red|<point|-7.00877047877819|1.36808058529664>>|<with|color|green|<point|-0.689231009693913|0.694592724023132>>|<with|color|red|<point|-7.25|1.43591721193664e-8>>|<with|color|green|<point|-0.689231014680801|-0.694592695741084>>|<with|color|red|<point|-7.00877048860044|-1.36808055831022>>|<with|color|green|<point|-0.214101623513939|-1.99999998549202>>|<with|color|red|<point|-6.3141777837569|-2.571150425302>>|<with|color|green|<point|0.678849547198589|-3.06417776068215>>|<with|color|red|<point|-5.25000001658054|-3.46410160556497>>|<with|color|green|<point|1.88191940795676|-3.75877047632262>>|<with|color|red|<point|-3.94459273109365|-3.93923100844719>>|<with|color|green|<point|3.24999997846124|-4.0>>|<with|color|red|<point|-2.55540731132943|-3.93923101592752>>|<with|color|green|<point|4.61808055156362|-3.758770491056>>|<with|color|red|<point|-1.25000002072568|-3.46410162710373>>|<with|color|green|<point|5.82115041980212|-3.06417778837185>>|<with|color|red|<point|-0.185822243932796|-2.57115045830129>>|<with|color|green|<point|6.71410160197518|-2.00000002279825>>|<with|color|red|<point|0.508770473867062|-1.36808059878984>>|<with|color|green|<point|7.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|0.5|0.0>|<point|-3.5|-4.0>|<point|-3.5|4.0>>|<carc|<point|7.5|0.0>|<point|3.5|-4.0>|<point|3.5|4.0>>|<with|color|red|<point|0.5|0.0>>|<with|color|green|<point|7.43923101218736|0.694592709882109>>|<with|color|red|<point|0.258770483689314|1.36808057180343>>|<with|color|green|<point|6.96410161633435|1.99999999792743>>|<with|color|red|<point|-0.435822225472999|2.57115043630177>>|<with|color|green|<point|6.07115044180165|3.06417776991205>>|<with|color|red|<point|-1.49999999585486|3.46410161274456>>|<with|color|green|<point|4.86808057855003|3.75877048123375>>|<with|color|red|<point|-2.80540728304738|3.93923101094063>>|<with|color|green|<point|3.50000000717959|4.0>>|<with|color|red|<point|-4.1945927028116|3.93923101343408>>|<with|color|green|<point|2.13191943494317|3.75877048614488>>|<with|color|red|<point|-5.49999999170973|3.46410161992415>>|<with|color|green|<point|0.928849569198117|3.06417777914195>>|<with|color|red|<point|-6.5641777652971|2.57115044730153>>|<with|color|green|<point|0.0358983908452339|2.00000001036284>>|<with|color|red|<point|-7.25877047877819|1.36808058529664>>|<with|color|green|<point|-0.439231009693913|0.694592724023132>>|<with|color|red|<point|-7.5|1.43591721193664e-8>>|<with|color|green|<point|-0.439231014680801|-0.694592695741084>>|<with|color|red|<point|-7.25877048860044|-1.36808055831022>>|<with|color|green|<point|0.0358983764860614|-1.99999998549202>>|<with|color|red|<point|-6.5641777837569|-2.571150425302>>|<with|color|green|<point|0.928849547198589|-3.06417776068215>>|<with|color|red|<point|-5.50000001658054|-3.46410160556497>>|<with|color|green|<point|2.13191940795676|-3.75877047632262>>|<with|color|red|<point|-4.19459273109365|-3.93923100844719>>|<with|color|green|<point|3.49999997846124|-4.0>>|<with|color|red|<point|-2.80540731132943|-3.93923101592752>>|<with|color|green|<point|4.86808055156362|-3.758770491056>>|<with|color|red|<point|-1.50000002072568|-3.46410162710373>>|<with|color|green|<point|6.07115041980212|-3.06417778837185>>|<with|color|red|<point|-0.435822243932796|-2.57115045830129>>|<with|color|green|<point|6.96410160197518|-2.00000002279825>>|<with|color|red|<point|0.258770473867062|-1.36808059878984>>|<with|color|green|<point|7.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|0.25|0.0>|<point|-3.75|-4.0>|<point|-3.75|4.0>>|<carc|<point|7.75|0.0>|<point|3.75|-4.0>|<point|3.75|4.0>>|<with|color|red|<point|0.25|0.0>>|<with|color|green|<point|7.68923101218736|0.694592709882109>>|<with|color|red|<point|0.0087704836893141|1.36808057180343>>|<with|color|green|<point|7.21410161633435|1.99999999792743>>|<with|color|red|<point|-0.685822225472999|2.57115043630177>>|<with|color|green|<point|6.32115044180165|3.06417776991205>>|<with|color|red|<point|-1.74999999585486|3.46410161274456>>|<with|color|green|<point|5.11808057855003|3.75877048123375>>|<with|color|red|<point|-3.05540728304738|3.93923101094063>>|<with|color|green|<point|3.75000000717959|4.0>>|<with|color|red|<point|-4.4445927028116|3.93923101343408>>|<with|color|green|<point|2.38191943494317|3.75877048614488>>|<with|color|red|<point|-5.74999999170973|3.46410161992415>>|<with|color|green|<point|1.17884956919812|3.06417777914195>>|<with|color|red|<point|-6.8141777652971|2.57115044730153>>|<with|color|green|<point|0.285898390845234|2.00000001036284>>|<with|color|red|<point|-7.50877047877819|1.36808058529664>>|<with|color|green|<point|-0.189231009693913|0.694592724023132>>|<with|color|red|<point|-7.75|1.43591721193664e-8>>|<with|color|green|<point|-0.189231014680801|-0.694592695741084>>|<with|color|red|<point|-7.50877048860044|-1.36808055831022>>|<with|color|green|<point|0.285898376486061|-1.99999998549202>>|<with|color|red|<point|-6.8141777837569|-2.571150425302>>|<with|color|green|<point|1.17884954719859|-3.06417776068215>>|<with|color|red|<point|-5.75000001658054|-3.46410160556497>>|<with|color|green|<point|2.38191940795676|-3.75877047632262>>|<with|color|red|<point|-4.44459273109365|-3.93923100844719>>|<with|color|green|<point|3.74999997846124|-4.0>>|<with|color|red|<point|-3.05540731132943|-3.93923101592752>>|<with|color|green|<point|5.11808055156362|-3.758770491056>>|<with|color|red|<point|-1.75000002072568|-3.46410162710373>>|<with|color|green|<point|6.32115041980212|-3.06417778837185>>|<with|color|red|<point|-0.685822243932796|-2.57115045830129>>|<with|color|green|<point|7.21410160197518|-2.00000002279825>>|<with|color|red|<point|0.0087704738670622|-1.36808059878984>>|<with|color|green|<point|7.68923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|0.0|0.0>|<point|-4.0|-4.0>|<point|-4.0|4.0>>|<carc|<point|8.0|0.0>|<point|4.0|-4.0>|<point|4.0|4.0>>|<with|color|red|<point|0.0|0.0>>|<with|color|green|<point|7.93923101218736|0.694592709882109>>|<with|color|red|<point|-0.241229516310686|1.36808057180343>>|<with|color|green|<point|7.46410161633435|1.99999999792743>>|<with|color|red|<point|-0.935822225472999|2.57115043630177>>|<with|color|green|<point|6.57115044180165|3.06417776991205>>|<with|color|red|<point|-1.99999999585486|3.46410161274456>>|<with|color|green|<point|5.36808057855003|3.75877048123375>>|<with|color|red|<point|-3.30540728304738|3.93923101094063>>|<with|color|green|<point|4.00000000717959|4.0>>|<with|color|red|<point|-4.6945927028116|3.93923101343408>>|<with|color|green|<point|2.63191943494317|3.75877048614488>>|<with|color|red|<point|-5.99999999170973|3.46410161992415>>|<with|color|green|<point|1.42884956919812|3.06417777914195>>|<with|color|red|<point|-7.0641777652971|2.57115044730153>>|<with|color|green|<point|0.535898390845234|2.00000001036284>>|<with|color|red|<point|-7.75877047877819|1.36808058529664>>|<with|color|green|<point|0.0607689903060868|0.694592724023132>>|<with|color|red|<point|-8.0|1.43591721193664e-8>>|<with|color|green|<point|0.0607689853191991|-0.694592695741084>>|<with|color|red|<point|-7.75877048860044|-1.36808055831022>>|<with|color|green|<point|0.535898376486061|-1.99999998549202>>|<with|color|red|<point|-7.0641777837569|-2.571150425302>>|<with|color|green|<point|1.42884954719859|-3.06417776068215>>|<with|color|red|<point|-6.00000001658054|-3.46410160556497>>|<with|color|green|<point|2.63191940795676|-3.75877047632262>>|<with|color|red|<point|-4.69459273109365|-3.93923100844719>>|<with|color|green|<point|3.99999997846124|-4.0>>|<with|color|red|<point|-3.30540731132943|-3.93923101592752>>|<with|color|green|<point|5.36808055156362|-3.758770491056>>|<with|color|red|<point|-2.00000002072568|-3.46410162710373>>|<with|color|green|<point|6.57115041980212|-3.06417778837185>>|<with|color|red|<point|-0.935822243932796|-2.57115045830129>>|<with|color|green|<point|7.46410160197518|-2.00000002279825>>|<with|color|red|<point|-0.241229526132938|-1.36808059878984>>|<with|color|green|<point|7.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-0.25|0.0>|<point|-4.25|-4.0>|<point|-4.25|4.0>>|<carc|<point|8.25|0.0>|<point|4.25|-4.0>|<point|4.25|4.0>>|<with|color|red|<point|-0.25|0.0>>|<with|color|green|<point|8.18923101218736|0.694592709882109>>|<with|color|red|<point|-0.491229516310686|1.36808057180343>>|<with|color|green|<point|7.71410161633435|1.99999999792743>>|<with|color|red|<point|-1.185822225473|2.57115043630177>>|<with|color|green|<point|6.82115044180165|3.06417776991205>>|<with|color|red|<point|-2.24999999585486|3.46410161274456>>|<with|color|green|<point|5.61808057855003|3.75877048123375>>|<with|color|red|<point|-3.55540728304738|3.93923101094063>>|<with|color|green|<point|4.25000000717959|4.0>>|<with|color|red|<point|-4.9445927028116|3.93923101343408>>|<with|color|green|<point|2.88191943494317|3.75877048614488>>|<with|color|red|<point|-6.24999999170973|3.46410161992415>>|<with|color|green|<point|1.67884956919812|3.06417777914195>>|<with|color|red|<point|-7.3141777652971|2.57115044730153>>|<with|color|green|<point|0.785898390845234|2.00000001036284>>|<with|color|red|<point|-8.00877047877819|1.36808058529664>>|<with|color|green|<point|0.310768990306087|0.694592724023132>>|<with|color|red|<point|-8.25|1.43591721193664e-8>>|<with|color|green|<point|0.310768985319199|-0.694592695741084>>|<with|color|red|<point|-8.00877048860044|-1.36808055831022>>|<with|color|green|<point|0.785898376486061|-1.99999998549202>>|<with|color|red|<point|-7.3141777837569|-2.571150425302>>|<with|color|green|<point|1.67884954719859|-3.06417776068215>>|<with|color|red|<point|-6.25000001658054|-3.46410160556497>>|<with|color|green|<point|2.88191940795676|-3.75877047632262>>|<with|color|red|<point|-4.94459273109365|-3.93923100844719>>|<with|color|green|<point|4.24999997846124|-4.0>>|<with|color|red|<point|-3.55540731132943|-3.93923101592752>>|<with|color|green|<point|5.61808055156362|-3.758770491056>>|<with|color|red|<point|-2.25000002072568|-3.46410162710373>>|<with|color|green|<point|6.82115041980212|-3.06417778837185>>|<with|color|red|<point|-1.1858222439328|-2.57115045830129>>|<with|color|green|<point|7.71410160197518|-2.00000002279825>>|<with|color|red|<point|-0.491229526132938|-1.36808059878984>>|<with|color|green|<point|8.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-0.5|0.0>|<point|-4.5|-4.0>|<point|-4.5|4.0>>|<carc|<point|8.5|0.0>|<point|4.5|-4.0>|<point|4.5|4.0>>|<with|color|red|<point|-0.5|0.0>>|<with|color|green|<point|8.43923101218736|0.694592709882109>>|<with|color|red|<point|-0.741229516310686|1.36808057180343>>|<with|color|green|<point|7.96410161633435|1.99999999792743>>|<with|color|red|<point|-1.435822225473|2.57115043630177>>|<with|color|green|<point|7.07115044180165|3.06417776991205>>|<with|color|red|<point|-2.49999999585486|3.46410161274456>>|<with|color|green|<point|5.86808057855003|3.75877048123375>>|<with|color|red|<point|-3.80540728304738|3.93923101094063>>|<with|color|green|<point|4.50000000717959|4.0>>|<with|color|red|<point|-5.1945927028116|3.93923101343408>>|<with|color|green|<point|3.13191943494317|3.75877048614488>>|<with|color|red|<point|-6.49999999170973|3.46410161992415>>|<with|color|green|<point|1.92884956919812|3.06417777914195>>|<with|color|red|<point|-7.5641777652971|2.57115044730153>>|<with|color|green|<point|1.03589839084523|2.00000001036284>>|<with|color|red|<point|-8.25877047877819|1.36808058529664>>|<with|color|green|<point|0.560768990306087|0.694592724023132>>|<with|color|red|<point|-8.5|1.43591721193664e-8>>|<with|color|green|<point|0.560768985319199|-0.694592695741084>>|<with|color|red|<point|-8.25877048860044|-1.36808055831022>>|<with|color|green|<point|1.03589837648606|-1.99999998549202>>|<with|color|red|<point|-7.5641777837569|-2.571150425302>>|<with|color|green|<point|1.92884954719859|-3.06417776068215>>|<with|color|red|<point|-6.50000001658054|-3.46410160556497>>|<with|color|green|<point|3.13191940795676|-3.75877047632262>>|<with|color|red|<point|-5.19459273109365|-3.93923100844719>>|<with|color|green|<point|4.49999997846124|-4.0>>|<with|color|red|<point|-3.80540731132943|-3.93923101592752>>|<with|color|green|<point|5.86808055156362|-3.758770491056>>|<with|color|red|<point|-2.50000002072568|-3.46410162710373>>|<with|color|green|<point|7.07115041980212|-3.06417778837185>>|<with|color|red|<point|-1.4358222439328|-2.57115045830129>>|<with|color|green|<point|7.96410160197518|-2.00000002279825>>|<with|color|red|<point|-0.741229526132938|-1.36808059878984>>|<with|color|green|<point|8.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-0.75|0.0>|<point|-4.75|-4.0>|<point|-4.75|4.0>>|<carc|<point|8.75|0.0>|<point|4.75|-4.0>|<point|4.75|4.0>>|<with|color|red|<point|-0.75|0.0>>|<with|color|green|<point|8.68923101218736|0.694592709882109>>|<with|color|red|<point|-0.991229516310686|1.36808057180343>>|<with|color|green|<point|8.21410161633435|1.99999999792743>>|<with|color|red|<point|-1.685822225473|2.57115043630177>>|<with|color|green|<point|7.32115044180165|3.06417776991205>>|<with|color|red|<point|-2.74999999585486|3.46410161274456>>|<with|color|green|<point|6.11808057855003|3.75877048123375>>|<with|color|red|<point|-4.05540728304738|3.93923101094063>>|<with|color|green|<point|4.75000000717959|4.0>>|<with|color|red|<point|-5.4445927028116|3.93923101343408>>|<with|color|green|<point|3.38191943494317|3.75877048614488>>|<with|color|red|<point|-6.74999999170973|3.46410161992415>>|<with|color|green|<point|2.17884956919812|3.06417777914195>>|<with|color|red|<point|-7.8141777652971|2.57115044730153>>|<with|color|green|<point|1.28589839084523|2.00000001036284>>|<with|color|red|<point|-8.50877047877819|1.36808058529664>>|<with|color|green|<point|0.810768990306087|0.694592724023132>>|<with|color|red|<point|-8.75|1.43591721193664e-8>>|<with|color|green|<point|0.810768985319199|-0.694592695741084>>|<with|color|red|<point|-8.50877048860044|-1.36808055831022>>|<with|color|green|<point|1.28589837648606|-1.99999998549202>>|<with|color|red|<point|-7.8141777837569|-2.571150425302>>|<with|color|green|<point|2.17884954719859|-3.06417776068215>>|<with|color|red|<point|-6.75000001658054|-3.46410160556497>>|<with|color|green|<point|3.38191940795676|-3.75877047632262>>|<with|color|red|<point|-5.44459273109365|-3.93923100844719>>|<with|color|green|<point|4.74999997846124|-4.0>>|<with|color|red|<point|-4.05540731132943|-3.93923101592752>>|<with|color|green|<point|6.11808055156362|-3.758770491056>>|<with|color|red|<point|-2.75000002072568|-3.46410162710373>>|<with|color|green|<point|7.32115041980212|-3.06417778837185>>|<with|color|red|<point|-1.6858222439328|-2.57115045830129>>|<with|color|green|<point|8.21410160197518|-2.00000002279825>>|<with|color|red|<point|-0.991229526132938|-1.36808059878984>>|<with|color|green|<point|8.68923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.0|0.0>|<point|-5.0|-4.0>|<point|-5.0|4.0>>|<carc|<point|9.0|0.0>|<point|5.0|-4.0>|<point|5.0|4.0>>|<with|color|red|<point|-1.0|0.0>>|<with|color|green|<point|8.93923101218736|0.694592709882109>>|<with|color|red|<point|-1.24122951631069|1.36808057180343>>|<with|color|green|<point|8.46410161633435|1.99999999792743>>|<with|color|red|<point|-1.935822225473|2.57115043630177>>|<with|color|green|<point|7.57115044180165|3.06417776991205>>|<with|color|red|<point|-2.99999999585486|3.46410161274456>>|<with|color|green|<point|6.36808057855003|3.75877048123375>>|<with|color|red|<point|-4.30540728304738|3.93923101094063>>|<with|color|green|<point|5.00000000717959|4.0>>|<with|color|red|<point|-5.6945927028116|3.93923101343408>>|<with|color|green|<point|3.63191943494317|3.75877048614488>>|<with|color|red|<point|-6.99999999170973|3.46410161992415>>|<with|color|green|<point|2.42884956919812|3.06417777914195>>|<with|color|red|<point|-8.0641777652971|2.57115044730153>>|<with|color|green|<point|1.53589839084523|2.00000001036284>>|<with|color|red|<point|-8.75877047877819|1.36808058529664>>|<with|color|green|<point|1.06076899030609|0.694592724023132>>|<with|color|red|<point|-9.0|1.43591721193664e-8>>|<with|color|green|<point|1.0607689853192|-0.694592695741084>>|<with|color|red|<point|-8.75877048860044|-1.36808055831022>>|<with|color|green|<point|1.53589837648606|-1.99999998549202>>|<with|color|red|<point|-8.0641777837569|-2.571150425302>>|<with|color|green|<point|2.42884954719859|-3.06417776068215>>|<with|color|red|<point|-7.00000001658054|-3.46410160556497>>|<with|color|green|<point|3.63191940795676|-3.75877047632262>>|<with|color|red|<point|-5.69459273109365|-3.93923100844719>>|<with|color|green|<point|4.99999997846124|-4.0>>|<with|color|red|<point|-4.30540731132943|-3.93923101592752>>|<with|color|green|<point|6.36808055156362|-3.758770491056>>|<with|color|red|<point|-3.00000002072568|-3.46410162710373>>|<with|color|green|<point|7.57115041980212|-3.06417778837185>>|<with|color|red|<point|-1.9358222439328|-2.57115045830129>>|<with|color|green|<point|8.46410160197518|-2.00000002279825>>|<with|color|red|<point|-1.24122952613294|-1.36808059878984>>|<with|color|green|<point|8.93923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.25|0.0>|<point|-5.25|-4.0>|<point|-5.25|4.0>>|<carc|<point|9.25|0.0>|<point|5.25|-4.0>|<point|5.25|4.0>>|<with|color|red|<point|-1.25|0.0>>|<with|color|green|<point|9.18923101218736|0.694592709882109>>|<with|color|red|<point|-1.49122951631069|1.36808057180343>>|<with|color|green|<point|8.71410161633435|1.99999999792743>>|<with|color|red|<point|-2.185822225473|2.57115043630177>>|<with|color|green|<point|7.82115044180165|3.06417776991205>>|<with|color|red|<point|-3.24999999585486|3.46410161274456>>|<with|color|green|<point|6.61808057855003|3.75877048123375>>|<with|color|red|<point|-4.55540728304738|3.93923101094063>>|<with|color|green|<point|5.25000000717959|4.0>>|<with|color|red|<point|-5.9445927028116|3.93923101343408>>|<with|color|green|<point|3.88191943494317|3.75877048614488>>|<with|color|red|<point|-7.24999999170973|3.46410161992415>>|<with|color|green|<point|2.67884956919812|3.06417777914195>>|<with|color|red|<point|-8.3141777652971|2.57115044730153>>|<with|color|green|<point|1.78589839084523|2.00000001036284>>|<with|color|red|<point|-9.00877047877819|1.36808058529664>>|<with|color|green|<point|1.31076899030609|0.694592724023132>>|<with|color|red|<point|-9.25|1.43591721193664e-8>>|<with|color|green|<point|1.3107689853192|-0.694592695741084>>|<with|color|red|<point|-9.00877048860044|-1.36808055831022>>|<with|color|green|<point|1.78589837648606|-1.99999998549202>>|<with|color|red|<point|-8.3141777837569|-2.571150425302>>|<with|color|green|<point|2.67884954719859|-3.06417776068215>>|<with|color|red|<point|-7.25000001658054|-3.46410160556497>>|<with|color|green|<point|3.88191940795676|-3.75877047632262>>|<with|color|red|<point|-5.94459273109365|-3.93923100844719>>|<with|color|green|<point|5.24999997846124|-4.0>>|<with|color|red|<point|-4.55540731132943|-3.93923101592752>>|<with|color|green|<point|6.61808055156362|-3.758770491056>>|<with|color|red|<point|-3.25000002072568|-3.46410162710373>>|<with|color|green|<point|7.82115041980212|-3.06417778837185>>|<with|color|red|<point|-2.1858222439328|-2.57115045830129>>|<with|color|green|<point|8.71410160197518|-2.00000002279825>>|<with|color|red|<point|-1.49122952613294|-1.36808059878984>>|<with|color|green|<point|9.18923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.43923101218736|0.694592709882109>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.96410161633435|1.99999999792743>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|8.07115044180165|3.06417776991205>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.86808057855003|3.75877048123375>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.50000000717959|4.0>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.13191943494317|3.75877048614488>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.92884956919812|3.06417777914195>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|2.03589839084523|2.00000001036284>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.56076899030609|0.694592724023132>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.5607689853192|-0.694592695741084>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.03589837648606|-1.99999998549202>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|2.92884954719859|-3.06417776068215>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.13191940795676|-3.75877047632262>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.49999997846124|-4.0>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.86808055156362|-3.758770491056>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.07115041980212|-3.06417778837185>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|8.96410160197518|-2.00000002279825>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.43923100720047|-0.694592738164155>>>|0.1s>>>>>

      <\equation*>
        <tabular|<tformat|<table|<row|<cell|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|2*n>-1|)>>|<cell|\<cong\>>|<cell|<with|color|red|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>>|<cell|\<oplus\>>|<cell|<with|color|green|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>+1|)>>>>>>>
      </equation*>
    </hidden>|<\shown>
      <with|gr-mode|<tuple|edit|point>|gr-frame|<tuple|scale|0.840896cm|<tuple|0.5gw|0.499999gh>>|gr-geometry|<tuple|geometry|1par|0.313029par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>|<tuple|10|darker grey>>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|darker
      grey>>|gr-color|red|magnify|0.840896415|<graphics||<\plot-script-output|scheme|default|roots>
        ($animation "0.1s"

        \ \ ($for (t (.. 0 23))

        \ \ \ \ ($graphical

        \ \ \ \ \ \ ($for (dx (list (- (/ 22.0 4)) (/ 22.0 4)))

        \ \ \ \ \ \ \ \ ($carc ($point (+ 4 dx) 0) ($point dx -4) ($point dx
        4)))

        \ \ \ \ \ \ ($for (i (.. 0 36))

        \ \ \ \ \ \ \ \ ($let* ((x (* 4 (cos (/ (* 6.2831853 i) 36))))

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ (y (* 4 (sin (/ (* 6.2831853 i)
        36))))

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ (j (+ i (/ t 22.0)))

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ (u (* 4 (cos (/ (* 6.2831853 j)
        36))))

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ (v (* 4 (sin (/ (* 6.2831853 j)
        36)))))

        \ \ \ \ \ \ \ \ \ \ ($if (even? i)

        \ \ \ \ \ \ \ \ \ \ \ \ ($pen-color "red"

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ ($point (- x (/ 22.0 4)) y)))

        \ \ \ \ \ \ \ \ \ \ ($if (odd? i)

        \ \ \ \ \ \ \ \ \ \ \ \ ($pen-color "green"

        \ \ \ \ \ \ \ \ \ \ \ \ \ \ ($point (+ u (/ 22.0 4)) v))))))))
      </plot-script-output|<anim-compose|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.43923101218736|0.694592709882109>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.96410161633435|1.99999999792743>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|8.07115044180165|3.06417776991205>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.86808057855003|3.75877048123375>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.50000000717959|4.0>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.13191943494317|3.75877048614488>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.92884956919812|3.06417777914195>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|2.03589839084523|2.00000001036284>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.56076899030609|0.694592724023132>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.5607689853192|-0.694592695741084>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.03589837648606|-1.99999998549202>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|2.92884954719859|-3.06417776068215>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.13191940795676|-3.75877047632262>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.49999997846124|-4.0>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.86808055156362|-3.758770491056>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.07115041980212|-3.06417778837185>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|8.96410160197518|-2.00000002279825>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.43923100720047|-0.694592738164155>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.43359668539003|0.725821683809863>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.94812614289206|2.02741858102966>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|8.04676069958005|3.08447887641892>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.83821833040866|3.76950549809365>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.46826708095598|3.99987412575058>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.10214328985936|3.74779890307828>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.90462164779218|3.04368382209634>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|2.02014093799815|1.97245555301093>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.55538258738216|0.663320034426927>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.56640331200442|-0.725821669689065>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.05187384982993|-2.02741856865161>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|2.95323928934731|-3.08447886727658>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.1617816560596|-3.76950549328972>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.5317329046853|-3.99987412586449>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.89785669668682|-3.7477989080963>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.09537834128163|-3.04368383141322>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|8.97985905492114|-1.9724555655029>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.44461741023666|-0.663320048587286>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.42771478921552|0.757004976587115>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.93193365420649|2.05470956417808>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|8.02221067149016|3.10458585460624>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.80827185861522|3.78000327300857>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.43653615191196|3.99949651081056>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.07245512189745|3.736591444218>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.88055707211118|3.02299830425577>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|2.00460249757394|1.94478695492171>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.55024444744861|0.632005597356105>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.57228520806699|-0.757004962487432>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.06806633841753|-2.05470955185815>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|2.97778931736502|-3.10458584555202>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.19172812781535|-3.78000326831214>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.56346383373067|-3.99949651103838>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.92754486468896|-3.73659144934259>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.11944291703688|-3.02299831365902>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|8.99539749544468|-1.94478696746946>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.44975555028262|-0.632005611534905>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.42158569385364|0.788140625626189>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.91552516938679|2.0818712297559>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.99750190264086|3.12449743899803>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.7782430479154|3.79026314527843>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.40480921710187|3.99886717894596>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.04285679954622|3.72514881492959>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.856657356711|3.00212252750782>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.98928404751779|1.91699595747799>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.54535489388533|0.600651383652182>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.5784143033171|-0.788140611548509>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.08447482313972|-2.08187121749487>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.00249808614284|-3.12449743003252>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.22175693847834|-3.7902631406898>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.59519076854302|-3.99886717928768>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.95714318708127|-3.72514882016043>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.143342632512|-3.00212253699687>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.01071594560059|-1.91699597008073>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.45464510395846|-0.600651397848541>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.4152097850522|0.819226671337973>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.89890172113628|2.1089018682852>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.97263594813173|3.14421237641587>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.74813378823706|3.80028446917609>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.37308827332867|3.99798616976514>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|4.01335018563982|3.71347173537955>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.8329240057717|2.98105780571447>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.97418655192936|1.88908430976603>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.5407142344269|0.56925936666011>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.58479021200694|-0.819226657283182>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.1010982712932|-2.10890185608385>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.0273640405812|-3.14421236753961>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.2518661981207|-3.80028446469555>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.62691171231939|-3.99798617022072>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|6.98664980102959|-3.71347174071632>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.16707598352692|-2.98105781528871>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.02581344128922|-1.88908432242297>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.45928576352957|-0.56925938087313>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.40858746409275|0.850261157255246>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.88206435568747|2.13579977853457>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.94761437295514|3.1637294260577>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.71794597457129|3.81006661398795>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.34137531701825|3.99685353871629>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.98393713724052|3.70156094049004>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.80935851300282|2.95980546462932>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.95931096100202|1.86105376846548>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.53632276114323|0.537831522104077>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.59141253285499|-0.850261143224227>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.11793563664545|-2.13579976639365>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.05238561568772|-3.16372941727127>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.28205401175136|-3.81006660961577>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.65862466863387|-3.99685353928572>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.01606284947164|-3.70156094593239>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.19064147637209|-2.95980547428817>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.04068903231718|-1.86105378117582>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.46367723692606|-0.53783153633286>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.40171914776531|0.881242130155813>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.86501413273621|2.16256326762608>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.92243875189782|3.183047359576>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.68768150685314|3.81960896405366>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.3096723440938|3.995469357084>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.95461950552186|3.68941717989258>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.78596236154938|2.93836684181424>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.94465821096313|1.8329060977388>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.53218075042114|0.506369827963146>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.59828084907122|-0.88124211614945>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.13498585950064|-2.16256325554638>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.0775612366757|-3.18304735087995>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.31231847943525|-3.81960895979013>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.69032764156329|-3.99546935776724>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.0453804812339|-3.68941718544017>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.21403762790249|-2.93836685155707>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.05534178245712|-1.83290611050175>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.4678192477611|-0.506369842206794>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.39460526834216|0.912167640185438>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.84775212537498|2.18919065114194>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.89711066944167|3.20216496115502>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.65734228984205|3.82891091880487>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.27798134985019|3.99383371198472>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.92539913565212|3.67704121788088>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.76273702389856|2.91674328655511>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.93022922401505|1.80464306912027>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.52828846294698|0.474876264346783>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.60539472838334|-0.912167626204609>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.15224786676627|-2.1891906391242>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.10288931906322|-3.20216495254989>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.34265769641295|-3.82891091465025>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.72201863581277|-3.99383371278172>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.07460085114806|-3.67704122353337>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.23726296563093|-2.91674329638132>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.06977076950665|-1.80464308193501>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.47171153534831|-0.474876278604401>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.38724627355063|0.943035740980557>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.83027942002541|2.21568025323042>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.87163171966411|3.22108102758733>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.62693023300198|3.83797189280303>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.24630432882837|3.99194670636129>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.89627786667819|3.66443383336277>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.73968396178699|2.89493615977694>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.91602490827716|1.77626646140445>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.52464614369026|0.443352813370222>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.61275372306407|-0.943035727026147>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.16972057202076|-2.21568024127541>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.12836826877288|-3.22108101907367>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.3730697532205|-3.83797188875759>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.75369565684137|-3.99194670727201>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.10372212016725|-3.6644338391198>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.26031602782079|-2.8949361696859>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.08397508534641|-1.77626647427018>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.47535385471819|-0.443352827640916>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.37964262654489|0.973844489790782>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.81259711636981|2.24203040671139>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.84600350613769|3.23979436834958>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.59644725038119|3.84679131577624>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.21464327468988|3.98980845897648>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.86725753140984|3.65159581981113>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.71680462610877|2.8729468339582>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.90204615772865|1.74777806053424>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.52125402188818|0.41180145902973>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.62035736995921|-0.973844475863668>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.18740287558177|-2.24203039481985>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.15399648223212|-3.23979435992791>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.40355273580962|-3.84679131184022>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.78535671098754|-3.98980846000085>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.13274245548169|-3.65159582567234>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.28319536357795|-2.87294684394929>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.09795383599719|-1.74777807345015>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.47874597663354|-0.411801473312608>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.37179480587684|1.00459194760117>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.79470632728204|2.26823945318119>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.82022764182923|3.25830380567736>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.56589526049185|3.85536863265512>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.18300018009132|3.98741910440549>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.83833995630436|3.63852798521399>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.69410045682415|2.85077669304447>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.88829385215228|1.71917965948849>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.51811231103123|0.380224187077728>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.62820519051688|-1.00459193370223>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.20529366457545|-2.26823944135388>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.17977234647413|-3.25830379734822>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.43410472566818|-3.85536862882878>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.81699980559467|-3.98741910554345>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.16166003063408|-3.63852799117901>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.30589953294216|-2.85077670311706>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.11170614167622|-1.71917967245377>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.48188768760385|-0.380224201371883>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.36370330546598|1.03527617925426>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.77660817875743|2.29430574311706>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.79430574899823|3.27660817463939>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.53527618618921|3.86370330360776>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.15137703655898|3.98477879302749>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.80952696135159|3.62523115202366>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.67157288286891|2.82842713236129>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.87476885707901|1.69047305816915>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.51522120884974|0.348622984897815>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.6362966908176|-1.03527616538436>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.22339181300649|-2.29430573135472>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.20569423923942|-3.2766081664033>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.4647237999409|-3.86370329989133>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.84862294913649|-3.98477879427897>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.19047302563458|-3.62523115809211>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.32842710697762|-2.82842714251476>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.12523113685254|-1.69047307118298>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.48477878989878|-0.348622999202349>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.35536863456829|1.06589525357186>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.75830380984193|2.32022763598091>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.76823945909485|3.29470632321078>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.50459195455064|3.8717948040737>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.1197758343635|3.98188769101616>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.78082035995943|3.61170615710497>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.64922332206443|2.8058995585264>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.86147202373353|1.66166006328799>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.51258089730146|0.316999841379697>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.64463136160536|-1.06589523973189>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.24169618182893|-2.32022762428427>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.23176052907783|-3.29470631506827>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.49540803155042|-3.87179480046743>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.88022415134235|-3.98188769238109>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.2191796270753|-3.61170616327647>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.35077666786297|-2.8058995687601>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.13852797030145|-1.66166007634955>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.48741910156058|-0.316999855693709>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.34679131774425|1.0964472434766>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.73979437256041|2.3460035003226>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.74203041265716|3.31259711234559>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.47384449675434|3.87964262479694>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.08819856239458|3.97874598032924>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.75222195883963|3.59795385168259>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.62705318102844|2.78319538936116>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.84840418898068|1.63274248825287>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.51019154256008|0.285356746794004>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.65320867831973|-1.09644722966742>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.26020561901792|-2.3460034886924>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.2579695754513|-3.31259710429717>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.52615548931855|-3.87964262130104>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.91180142332254|-3.97874598180753>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.24777802824446|-3.59795385795675>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.37294680898046|-2.78319539967445>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.15159580515811|-1.63274250136134>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.48980845641555|-0.285356761116587>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.33797189482576|1.12693022611322>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.72108103184417|2.3716317138826>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.71568025920793|3.33027941604849>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.44303574795776|3.88724627185798>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.05664720803582|3.97535385869706>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.72373355789414|3.58397510128748>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.60506385508651|2.76031605380134>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.83556617527278|1.60372215305365>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50805329500478|0.253695692667019>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.6620281011288|-1.12693021233569>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.27891895964217|-2.37163170231959>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.28431972883706|-3.33027940809466>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.55696423808783|-3.88724626847267>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.94335277769348|-3.9753538602886>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.27626642924013|-3.58397510766391>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.39493613500453|-2.76031606419357>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.16443381897019|-1.60372216620821>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.4919467040845|-0.253695706997283>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.32891092088218|1.15734228296956>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.70216496545758|2.39711066369412>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.68919065715081|3.34775212144562>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.41216764717585|3.89460526670492>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|5.02512375703965|3.97171153961008>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.69535695010183|3.56977078570239>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.5832567281842|2.73726299180719>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.82295879059786|1.57460088414761>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50616628921078|0.222018671655363>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.6710890749632|-1.15734226922456>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.29783502593729|-2.39711065219901>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.31080933083146|-3.34775211358687>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.58783233884332|-3.89460526343042>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|5.97487622870273|-3.97171154131479>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.30464303708343|-3.56977079218068>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.41674326198959|-2.7372630022777>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.17704120374965|-1.57460089734742>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49383370999222|-0.222018685992401>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.31960896618542|1.18768149999734>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.68304736392403|2.42243874618458>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.66256327366593|3.36501412885463>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.381242137159|3.90171914618357>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.99363019340233|3.96781925230551>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.66709392140561|3.5553417989065>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.56163317280001|2.71403765427281>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.81058282842882|1.54538051434451>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50453064394085|0.190327677420562>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.68039102955105|-1.18768148628573>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.31695262737992|-2.4224387347581>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.33743671425436|-3.36501412109147>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.61875784883464|-3.90171914302009>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.00636979235402|-3.96781925412327>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.33290606583145|-3.55534180548626>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.43836681745716|-2.71403766482094>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.18941716602359|-1.54538052758875>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49546935537591|-0.190327691763468>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.31006661617404|1.21794596773262>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.66372943045092|2.44761436727658>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.63579978460502|3.38206435185393>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.35026116427076|3.90858746256662>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.96216849923909|3.96367724175282>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.63894625060003|3.54068904901918>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.54019454985895|2.69064150293481>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.79843906767349|1.51606288269124>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50314646213785|0.158624704503567>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.68993337945379|-1.21794595405527>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.33627056076265|-2.44761435591944>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.36420020325407|-3.38206434418685>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.64973882169822|-3.90858745951435>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.03783148653212|-3.96367724368353>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.36105373668963|-3.54068905569997>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.45980544048221|-2.6906415135599>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.20156092688416|-1.51606289597907>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49685353729272|-0.158624718851442>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.30028447141636|1.24813378141594>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.64421238085399|2.47263594248819>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.60890187438588|3.39890171735102>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.31922667836537|3.91520978358177>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.93074065465941|3.95928576863838>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.61091570921938|3.52581345824278>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.51894220864691|2.66707601028037>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.78652827262559|1.48664983435608>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50201383091824|0.126911748199245>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.6997155241031|-1.24813376777371>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.35578761026976|-2.47263593120112>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.39109811341276|-3.3989017097805>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.68077330757984|-3.91520978064092>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.06925933112757|-3.9592857706819>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.38908427812368|-3.5258134650242>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.48105778177884|-2.66707602098175>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.21347172203764|-1.48664984768667>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49798616862617|-0.126911762551186>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.29026314757274|1.27824304111227>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.62449744348079|2.49750189703271>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.58187123588641|3.41552516565005>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.28814063266503|3.92158569243901>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.89934863764236|3.95464510934899>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.58300406142613|3.51071596280464>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.49787748672576|2.64334265945449>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.77485119291668|1.45714322051255>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50113282156661|0.0951908044307846>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.70973684783863|-1.27824302750601>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.37550254755369|-2.49750188581641>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.41812875185256|-3.41552515817656>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.71185935325729|-3.92158568960975>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.10065134816129|-3.95464511150521>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.41699592597113|-3.51071596968625>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.50212250378519|-2.64334267023149>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.22514880185248|-1.45714323388506>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49886717809168|-0.0951908187858884>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.28000327535678|1.3082718518305>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.60458585913335|2.52221066591775>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.55470957033805|3.4319336505185>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.25700498363696|3.92771478785678>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.8679944239121|3.94975555595455>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.55521306389992|3.49539751289814>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.47700170984912|2.61944294416673>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.76340856346888|1.42754489822293>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50050348953117|0.0634638696240837>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.7199967199468|-1.30827183826108>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.39541413181244|-2.52221065477293>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.44529041734202|-3.43193364314252>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.74299500226336|-3.92771478513929>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.13200556190909|-3.94975555822332>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.44478692355233|-3.49539751987952>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.52299828074762|-2.61944295501867>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.23659143140653|-1.42754491163653>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49949651024101|-0.0634638839814502>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.26950550049562|1.33821832364279>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.5844788809901|2.54676069404373>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.52741858721869|3.44812613925305>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.22582169087026|3.93359668408725>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.83667998681361|3.94461741618961>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.52754446572703|3.47985907262291>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.45631619187896|2.59537836859711>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.75220110444874|1.39785673032137>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.50012587442029|0.0317329405821001>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.73049449470046|-1.33821831011104>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.41552110986756|-2.54676068297109>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.47258140040325|-3.44812613197504>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.77417829500894|-3.9335966814817>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.16331999902603|-3.94461741857079>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.47245552178099|-3.47985907970361>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.54368379880417|-2.59537837952331>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.24779889053324|-1.3978567437752>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.49987412546579|-0.0317329549408204>>>|0.1s>|<anim-constant|<gr-group|<carc|<point|-1.5|0.0>|<point|-5.5|-4.0>|<point|-5.5|4.0>>|<carc|<point|9.5|0.0>|<point|5.5|-4.0>|<point|5.5|4.0>>|<with|color|red|<point|-1.5|0.0>>|<with|color|green|<point|9.25877048368931|1.36808057180343>>|<with|color|red|<point|-1.74122951631069|1.36808057180343>>|<with|color|green|<point|8.564177774527|2.57115043630177>>|<with|color|red|<point|-2.435822225473|2.57115043630177>>|<with|color|green|<point|7.50000000414514|3.46410161274456>>|<with|color|red|<point|-3.49999999585486|3.46410161274456>>|<with|color|green|<point|6.19459271695262|3.93923101094063>>|<with|color|red|<point|-4.80540728304738|3.93923101094063>>|<with|color|green|<point|4.8054072971884|3.93923101343408>>|<with|color|red|<point|-6.1945927028116|3.93923101343408>>|<with|color|green|<point|3.50000000829027|3.46410161992415>>|<with|color|red|<point|-7.49999999170973|3.46410161992415>>|<with|color|green|<point|2.4358222347029|2.57115044730153>>|<with|color|red|<point|-8.5641777652971|2.57115044730153>>|<with|color|green|<point|1.74122952122181|1.36808058529664>>|<with|color|red|<point|-9.25877047877819|1.36808058529664>>|<with|color|green|<point|1.5|1.43591721193664e-8>>|<with|color|red|<point|-9.5|1.43591721193664e-8>>|<with|color|green|<point|1.74122951139956|-1.36808055831022>>|<with|color|red|<point|-9.25877048860044|-1.36808055831022>>|<with|color|green|<point|2.4358222162431|-2.571150425302>>|<with|color|red|<point|-8.5641777837569|-2.571150425302>>|<with|color|green|<point|3.49999998341946|-3.46410160556497>>|<with|color|red|<point|-7.50000001658054|-3.46410160556497>>|<with|color|green|<point|4.80540726890635|-3.93923100844719>>|<with|color|red|<point|-6.19459273109365|-3.93923100844719>>|<with|color|green|<point|6.19459268867057|-3.93923101592752>>|<with|color|red|<point|-4.80540731132943|-3.93923101592752>>|<with|color|green|<point|7.49999997927432|-3.46410162710373>>|<with|color|red|<point|-3.50000002072568|-3.46410162710373>>|<with|color|green|<point|8.5641777560672|-2.57115045830129>>|<with|color|red|<point|-2.4358222439328|-2.57115045830129>>|<with|color|green|<point|9.25877047386706|-1.36808059878984>>|<with|color|red|<point|-1.74122952613294|-1.36808059878984>>|<with|color|green|<point|9.5|-2.87183442387329e-8>>>|0.1s>>>>>

      \;

      <\equation*>
        <tabular|<tformat|<cwith|1|1|4|4|cell-bsep|2spc>|<table|<row|<cell|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|2*n>-1|)>>|<cell|\<cong\>>|<cell|<with|color|red|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>>|<cell|\<oplus\>>|<cell|<with|color|green|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>+1|)>>>>|<row|<cell|>|<cell|\<cong\>>|<cell|<with|color|red|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>>|<cell|\<oplus\>>|<cell|<with|color|green|\<bbb-K\><around*|[|x|]>/<around*|(|<wide|x|~><rsup|n>-1|)>>>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|<with|color|green|<wide|x|~>=\<omega\>*x>>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|<with|color|green|\<omega\><rsup|n>=-1>>>>>>
      </equation*>
    </shown>>
  </hidden>|<\hidden>
    <tit|Complexity analysis>

    \;

    <unroll|<\shown>
      <switch|<\hidden>
        <with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|1cm|<tuple|0.499999gw|0.68gh>>|gr-geometry|<tuple|geometry|1par|0.365215par|bottom>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|2|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|darker
        grey>|<tuple|2|darker grey>>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|darker
        grey>|<tuple|2|darker grey>>|<graphics||<with|text-at-halign|center|<math-at|<math-ss|F><rsub|\<bbb-K\>><around*|(|2*n|)><space|1.8spc>\<leqslant\><space|1.8spc>2*<math-ss|F><rsub|\<bbb-K\>><around*|(|n|)>+n*<math-ss|add><rsub|\<bbb-K\>>+n*<math-ss|sub><rsub|\<bbb-K\>>+n*<math-ss|mul><rsub|\<omega\><rsup|\<bbb-N\>>>|<point|0|1.5>>>|<math-at||<point|-11.5|1.83042>>>>
      </hidden>|<\hidden>
        <with|gr-mode|<tuple|group-edit|animate>|gr-frame|<tuple|scale|1cm|<tuple|0.499999gw|0.68gh>>|gr-geometry|<tuple|geometry|1par|0.365215par|bottom>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|2|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|darker
        grey>|<tuple|2|darker grey>>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|darker
        grey>|<tuple|2|darker grey>>|gr-arrow-end|\<gtr\>|gr-text-at-halign|center|<graphics||<with|text-at-halign|center|<math-at|<math-ss|F><rsub|\<bbb-K\>><around*|(|2*n|)><space|1.8spc>\<leqslant\><space|1.8spc>2*<math-ss|F><rsub|\<bbb-K\>><around*|(|n|)>+<wide*|n*<math-ss|add><rsub|\<bbb-K\>>+n*<math-ss|sub><rsub|\<bbb-K\>>|\<wide-underbrace\>>+n*<math-ss|mul><rsub|\<omega\><rsup|\<bbb-N\>>>|<point|0|1.5>>>|<anim-static|<morph|<tuple|0|<with|arrow-end|\<gtr\>|line-portion|0|<spline|<point|1.44083|0.677934>|<point|0.551825638311946|0.169929884905411>|<point|-5.16321603386691|0.23343034792962>|<point|-6.34855801031883|-1.03657891255457>>>>|<tuple|1|<with|arrow-end|\<gtr\>|line-portion|1|<spline|<point|1.44083|0.677934>|<point|0.551825638311946|0.169929884905411>|<point|-5.16321603386691|0.23343034792962>|<point|-6.34855801031883|-1.03657891255457>>>>>|1s|0.1s|0s>|<anim-static|<morph|<tuple|0|<with|text-at-halign|center|opacity|0|<math-at|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|2*n>-1|)>|<point|-6.5|-2>>>>|<tuple|1|<with|text-at-halign|center|opacity|1|<math-at|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|2*n>-1|)>|<point|-6.5|-2>>>>>|1s|0.1s|0s>|<anim-static|<morph|<tuple|0|<with|text-at-halign|center|opacity|0|<math-at|\<cong\>|<point|-6.5|-3>>>>|<tuple|1|<with|text-at-halign|center|opacity|1|<math-at|\<cong\>|<point|-6.5|-3>>>>>|1s|0.1s|0s>|<anim-static|<morph|<tuple|0|<with|text-at-halign|center|opacity|0|<math-at|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>\<oplus\>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>+<rigid|1>|)>|<point|-6.5|-4>>>>|<tuple|1|<with|text-at-halign|center|opacity|1|<math-at|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>\<oplus\>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>+<rigid|1>|)>|<point|-6.5|-4>>>>>|1s|0.1s|0s>>>
      </hidden>|<\shown>
        <with|gr-mode|<tuple|group-edit|animate>|gr-frame|<tuple|scale|1cm|<tuple|0.499999gw|0.68gh>>|gr-geometry|<tuple|geometry|1par|0.365215par|bottom>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|2|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|darker
        grey>|<tuple|2|darker grey>>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|darker
        grey>|<tuple|2|darker grey>>|gr-arrow-end|\<gtr\>|gr-text-at-halign|center|<graphics||<with|text-at-halign|center|<math-at|<math-ss|F><rsub|\<bbb-K\>><around*|(|2*n|)><space|1.8spc>\<leqslant\><space|1.8spc>2*<math-ss|F><rsub|\<bbb-K\>><around*|(|n|)>+<wide*|n*<math-ss|add><rsub|\<bbb-K\>>+n*<math-ss|sub><rsub|\<bbb-K\>>|\<wide-underbrace\>>+<wide*|n*<math-ss|mul><rsub|\<omega\><rsup|\<bbb-N\>>>|\<wide-underbrace\>>|<point|0|1.5>>>|<with|arrow-end|\<gtr\>|<spline|<point|1.44083|0.677934>|<point|0.551825638311946|0.169929884905411>|<point|-5.16321603386691|0.23343034792962>|<point|-6.34855801031883|-1.03657891255457>>>|<with|text-at-halign|center|<math-at|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|2*n>-1|)>|<point|-6.5|-2>>>|<with|text-at-halign|center|<math-at|\<cong\>|<point|-6.5|-3>>>|<with|text-at-halign|center|<math-at|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>\<oplus\>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>+1|)>|<point|-6.5|-4>>>|<anim-static|<morph|<tuple|0|<with|text-at-halign|center|opacity|0|<math-at|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>+<rigid|1>|)>|<point|6|-2>>>>|<tuple|1|<with|text-at-halign|center|opacity|1|<math-at|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>+<rigid|1>|)>|<point|6|-2>>>>>|1s|0.1s|0s>|<anim-static|<morph|<tuple|0|<with|text-at-halign|center|opacity|0|<math-at|\<cong\>|<point|6|-3>>>>|<tuple|1|<with|text-at-halign|center|opacity|1|<math-at|\<cong\>|<point|6|-3>>>>>|1s|0.1s|0s>|<anim-static|<morph|<tuple|0|<with|text-at-halign|center|opacity|0|<math-at|\<bbb-K\><around*|[|x|]>/<around*|(|<wide|x|~><rsup|n>-1|)>|<point|6|-4>>>>|<tuple|1|<with|text-at-halign|center|opacity|1|<math-at|\<bbb-K\><around*|[|x|]>/<around*|(|<wide|x|~><rsup|n>-1|)>|<point|6|-4>>>>>|1s|0.1s|0s>|<anim-static|<morph|<tuple|0|<with|arrow-end|\<gtr\>|line-portion|0|<spline|<point|5.31436|0.637601>|<point|5.48369493319222|-0.166738325175288>|<point|5.88586453234555|-1.07691162852229>>>>|<tuple|1|<with|arrow-end|\<gtr\>|line-portion|1|<spline|<point|5.31436|0.637601>|<point|5.48369493319222|-0.166738325175288>|<point|5.88586453234555|-1.07691162852229>>>>>|1s|0.1s|0s>>>
      </shown>>
    </shown>|<\shown>
      <\equation*>
        n=2<rsup|lg n>\<Longrightarrow\><math-ss|F><rsub|\<bbb-K\>><around*|(|n|)>\<leqslant\>n*lg
        n*<around*|(|<math-ss|add><rsub|\<bbb-K\>>+<tfrac|1|2>*<math-ss|mul><rsub|\<omega\><rsup|\<bbb-N\>>>|)>
      </equation*>
    </shown>>
  </hidden>|<\hidden>
    <tit|Back to <math|N>-bit integer multiplication>

    <unroll|<\shown>
      <strong|How to choose <math|<with|color|#ffa|<with|font-series|medium|\<bbb-K\>>>>?>
    </shown>|<\shown>
      <\description-aligned>
        <unroll|<\shown>
          <item*|I><math|\<bbb-K\>=\<bbb-C\><rsub|b>><space|1.8spc>with<space|1.8spc><math|b\<asymp\>log
          N>,<space|1.8spc><math|n\<asymp\><frac|N|log
          N>>,<space|1.8spc><math|\<omega\>=\<mathe\><rsup|<frac|2*\<mathpi\>*\<mathi\>|n>>>
        </shown>|<\shown>
          <item*|II><math|\<bbb-K\>=\<bbb-F\><rsub|p>><space|1.8spc>with<space|1.8spc><math|p=s*2<rsup|l>+1>,<space|1.8spc><math|lg
          p\<asymp\>log N>,<space|1.8spc><math|n=2<rsup|l>\<asymp\><frac|N|log
          N>>,<space|1.8spc><math|\<omega\>> exists<text-dots>
        </shown>|<\shown>
          <item*|III><math|\<bbb-K\>=\<bbb-Z\>/<around*|\<nobracket\>|<around*|(|2<rsup|m>+1|)>*\<bbb-Z\>|\<nobracket\>>><space|1.8spc>with<space|1.8spc><math|m=2<rsup|l>\<asymp\><sqrt|N>>,<space|1.8spc><math|n\<asymp\><sqrt|N>>,<space|1.8spc><math|\<omega\>=2>
        </shown>>
      </description-aligned>
    </shown>|<\shown>
      <vspace*|1fn><strong|Complexity analysis>
    </shown>|<\shown>
      <\description-aligned>
        <unroll|<\shown>
          <item*|I><math|<math-ss|M><around*|(|N|)>=O<around*|(|N*<math-ss|M><around*|(|log
          N|)>|)>><htab|5mm><math|<math-ss|M><around*|(|N|)>=O<around*|(|N*log
          N*log log N*\<cdots\>|)>>
        </shown>|<\shown>
          <item*|II><math|<math-ss|M><around*|(|N|)>=O<around*|(|N*<math-ss|M><around*|(|log
          N|)>|)>><htab|5mm><math|<math-ss|M><around*|(|N|)>=O<around*|(|N*log
          N*log log N*\<cdots\>|)>>
        </shown>|<\shown>
          <item*|III><math|<math-ss|M><rsup|\<ominus\>><around*|(|N|)>\<leqslant\>2*<sqrt|N>*<math-ss|M><rsup|\<ominus\>><around*|(|<sqrt|N>|)>+O<around*|(|N*log
          N|)>><htab|5mm><math|<math-ss|M><around*|(|N|)>=O<around*|(|N*log
          N*log log N|)>>

          <math|<math-ss|M><rsup|\<ominus\>><around*|(|N|)>>: cost of
          multiplication in <math|\<bbb-Z\>/<around*|\<nobracket\>|<around*|(|2<rsup|N>+1|)>*\<bbb-Z\>|\<nobracket\>>>
        </shown>>
      </description-aligned>
    </shown>>
  </hidden>|<\hidden>
    <tit|Note about Schnhage\UStrassen multiplication>

    <unroll|<\shown>
      <switch|<\hidden>
        <\compressed>
          <strong|A careful construction yields>

          <\overlays-phantoms|4|4>
            <\eqnarray*>
              <tformat|<table|<row|<cell|<math-ss|M><rsup|\<ominus\>><around*|(|n|)>>|<cell|\<leqslant\>>|<cell|C*n*log
              n+2*n<rsup|<frac*|1|2>>*<math-ss|M><rsup|\<ominus\>><around*|(|n<rsup|<frac*|1|2>>|)>>>|<row|<cell|>|<cell|<overlay-from|2|\<leqslant\>|>>|<cell|<overlay-from|2|C*n*log
              n+C*n*log n+4*n<rsup|<frac*|3|4>>*<math-ss|M><rsup|\<ominus\>><around*|(|n<rsup|<frac*|1|4>>|)>|>>>|<row|<cell|>|<cell|<overlay-from|3|\<leqslant\>|>>|<cell|<overlay-from|3|C*n*log
              n+C*n*log n+C*n*log n+8*n<rsup|<frac*|7|8>>*<math-ss|M><rsup|\<ominus\>><around*|(|n<rsup|<frac*|1|8>>|)>|>>>|<row|<cell|>|<cell|<overlay-from|4|\<vdots\>|>>|<cell|>>|<row|<cell|>|<cell|<overlay-from|4|\<leqslant\>|>>|<cell|<overlay-from|4|C*n*log
              n+<above|\<cdots\>|log log n<space|1.2spc>\<times\>>+C*n*log
              n+O<around*|(|n*log n|)>|>>>>>
            </eqnarray*>
          </overlays-phantoms>
        </compressed>
      </hidden>|<\shown>
        <\compressed>
          <strong|What if<text-dots>>

          <\overlays-phantoms|4|4>
            <\eqnarray*>
              <tformat|<table|<row|<cell|<space|6em><math-ss|M><rsup|\<ominus\>><around*|(|n|)>>|<cell|\<leqslant\>>|<cell|C*n*log
              n+1.98*n<rsup|<frac*|1|2>>*<math-ss|M><rsup|\<ominus\>><around*|(|n<rsup|<frac*|1|2>>|)>>>|<row|<cell|>|<cell|<overlay-from|2|\<leqslant\>|>>|<cell|<overlay-from|2|C*n*log
              n+0.99C*n*log n+1.98<rsup|2>*n<rsup|<frac*|3|4>>*<math-ss|M><rsup|\<ominus\>><around*|(|n<rsup|<frac*|1|4>>|)>|>>>|<row|<cell|>|<cell|<overlay-from|3|\<leqslant\>|>>|<cell|<overlay-from|3|C*n*log
              n+0.99*C*n*log n+0.99<rsup|2>*C*n*log
              n+1.98<rsup|3>*n<rsup|<frac*|7|8>>*<math-ss|M><rsup|\<ominus\>><around*|(|n<rsup|<frac*|1|8>>|)>|>>>|<row|<cell|>|<cell|<overlay-from|4|\<vdots\>|>>|<cell|>>|<row|<cell|>|<cell|<overlay-from|4|\<leqslant\>|>>|<cell|<overlay-from|4|O<around*|(|n*log
              n|)>|>>>>>
            </eqnarray*>
          </overlays-phantoms>
        </compressed>
      </shown>>
    </shown>|<\shown>
      <\compact>
        <vspace*|1fn><strong|Next aim>

        <switch|<\hidden>
          <\eqnarray*>
            <tformat|<table|<row|<cell|<math-ss|M><around*|(|n|)>>|<cell|\<leqslant\>>|<cell|C*n*log
            n+<around*|(|d-\<epsilon\>|)>*n<rsup|1-<frac*|1|d>>*<math-ss|M><around*|(|n<rsup|<frac*|1|d>>|)>>>>>
          </eqnarray*>
        </hidden>|<\shown>
          <\eqnarray*>
            <tformat|<cwith|2|2|3|3|cell-tsep|3spc>|<table|<row|<cell|<math-ss|M><around*|(|n|)>>|<cell|\<leqslant\>>|<cell|C*n*log
            n+<with|color|pastel cyan|<around*|(|d-\<epsilon\>|)>>*n<rsup|1-<frac*|1|d>>*<math-ss|M><around*|(|n<rsup|<frac*|1|d>>|)><space|1em><text|<with|color|white|or>>>>|<row|<cell|<math-ss|M><around*|(|n<rsup|d>|)>>|<cell|\<leqslant\>>|<cell|C*d*n<rsup|d>*log
            n+<with|color|pastel cyan|<around*|(|d-\<epsilon\>|)>>*n<rsup|d-1>*<math-ss|M><around*|(|n|)>>>>>
          </eqnarray*>
        </shown>>
      </compact>
    </shown>>
  </hidden>|<\hidden>
    <tit|Nussbaumer Polynomial Transforms>

    <\compressed>
      <unroll|<\shown>
        <\eqnarray*>
          <tformat|<table|<row|<cell|\<bbb-L\>>|<cell|\<assign\>>|<cell|\<bbb-K\><around*|[|u|]>/<around*|(|u<rsup|n>-1|)>>>>>
        </eqnarray*>
      </shown>|<\shown>
        <\compact>
          <strong|Schnhage\UStrassen>

          <\eqnarray*>
            <tformat|<table|<row|<cell|\<bbb-L\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>|<cell|<long-arrow|\<rubber-rightleftarrows\>|DFT>>|<cell|\<bbb-L\><rsup|n>>>|<row|<cell|<math-ss|mul><rsub|\<bbb-L\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>>>|<cell|\<leqslant\>>|<cell|n*<space|0.6spc><math-ss|mul><rsub|\<bbb-L\>>+O<around*|(|n<rsup|2>*log
            n|)>>>>>
          </eqnarray*>
        </compact>
      </shown>|<\shown>
        <strong|Nussbaumer>

        <\eqnarray*>
          <tformat|<table|<row|<cell|\<bbb-L\><around*|[|u<rsub|2>,\<ldots\>,u<rsub|d>|]>/<around*|(|u<rsub|2><rsup|n>-1,\<ldots\>,u<rsub|d><rsup|n>-1|)>>|<cell|<long-arrow|\<rubber-rightleftarrows\>|DFT>>|<cell|\<bbb-L\><rsup|n<rsup|d-1>>>>|<row|<cell|<math-ss|mul><rsub|\<bbb-L\><around*|[|u<rsub|2>,\<ldots\>,u<rsub|d>|]>/<around*|(|u<rsub|2><rsup|n>-1,\<ldots\>,u<rsub|d><rsup|n>-1|)>>>|<cell|\<leqslant\>>|<cell|n<rsup|d-1>*<math-ss|mul><rsub|\<bbb-L\>>+O<around*|(|d*n<rsup|d>*log
          n|)>>>>>
        </eqnarray*>
      </shown>|<\shown>
        <strong|What if<text-dots>>

        <\equation*>
          \<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n<rsup|d>>-1|)><math-imply|<with|color|red|<long-arrow|\<rubber-rightarrow\>|<space|1em><math-ordinary|?><space|1em>>>>\<bbb-K\><around*|[|u<rsub|1>,\<ldots\>,u<rsub|d>|]>/<around*|(|u<rsub|1><rsup|n>-1,\<ldots\>,u<rsub|d><rsup|n>-1|)>
        </equation*>
      </shown>>
    </compressed>
  </hidden>|<\hidden>
    <tit|Lifting the Chinese remainder theorem>

    <\compressed>
      <unroll|<\shown>
        <\equation*>
          s<rsub|1>,\<ldots\>,s<rsub|d><text|
          <space|1.8spc><with|color|white|pairwise coprime>>
        </equation*>
      </shown>|<\shown>
        <switch|<\hidden>
          <\eqnarray*>
            <tformat|<cwith|1|1|3|3|cell-bsep|0.75fn>|<table|<row|<cell|\<bbb-Z\>/<around*|\<nobracket\>|<around*|(|s<rsub|1>*\<cdots\>*s<rsub|d>*\<bbb-Z\>|)>|\<nobracket\>>>|<cell|\<cong\>>|<cell|\<bbb-Z\>/<around*|\<nobracket\>|s<rsub|1>*\<bbb-Z\>|\<nobracket\>><space|1.2spc>+\<cdots\>+<space|1.2spc>\<bbb-Z\>/<around*|\<nobracket\>|s<rsub|d>*\<bbb-Z\>|\<nobracket\>>>>>>
          </eqnarray*>
        </hidden>|<\hidden>
          <\eqnarray*>
            <tformat|<cwith|1|1|3|3|cell-bsep|0.75fn>|<cwith|2|2|3|3|cell-bsep|0.75fn>|<cwith|1|1|3|3|cell-bsep|0.75fn>|<table|<row|<cell|\<bbb-Z\>/<around*|\<nobracket\>|<around*|(|s<rsub|1>*\<cdots\>*s<rsub|d>*\<bbb-Z\>|)>|\<nobracket\>>>|<cell|\<cong\>>|<cell|\<bbb-Z\>/<around*|\<nobracket\>|s<rsub|1>*\<bbb-Z\>|\<nobracket\>><space|1.2spc>+\<cdots\>+<space|1.2spc>\<bbb-Z\>/<around*|\<nobracket\>|s<rsub|d>*\<bbb-Z\>|\<nobracket\>>>>|<row|<cell|x<rsup|\<bbb-Z\>/<around*|\<nobracket\>|<around*|(|s<rsub|1>*\<cdots\>*s<rsub|d>*\<bbb-Z\>|)>|\<nobracket\>>>>|<cell|\<cong\>>|<cell|u<rsub|1><rsup|\<bbb-Z\>/<around*|\<nobracket\>|s<rsub|1>*\<bbb-Z\>|\<nobracket\>>><space|1.2spc>\<times\>\<cdots\>\<times\><space|1.2spc>u<rsub|d><rsup|\<bbb-Z\>/<around*|\<nobracket\>|s<rsub|d>*\<bbb-Z\>|\<nobracket\>>>>>>>
          </eqnarray*>
        </hidden>|<\shown>
          <\eqnarray*>
            <tformat|<cwith|1|2|3|3|cell-bsep|0.75fn>|<table|<row|<cell|\<bbb-Z\>/<around*|\<nobracket\>|<around*|(|s<rsub|1>*\<cdots\>*s<rsub|d>*\<bbb-Z\>|)>|\<nobracket\>>>|<cell|\<cong\>>|<cell|\<bbb-Z\>/<around*|\<nobracket\>|s<rsub|1>*\<bbb-Z\>|\<nobracket\>><space|1.2spc>+\<cdots\>+<space|1.2spc>\<bbb-Z\>/<around*|\<nobracket\>|s<rsub|d>*\<bbb-Z\>|\<nobracket\>>>>|<row|<cell|x<rsup|\<bbb-Z\>/<around*|\<nobracket\>|<around*|(|s<rsub|1>*\<cdots\>*s<rsub|d>*\<bbb-Z\>|)>|\<nobracket\>>>>|<cell|\<cong\>>|<cell|u<rsub|1><rsup|\<bbb-Z\>/<around*|\<nobracket\>|s<rsub|1>*\<bbb-Z\>|\<nobracket\>>><space|1.2spc>\<times\>\<cdots\>\<times\><space|1.2spc>u<rsub|d><rsup|\<bbb-Z\>/<around*|\<nobracket\>|s<rsub|d>*\<bbb-Z\>|\<nobracket\>>>>>|<row|<cell|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|s<rsub|1>*\<cdots\>*s<rsub|d>>-1|)>>|<cell|\<cong\>>|<cell|\<bbb-K\><around*|[|u<rsub|1>|]>/<around*|(|u<rsub|1><rsup|s<rsub|1>>-1|)><space|1.2spc>\<otimes\>\<cdots\>\<otimes\><space|1.2spc>\<bbb-K\><around*|[|u<rsub|d>|]>/<around*|(|u<rsub|d><rsup|s<rsub|d>>-1|)>>>|<row|<cell|>|<cell|\<cong\>>|<cell|\<bbb-K\><around*|[|u<rsub|1>,\<ldots\>,u<rsub|d>|]>/<around*|(|u<rsub|1><rsup|s<rsub|1>>-1,\<ldots\>,u<rsub|d><rsup|s<rsub|d>>-1|)>>>>>
          </eqnarray*>
        </shown>>
      </shown>|<\shown>
        <strong|Conclusion>

        <\wide-tabular>
          <tformat|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|2|2|cell-halign|r>|<table|<row|<\cell>
            <math|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|s<rsub|1>*\<cdots\>*s<rsub|d>>-1|)><with|color|#afa|\<longrightarrow\>>><math|\<bbb-K\><around*|[|u<rsub|1>,\<ldots\>,u<rsub|d>|]>/<around*|(|u<rsub|1><rsup|s<rsub|1>>-1,\<ldots\>,u<rsub|d><rsup|s<rsub|d>>-1|)>>
          </cell>|<\cell>
            <with|color|#afa|Achieved:> <math|s<rsub|1>,\<ldots\>,s<rsub|d><text|
            <with|color|white|pairwise coprime>>>

            <with|color|#faa|Required:> <math|s<rsub|1>=\<cdots\>=s<rsub|d>=n>
          </cell>>>>
        </wide-tabular>
      </shown>|<\shown>
        \;

        <strong|What if<text-dots>> possible to slightly change
        <math|s<rsub|1>,\<ldots\>,s<rsub|d>><space|0.6spc>?
      </shown>>
    </compressed>
  </hidden>|<\hidden>
    <tit|Rader reduction>

    <\compressed>
      <unroll|<\shown>
        DFT of length <math|p=5>
      </shown>>

      <switch|<\hidden>
        <\equation*>
          <matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<table|<row|<cell|A<around*|(|1|)>>>|<row|<cell|A<around*|(|\<omega\><rsup|1>|)>>>|<row|<cell|A<around*|(|\<omega\><rsup|2>|)>>>|<row|<cell|A<around*|(|\<omega\><rsup|3>|)>>>|<row|<cell|A<around*|(|\<omega\><rsup|4>|)>>>>>>=<matrix|<tformat|<cwith|1|-1|1|-1|cell-height|1.6em>|<cwith|1|-1|1|-1|cell-vmode|exact>|<table|<row|<cell|1>|<cell|1>|<cell|1>|<cell|1>|<cell|1>>|<row|<cell|1>|<cell|\<omega\><rsup|1>>|<cell|\<omega\><rsup|2>>|<cell|\<omega\><rsup|3>>|<cell|\<omega\><rsup|4>>>|<row|<cell|1>|<cell|\<omega\><rsup|2>>|<cell|\<omega\><rsup|4>>|<cell|\<omega\><rsup|6>>|<cell|\<omega\><rsup|8>>>|<row|<cell|1>|<cell|\<omega\><rsup|3>>|<cell|\<omega\><rsup|6>>|<cell|\<omega\><rsup|9>>|<cell|\<omega\><rsup|12>>>|<row|<cell|1>|<cell|\<omega\><rsup|4>>|<cell|\<omega\><rsup|8>>|<cell|\<omega\><rsup|12>>|<cell|\<omega\><rsup|16>>>>>>*<matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<table|<row|<cell|a<rsub|0>>>|<row|<cell|a<rsub|1>>>|<row|<cell|a<rsub|2>>>|<row|<cell|a<rsub|3>>>|<row|<cell|a<rsub|4>>>>>>
        </equation*>

        <\equation*>
          A<around*|(|x|)>=a<rsub|0>+a<rsub|1>*x+a<rsub|2>*x<rsup|2>+a<rsub|3>*x<rsup|3>+a<rsub|4>*x<rsup|4>\<in\>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|5>-1|)>
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          <matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<table|<row|<cell|A<around*|(|1|)>>>|<row|<cell|A<around*|(|\<omega\><rsup|1>|)>>>|<row|<cell|A<around*|(|\<omega\><rsup|2>|)>>>|<row|<cell|A<around*|(|\<omega\><rsup|3>|)>>>|<row|<cell|A<around*|(|\<omega\><rsup|4>|)>>>>>>=<matrix|<tformat|<cwith|1|-1|1|-1|cell-height|1.6em>|<cwith|1|-1|1|-1|cell-vmode|exact>|<table|<row|<cell|1>|<cell|1>|<cell|1>|<cell|1>|<cell|1>>|<row|<cell|1>|<cell|\<omega\><rsup|1>>|<cell|\<omega\><rsup|2>>|<cell|\<omega\><rsup|3>>|<cell|\<omega\><rsup|4>>>|<row|<cell|1>|<cell|\<omega\><rsup|2>>|<cell|\<omega\><rsup|4>>|<cell|\<omega\><rsup|1>>|<cell|\<omega\><rsup|3>>>|<row|<cell|1>|<cell|\<omega\><rsup|3>>|<cell|\<omega\><rsup|1>>|<cell|\<omega\><rsup|4>>|<cell|\<omega\><rsup|2>>>|<row|<cell|1>|<cell|\<omega\><rsup|4>>|<cell|\<omega\><rsup|3>>|<cell|\<omega\><rsup|2>>|<cell|\<omega\><rsup|1>>>>>>*<matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<table|<row|<cell|a<rsub|0>>>|<row|<cell|a<rsub|1>>>|<row|<cell|a<rsub|2>>>|<row|<cell|a<rsub|3>>>|<row|<cell|a<rsub|4>>>>>>
        </equation*>

        <\equation*>
          A<around*|(|x|)>=a<rsub|0>+a<rsub|1>*x+a<rsub|2>*x<rsup|2>+a<rsub|3>*x<rsup|3>+a<rsub|4>*x<rsup|4>\<in\>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|5>-1|)>
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          <matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<table|<row|<cell|A<around*|(|1|)>>>|<row|<cell|<with|color|white|A<around*|(|\<omega\><rsup|2<rsup|0>>|)>>>>|<row|<cell|<with|color|#ffa|A<around*|(|\<omega\><rsup|2<rsup|1>>|)>>>>|<row|<cell|<with|color|#faf|A<around*|(|\<omega\><rsup|2<rsup|3>>|)>>>>|<row|<cell|<with|color|#aff|A<around*|(|\<omega\><rsup|2<rsup|2>>|)>>>>>>>=<matrix|<tformat|<cwith|1|-1|1|-1|cell-height|1.6em>|<cwith|1|-1|1|-1|cell-vmode|exact>|<table|<row|<cell|1>|<cell|1>|<cell|1>|<cell|1>|<cell|1>>|<row|<cell|1>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>>|<row|<cell|1>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>>|<row|<cell|1>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>>|<row|<cell|1>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>>>>>*<matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<table|<row|<cell|a<rsub|0>>>|<row|<cell|<with|color|white|a<rsub|1>>>>|<row|<cell|<with|color|#ffa|a<rsub|2>>>>|<row|<cell|<with|color|#faf|a<rsub|3>>>>|<row|<cell|<with|color|#aff|a<rsub|4>>>>>>>
        </equation*>

        <\equation*>
          <with|color|white|1=2<rsup|0>>,<space|2em><with|color|#ffa|2=2<rsup|1>>,<space|2em><with|color|#aff|3=2<rsup|3>>,<space|2em><with|color|#faf|4=2<rsup|2>><space|2em><around*|(|mod
          5|)>
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          <draw-under|<matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<table|<row|<cell|A<around*|(|1|)>>>|<row|<cell|<with|color|white|A<around*|(|\<omega\><rsup|2<rsup|0>>|)>>>>|<row|<cell|<with|color|#ffa|A<around*|(|\<omega\><rsup|2<rsup|1>>|)>>>>|<row|<cell|<with|color|#aff|A<around*|(|\<omega\><rsup|2<rsup|2>>|)>>>>|<row|<cell|<with|color|#faf|A<around*|(|\<omega\><rsup|2<rsup|3>>|)>>>>>>>=<matrix|<tformat|<cwith|1|-1|1|-1|cell-height|1.6em>|<cwith|1|-1|1|-1|cell-vmode|exact>|<cwith|5|5|1|5|cell-height|1.6em>|<cwith|5|5|1|5|cell-vmode|exact>|<cwith|1|3|1|5|cell-height|1.6em>|<cwith|1|3|1|5|cell-vmode|exact>|<cwith|5|5|2|5|cell-height|1.6em>|<cwith|5|5|2|5|cell-vmode|exact>|<cwith|4|4|2|5|cell-height|1.6em>|<cwith|4|4|2|5|cell-vmode|exact>|<table|<row|<cell|1>|<cell|1>|<cell|1>|<cell|1>|<cell|1>>|<row|<cell|1>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>>|<row|<cell|1>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>>|<row|<cell|1>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>>|<row|<cell|1>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>>>>>*<matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<table|<row|<cell|a<rsub|0>>>|<row|<cell|<with|color|white|a<rsub|1>>>>|<row|<cell|<with|color|#ffa|a<rsub|2>>>>|<row|<cell|<with|color|#faf|a<rsub|3>>>>|<row|<cell|<with|color|#aff|a<rsub|4>>>>>>>|<with|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-color|red|gr-arrow-end|\<gtr\>|gr-arrow-begin|\<less\>|<graphics|<with|color|red|arrow-end|\<gtr\>|arrow-begin|\<less\>|<line|<point|-2.9|-0.5>|<point|-3.4|-0.5>|<point|-3.4|-1.0>|<point|-2.9|-1.0>>>|<with|color|red|arrow-end|\<gtr\>|arrow-begin|\<less\>|<line|<point|-0.8|-0.5>|<point|-1.3|-0.5>|<point|-1.3|-1.0>|<point|-0.8|-1.0>>>>>|2cm>
        </equation*>

        <\equation*>
          <with|color|white|1=2<rsup|0>>,<space|2em><with|color|#ffa|2=2<rsup|1>>,<space|2em><with|color|#aff|3=2<rsup|3>>,<space|2em><with|color|#faf|4=2<rsup|2>><space|2em><around*|(|mod
          5|)>
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          <draw-under|<matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<table|<row|<cell|A<around*|(|1|)>>>|<row|<cell|<with|color|white|A<around*|(|\<omega\><rsup|2<rsup|0>>|)>>>>|<row|<cell|<with|color|#ffa|A<around*|(|\<omega\><rsup|2<rsup|1>>|)>>>>|<row|<cell|<with|color|#aff|A<around*|(|\<omega\><rsup|2<rsup|2>>|)>>>>|<row|<cell|<with|color|#faf|A<around*|(|\<omega\><rsup|2<rsup|3>>|)>>>>>>>=<matrix|<tformat|<cwith|1|-1|1|-1|cell-height|1.6em>|<cwith|1|-1|1|-1|cell-vmode|exact>|<cwith|5|5|1|4|cell-height|1.6em>|<cwith|5|5|1|4|cell-vmode|exact>|<cwith|1|5|5|5|cell-height|1.6em>|<cwith|1|5|5|5|cell-vmode|exact>|<cwith|5|5|5|5|cell-height|1.6em>|<cwith|5|5|5|5|cell-vmode|exact>|<cwith|2|5|2|3|cell-height|1.6em>|<cwith|2|5|2|3|cell-vmode|exact>|<cwith|5|5|2|3|cell-height|1.6em>|<cwith|5|5|2|3|cell-vmode|exact>|<cwith|2|3|2|3|cell-height|1.6em>|<cwith|2|3|2|3|cell-vmode|exact>|<cwith|5|5|2|3|cell-height|1.6em>|<cwith|5|5|2|3|cell-vmode|exact>|<cwith|4|4|2|3|cell-height|1.6em>|<cwith|4|4|2|3|cell-vmode|exact>|<cwith|2|5|5|5|cell-height|1.6em>|<cwith|2|5|5|5|cell-vmode|exact>|<cwith|5|5|5|5|cell-height|1.6em>|<cwith|5|5|5|5|cell-vmode|exact>|<cwith|2|3|5|5|cell-height|1.6em>|<cwith|2|3|5|5|cell-vmode|exact>|<cwith|5|5|5|5|cell-height|1.6em>|<cwith|5|5|5|5|cell-vmode|exact>|<cwith|4|4|5|5|cell-height|1.6em>|<cwith|4|4|5|5|cell-vmode|exact>|<cwith|2|5|4|4|cell-height|1.6em>|<cwith|2|5|4|4|cell-vmode|exact>|<cwith|5|5|4|4|cell-height|1.6em>|<cwith|5|5|4|4|cell-vmode|exact>|<cwith|2|3|4|4|cell-height|1.6em>|<cwith|2|3|4|4|cell-vmode|exact>|<cwith|5|5|4|4|cell-height|1.6em>|<cwith|5|5|4|4|cell-vmode|exact>|<cwith|4|4|4|4|cell-height|1.6em>|<cwith|4|4|4|4|cell-vmode|exact>|<table|<row|<cell|1>|<cell|1>|<cell|1>|<cell|1>|<cell|1>>|<row|<cell|1>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>>|<row|<cell|1>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>>|<row|<cell|1>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>>|<row|<cell|1>|<cell|<with|color|#faf|\<omega\><rsup|2<rsup|3>>>>|<cell|<with|color|white|\<omega\><rsup|2<rsup|0>>>>|<cell|<with|color|#ffa|\<omega\><rsup|2<rsup|1>>>>|<cell|<with|color|#aff|\<omega\><rsup|2<rsup|2>>>>>>>>*<matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<table|<row|<cell|a<rsub|0>>>|<row|<cell|<with|color|white|a<rsub|1>>>>|<row|<cell|<with|color|#ffa|a<rsub|2>>>>|<row|<cell|<with|color|#aff|a<rsub|4>>>>|<row|<cell|<with|color|#faf|a<rsub|3>>>>>>>|<with|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-color|red|gr-arrow-end|\<gtr\>|gr-arrow-begin|\<less\>|<graphics|<with|color|red|arrow-end|\<gtr\>|arrow-begin|\<less\>|<line|<point|2.9|-0.5>|<point|3.4|-0.5>|<point|3.4|-1.0>|<point|2.9|-1.0>>>|<with|color|red|arrow-end|\<gtr\>|arrow-begin|\<less\>|<line|<point|1.0|-1.1>|<point|1.0|-1.5>|<point|1.7|-1.5>|<point|1.7|-1.1>>>>>|2cm>
        </equation*>

        <\equation*>
          <with|color|white|1=2<rsup|0>>,<space|2em><with|color|#ffa|2=2<rsup|1>>,<space|2em><with|color|#aff|3=2<rsup|3>>,<space|2em><with|color|#faf|4=2<rsup|2>><space|2em><around*|(|mod
          5|)>
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          <matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<table|<row|<cell|A<around*|(|1|)>>>|<row|<cell|<with|color|white|A<around*|(|\<omega\><rsup|1>|)>>>>|<row|<cell|<with|color|#ffa|A<around*|(|\<omega\><rsup|2>|)>>>>|<row|<cell|<with|color|#aff|A<around*|(|\<omega\><rsup|4>|)>>>>|<row|<cell|<with|color|#faf|A<around*|(|\<omega\><rsup|3>|)>>>>>>>=<matrix|<tformat|<cwith|1|-1|1|-1|cell-height|1.6em>|<cwith|1|-1|1|-1|cell-vmode|exact>|<cwith|5|5|1|4|cell-height|1.6em>|<cwith|5|5|1|4|cell-vmode|exact>|<cwith|1|5|5|5|cell-height|1.6em>|<cwith|1|5|5|5|cell-vmode|exact>|<cwith|5|5|5|5|cell-height|1.6em>|<cwith|5|5|5|5|cell-vmode|exact>|<cwith|2|5|2|5|cell-height|1.6em>|<cwith|2|5|2|5|cell-vmode|exact>|<cwith|5|5|2|4|cell-height|1.6em>|<cwith|5|5|2|4|cell-vmode|exact>|<cwith|2|5|5|5|cell-height|1.6em>|<cwith|2|5|5|5|cell-vmode|exact>|<cwith|5|5|5|5|cell-height|1.6em>|<cwith|5|5|5|5|cell-vmode|exact>|<cwith|2|5|2|3|cell-height|1.6em>|<cwith|2|5|2|3|cell-vmode|exact>|<cwith|5|5|2|3|cell-height|1.6em>|<cwith|5|5|2|3|cell-vmode|exact>|<cwith|2|3|2|3|cell-height|1.6em>|<cwith|2|3|2|3|cell-vmode|exact>|<cwith|5|5|2|3|cell-height|1.6em>|<cwith|5|5|2|3|cell-vmode|exact>|<cwith|4|4|2|3|cell-height|1.6em>|<cwith|4|4|2|3|cell-vmode|exact>|<cwith|2|5|5|5|cell-height|1.6em>|<cwith|2|5|5|5|cell-vmode|exact>|<cwith|5|5|5|5|cell-height|1.6em>|<cwith|5|5|5|5|cell-vmode|exact>|<cwith|2|3|5|5|cell-height|1.6em>|<cwith|2|3|5|5|cell-vmode|exact>|<cwith|5|5|5|5|cell-height|1.6em>|<cwith|5|5|5|5|cell-vmode|exact>|<cwith|4|4|5|5|cell-height|1.6em>|<cwith|4|4|5|5|cell-vmode|exact>|<cwith|2|5|4|4|cell-height|1.6em>|<cwith|2|5|4|4|cell-vmode|exact>|<cwith|5|5|4|4|cell-height|1.6em>|<cwith|5|5|4|4|cell-vmode|exact>|<cwith|2|3|4|4|cell-height|1.6em>|<cwith|2|3|4|4|cell-vmode|exact>|<cwith|5|5|4|4|cell-height|1.6em>|<cwith|5|5|4|4|cell-vmode|exact>|<cwith|4|4|4|4|cell-height|1.6em>|<cwith|4|4|4|4|cell-vmode|exact>|<table|<row|<cell|1>|<cell|1>|<cell|1>|<cell|1>|<cell|1>>|<row|<cell|1>|<cell|<with|color|white|\<omega\><rsup|1>>>|<cell|<with|color|#ffa|\<omega\><rsup|2>>>|<cell|<with|color|#aff|\<omega\><rsup|4>>>|<cell|<with|color|#faf|\<omega\><rsup|3>>>>|<row|<cell|1>|<cell|<with|color|#ffa|\<omega\><rsup|2>>>|<cell|<with|color|#aff|\<omega\><rsup|4>>>|<cell|<with|color|#faf|\<omega\><rsup|3>>>|<cell|<with|color|white|\<omega\><rsup|1>>>>|<row|<cell|1>|<cell|<with|color|#aff|\<omega\><rsup|4>>>|<cell|<with|color|#faf|\<omega\><rsup|3>>>|<cell|<with|color|white|\<omega\><rsup|1>>>|<cell|<with|color|#ffa|\<omega\><rsup|2>>>>|<row|<cell|1>|<cell|<with|color|#faf|\<omega\><rsup|3>>>|<cell|<with|color|white|\<omega\><rsup|1>>>|<cell|<with|color|#ffa|\<omega\><rsup|2>>>|<cell|<with|color|#aff|\<omega\><rsup|4>>>>>>>*<matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.6em>|<cwith|1|-1|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<cwith|2|5|1|1|cell-height|1.6em>|<cwith|2|5|1|1|cell-vmode|exact>|<table|<row|<cell|a<rsub|0>>>|<row|<cell|<with|color|white|a<rsub|1>>>>|<row|<cell|<with|color|#ffa|a<rsub|2>>>>|<row|<cell|<with|color|#aff|a<rsub|4>>>>|<row|<cell|<with|color|#faf|a<rsub|3>>>>>>>
        </equation*>
      </hidden>|<\shown>
        <unroll|<\shown>
          <\eqnarray*>
            <tformat|<table|<row|<cell|<matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.5em>|<cwith|1|-1|1|1|cell-vmode|exact>|<table|<row|<cell|<with|color|white|v<rsub|0>>>>|<row|<cell|<with|color|#ffa|v<rsub|1>>>>|<row|<cell|<with|color|#aff|v<rsub|2>>>>|<row|<cell|<with|color|#faf|v<rsub|3>>>>>>>>|<cell|=>|<cell|<matrix|<tformat|<cwith|1|-1|1|-1|cell-height|1.5em>|<cwith|1|-1|1|-1|cell-vmode|exact>|<cwith|1|-1|1|-1|color|#ffa>|<cwith|1|4|1|4|cell-height|1.6em>|<cwith|1|4|1|4|cell-vmode|exact>|<cwith|4|4|1|3|cell-height|1.6em>|<cwith|4|4|1|3|cell-vmode|exact>|<cwith|1|4|4|4|cell-height|1.6em>|<cwith|1|4|4|4|cell-vmode|exact>|<cwith|4|4|4|4|cell-height|1.6em>|<cwith|4|4|4|4|cell-vmode|exact>|<cwith|1|4|1|4|cell-height|1.6em>|<cwith|1|4|1|4|cell-vmode|exact>|<cwith|4|4|1|3|cell-height|1.6em>|<cwith|4|4|1|3|cell-vmode|exact>|<cwith|1|4|4|4|cell-height|1.6em>|<cwith|1|4|4|4|cell-vmode|exact>|<cwith|4|4|4|4|cell-height|1.6em>|<cwith|4|4|4|4|cell-vmode|exact>|<cwith|1|4|1|2|cell-height|1.6em>|<cwith|1|4|1|2|cell-vmode|exact>|<cwith|4|4|1|2|cell-height|1.6em>|<cwith|4|4|1|2|cell-vmode|exact>|<cwith|1|2|1|2|cell-height|1.6em>|<cwith|1|2|1|2|cell-vmode|exact>|<cwith|4|4|1|2|cell-height|1.6em>|<cwith|4|4|1|2|cell-vmode|exact>|<cwith|3|3|1|2|cell-height|1.6em>|<cwith|3|3|1|2|cell-vmode|exact>|<cwith|1|4|4|4|cell-height|1.6em>|<cwith|1|4|4|4|cell-vmode|exact>|<cwith|4|4|4|4|cell-height|1.6em>|<cwith|4|4|4|4|cell-vmode|exact>|<cwith|1|2|4|4|cell-height|1.6em>|<cwith|1|2|4|4|cell-vmode|exact>|<cwith|4|4|4|4|cell-height|1.6em>|<cwith|4|4|4|4|cell-vmode|exact>|<cwith|3|3|4|4|cell-height|1.6em>|<cwith|3|3|4|4|cell-vmode|exact>|<cwith|1|4|3|3|cell-height|1.6em>|<cwith|1|4|3|3|cell-vmode|exact>|<cwith|4|4|3|3|cell-height|1.6em>|<cwith|4|4|3|3|cell-vmode|exact>|<cwith|1|2|3|3|cell-height|1.6em>|<cwith|1|2|3|3|cell-vmode|exact>|<cwith|4|4|3|3|cell-height|1.6em>|<cwith|4|4|3|3|cell-vmode|exact>|<cwith|3|3|3|3|cell-height|1.6em>|<cwith|3|3|3|3|cell-vmode|exact>|<table|<row|<cell|<with|color|white|\<omega\><rsup|1>>>|<cell|<with|color|#ffa|\<omega\><rsup|2>>>|<cell|<with|color|#aff|\<omega\><rsup|4>>>|<cell|<with|color|#faf|\<omega\><rsup|3>>>>|<row|<cell|<with|color|#ffa|\<omega\><rsup|2>>>|<cell|<with|color|#aff|\<omega\><rsup|4>>>|<cell|<with|color|#faf|\<omega\><rsup|3>>>|<cell|<with|color|white|\<omega\><rsup|1>>>>|<row|<cell|<with|color|#aff|\<omega\><rsup|4>>>|<cell|<with|color|#faf|\<omega\><rsup|3>>>|<cell|<with|color|white|\<omega\><rsup|1>>>|<cell|<with|color|#ffa|\<omega\><rsup|2>>>>|<row|<cell|<with|color|#faf|\<omega\><rsup|3>>>|<cell|<with|color|white|\<omega\><rsup|1>>>|<cell|<with|color|#ffa|\<omega\><rsup|2>>>|<cell|<with|color|#aff|\<omega\><rsup|4>>>>>>>*<matrix|<tformat|<cwith|1|-1|1|1|cell-height|1.5em>|<cwith|1|-1|1|1|cell-vmode|exact>|<cwith|1|4|1|1|cell-height|1.6em>|<cwith|1|4|1|1|cell-vmode|exact>|<cwith|1|4|1|1|cell-height|1.6em>|<cwith|1|4|1|1|cell-vmode|exact>|<cwith|1|4|1|1|cell-height|1.6em>|<cwith|1|4|1|1|cell-vmode|exact>|<cwith|1|4|1|1|cell-height|1.6em>|<cwith|1|4|1|1|cell-vmode|exact>|<table|<row|<cell|<with|color|white|u<rsub|0>>>>|<row|<cell|<with|color|#ffa|u<rsub|1>>>>|<row|<cell|<with|color|#aff|u<rsub|2>>>>|<row|<cell|<with|color|#faf|u<rsub|3>>>>>>>>>|<row|<cell|>|<cell|\<Updownarrow\>>|<cell|>>|<row|<cell|<with|color|white|v<rsub|0>>+<with|color|#ffa|v<rsub|1>*x>+<with|color|#aff|v<rsub|2>*x<rsup|2>>+<with|color|#faf|v<rsub|3>*x<rsup|3>>>|<cell|=>|<cell|<around*|(|<with|color|white|\<omega\><rsup|1>>+<with|color|#ffa|\<omega\><rsup|2>*x>+<with|color|#aff|\<omega\><rsup|4>*x<rsup|2>>+<with|color|#faf|\<omega\><rsup|3>*x<rsup|3>>|)>*<around*|(|<with|color|white|u<rsub|0>>+<with|color|#ffa|u<rsub|1>*x>+<with|color|#aff|u<rsub|2>*x<rsup|2>>+<with|color|#faf|u<rsub|3>*x<rsup|3>>|)>>>|<row|<cell|>|<cell|>|<cell|<text|modulo
            ><hgroup|x<rsup|4>-1>>>>>
          </eqnarray*>
        </shown>|<\shown>
          <switch|<\hidden>
            <\eqnarray*>
              <tformat|<table|<row|<cell|<math-ss|F><around*|(|p|)>>|<cell|\<leqslant\>>|<cell|<math-ss|M><rsup|\<oempty\>><rsub|\<bbb-K\>,fixed><around*|(|p-1|)>+2*p\<cdot\><math-ss|add><rsub|\<bbb-K\>>>>>>
            </eqnarray*>
          </hidden>|<\shown>
            <\eqnarray*>
              <tformat|<table|<row|<cell|<math-ss|F><rsub|\<bbb-K\>><around*|(|p|)>>|<cell|\<leqslant\>>|<cell|<math-ss|M><rsup|\<oempty\>><rsub|\<bbb-K\>,fixed><around*|(|p-1|)>+2*p\<cdot\><math-ss|add><rsub|\<bbb-K\>>>>|<row|<cell|>|<cell|\<leqslant\>>|<cell|2*<math-ss|F><rsub|\<bbb-K\>><around*|(|p-1|)>+2*p\<cdot\><math-ss|add><rsub|\<bbb-K\>>>>>>
            </eqnarray*>
          </shown>>

          <math|<math-ss|M><rsub|\<bbb-K\>><rsup|\<oempty\>><around*|(|n|)>>
          : cost of one multiplication in
          <math|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|n>-1|)>><new-line><math|<math-ss|M><rsup|\<oempty\>><rsub|\<bbb-K\>,fixed><around*|(|n|)>>
          : when one argument is fixed
        </shown>>
      </shown>>
    </compressed>
  </hidden>|<\hidden>
    <tit|Multivariate Rader reduction>

    <strong|Univariate reduction>

    <\equation*>
      <math-ignore|<text|FFT in \ >>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|p>-1|)><space|1em>\<longrightarrow\><space|1em><math-ignore|<text|multiplication
      in \ >>\<bbb-K\>\<oplus\>\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|p-1>-1|)>
    </equation*>

    <strong|Multivariate reduction>

    <\equation*>
      <math-ignore|<text|FFT in \ >><big|otimes><rsub|1\<leqslant\>i\<leqslant\>d>\<bbb-K\><around*|[|x<rsub|i>|]>/<around*|(|x<rsup|p<rsub|i>>-1|)><space|1em>\<longrightarrow\><space|1em><math-ignore|<text|multiplication
      in \ >><big|otimes><rsub|1\<leqslant\>i\<leqslant\>d><around*|(|\<bbb-K\>\<oplus\>\<bbb-K\><around*|[|x<rsub|i>|]>/<around*|(|x<rsub|i><rsup|p<rsub|i>-1>-1|)>|)>
    </equation*>

    <strong|Essentially>

    <\equation*>
      \<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|p<rsub|1>*\<cdots\>*p<rsub|d>>-1|)><space|1em><with|color|#afa|\<longrightarrow\>><space|1em>\<bbb-K\><around*|[|u<rsub|1>,\<ldots\>,u<rsub|d>|]>/<around*|(|u<rsub|1><rsup|p<rsub|1>-1>-1,\<ldots\>,u<rsub|d><rsup|p<rsub|d>-1>-1|)>
    </equation*>
  </hidden>|<\hidden>
    <tit|How to choose our primes>

    <\compressed>
      <unroll|<\shown>
        <\compact>
          <unroll|<\shown>
            <\equation*>
              p<rsub|i>=q<rsub|i>*2<rsup|l>+1,<space|2em>q<rsub|i>\<ll\>2<rsup|l>,<space|2em>q<rsub|i><text|
              \ odd prime>,<space|2em>i=1,\<ldots\>,d
            </equation*>
          </shown>|<\shown>
            OK with \Pprobability\Q <math|l<rsup|-1>> for \Prandom\Q prime
            with <math|q<rsub|i>\<ll\>2<rsup|l>>
          </shown>|<\shown>
            <with|color|dark grey|Note: we assumed <math|<with|color|dark
            grey|q<rsub|i>>> prime for convenience, but this is not really
            essential>
          </shown>>
        </compact>
      </shown>|<\shown>
        <switch|<\hidden>
          <\equation*>
            <tabular*|<tformat|<cwith|1|-1|1|1|cell-halign|l>|<cwith|1|-1|3|3|cell-halign|l>|<table|<row|<cell|l=8>|<cell|<space|2em>>|<cell|q=3,13,31,37,157,163,181,193,\<ldots\>>>|<row|<cell|l=16>|<cell|>|<cell|q=37,103,307,313,397,421,487,541,\<ldots\>>>|<row|<cell|l=32>|<cell|>|<cell|q=43,73,157,181,211,433,571,601,\<ldots\>>>|<row|<cell|l=64>|<cell|>|<cell|q=163,337,487,907,1051,1297,1453,1567,\<ldots\>>>|<row|<cell|l=128>|<cell|>|<cell|q=1171,2551,3607,3907,4021,4483,4567,4603,\<ldots\>>>|<row|<cell|l=256>|<cell|>|<cell|q=607,1567,1783,2683,2797,4993,6577,6871,\<ldots\>>>|<row|<cell|l=512>|<cell|>|<cell|q=223,2083,2803,3853,4783,9403,9781,10303,\<ldots\>>>|<row|<cell|l=1024>|<cell|>|<cell|q=1987,4447,15031,22807,26713,46153,46507,47653,\<ldots\>>>>>>
          </equation*>
        </hidden>|<\shown>
          <\eqnarray*>
            <tformat|<cwith|1|2|3|3|cell-bsep|1spc>|<table|<row|<cell|>|<cell|>|<cell|\<bbb-K\><around*|[|x<rsub|1>,\<ldots\>,x<rsub|d>|]>/<around*|(|x<rsub|1><rsup|p<rsub|1>-1>-1,\<ldots\>,x<rsub|d><rsup|p<rsub|d>-1>-1|)>>>|<row|<cell|>|<cell|\<cong\>>|<cell|\<bbb-K\><around*|[|u<rsub|1>,\<ldots\>,u<rsub|d>,v<rsub|1>,\<ldots\>,v<rsub|d>|]>/<around*|(|u<rsub|1><rsup|q<rsub|1>>-1,\<ldots\>,u<rsub|d><rsup|q<rsub|d>>-1,v<rsub|1><rsup|2<rsup|l>>-1,\<ldots\>,v<rsub|d><rsup|2<rsup|l>>-1|)>>>|<row|<cell|>|<cell|\<cong\>>|<cell|\<bbb-K\><around*|[|y,v<rsub|2>,\<ldots\>,v<rsub|d>|]>/<around*|(|y<rsup|q<rsub|1>*\<cdots\>*q<rsub|d>*2<rsup|l>>-1,v<rsub|2><rsup|2<rsup|l>>-1,\<ldots\>,v<rsub|d><rsup|2<rsup|l>>-1|)>>>>>
          </eqnarray*>
        </shown>>
      </shown>|<\shown>
        <\compact>
          <strong|Conclusion>

          <\eqnarray*>
            <tformat|<cwith|1|1|1|-1|cell-bsep|2spc>|<table|<row|<cell|\<bbb-K\><around*|[|x|]>/<around*|(|x<rsup|p<rsub|1>*\<cdots\>*p<rsub|d>>-1|)>>|<cell|<with|color|#afa|\<longrightarrow\>>>|<cell|\<bbb-K\><around*|[|y,v<rsub|2>,\<ldots\>,v<rsub|d>|]>/<around*|(|y<rsup|q<rsub|1>*\<cdots\>*q<rsub|d>*2<rsup|l>>-1,v<rsub|2><rsup|2<rsup|l>>-1,\<ldots\>,v<rsub|d><rsup|2<rsup|l>>-1|)>>>|<row|<cell|<math-ss|M><rsup|\<oempty\>><rsub|\<bbb-K\>><around|(|<wide*|p<rsub|1>*\<cdots\>*p<rsub|d>|\<wide-underbrace\>><rsub|<resize|<with|math-level|0|\<geqslant\>2<rsup|<around*|(|d+\<epsilon\>|)>*l>>||||<plus|1t|1spc>>>|)>>|<cell|\<leqslant\>>|<cell|2<rsup|<around*|(|d-1|)>*l>*<math-ss|M><rsub|\<bbb-K\>><rsup|\<oempty\>><around|(|<wide*|q<rsub|1>*\<cdots\>*q<rsub|d>*<space|0.2spc>2<rsup|l>|\<wide-underbrace\>><rsub|<resize|<with|math-level|0|2<rsup|<around*|(|1+\<epsilon\>|)>*l>>||||<plus|1t|1spc>>>|)>+O<around*|(|d*<space|0.2spc>2<rsup|l>*<space|0.2spc>log
            2<rsup|l>*<space|0.2spc><math-ss|add><rsub|\<bbb-K\>>|)>>>>>
          </eqnarray*>
        </compact>
      </shown>>
    </compressed>
  </hidden>|<\hidden>
    <tit|Summary>

    <\with|magnification|1.6>
      <\equation*>
        <draw-under|<tabular*|<tformat|<table|<row|<cell|\<bbb-Z\>>>|<row|<cell|\<longdownarrow\>>>|<row|<cell|\<bbb-C\><around*|[|x|]>/<around*|(|x<rsup|p<rsub|1>*\<cdots\>*p<rsub|d>>-1|)>>>|<row|<cell|\<longdownarrow\>>>|<row|<cell|\<bbb-C\><around*|[|u<rsub|1>,\<ldots\>,u<rsub|d>|]>/<around*|(|u<rsub|1><rsup|p<rsub|1>>-1,\<ldots\>,u<rsub|d><rsup|p<rsub|d>>-1|)>>>|<row|<cell|\<longdownarrow\>>>|<row|<cell|DFT<around*|(|p<rsub|1>,\<ldots\>,p<rsub|d>|)><math-times|<text|
        <space|1.2spc><with|color|white|over><space|1.2spc>
        >>\<bbb-C\>>>|<row|<cell|\<longdownarrow\>>>|<row|<cell|<text|<with|color|white|cheap
        > >DFT<around*|(|2<rsup|l>,<above|\<ldots\>|<around*|(|d-1|)>\<times\>>,2<rsup|l>|)><math-times|<text|
        <space|1.2spc><with|color|white|over><space|1.2spc>
        >>\<bbb-C\><around*|[|x|]>/<around*|(|x<rsup|q<rsub|1>*\<cdots\>*q<rsub|d>*<space|0.6spc>2<rsup|l>>-1|)>>>|<row|<cell|2<rsup|<around*|(|d-1|)>*l><text|
        \ <with|color|white|multiplications in>
        \ >\<bbb-C\><around*|[|x|]>/<around*|(|x<rsup|q<rsub|1>*\<cdots\>*q<rsub|d>*<space|0.6spc>2<rsup|l>>-1|)>>>|<row|<cell|>>>>>|<with|gr-color|#fa6|gr-arrow-end|\<gtr\>|gr-mode|<tuple|edit|text-at>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|4|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|darker
        grey>|<tuple|4|darker grey>>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|darker
        grey>|<tuple|4|darker grey>>|gr-text-at-valign|axis|gr-frame|<tuple|scale|2cm|<tuple|0.500001gw|0.499999gh>>|<graphics|<with|color|#fa6|text-at-valign|axis|<text-at|<text|FFT-multiplication>|<point|3.5|0.0>>>|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|0.25|0>|<point|3.25|0.0>>>|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|0|-3.25>|<point|0.75|-3.60357554139778>|<point|3.25|-3.75>>>|<with|color|#fa6|text-at-valign|axis|<text-at|<text|FFTs
        de Nussbaumer>|<point|3.5|-3.75>>>|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|0.25|2.0>|<point|3.25|2.0>>>|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|0.25|1.0>|<point|3.25|1.0>>>|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|0.25|-1.0>|<point|3.25|-1.0>>>|<with|color|#fa6|text-at-valign|axis|<text-at|<text|Multivariate
        Rader transform>|<point|3.5|-1.0>>>|<with|color|#fa6|text-at-valign|axis|<text-at|<text|Chinese
        remaindering  la Good>|<point|3.5|1.0>>>|<with|color|#fa6|text-at-valign|axis|<text-at|<text|Embed>|<point|3.5|2.0>>>|<with|color|#fa6|arrow-end|\<gtr\>|<line|<point|0.25|-2.5>|<point|3.25|-2.5>>>|<with|color|#ffd4d7|arrow-end|\<gtr\>|<line|<point|0.0|-2.17349429007711>|<point|0.0|-2.75>|<point|-3.25|-2.75>|<point|-3.25|1.36758808438823>|<point|-1.12757865145314|1.37207821737153>>>|<with|color|#fa6|text-at-valign|axis|<text-at|<text|Reencode
        and recurse>|<point|3.5|-2.5>>>>>|1pag><space|16em>
      </equation*>
    </with>
  </hidden>|<\hidden>
    <tit|Conclusion>

    <unroll|<\shown>
      <\compact>
        <strong|Linnik constants>

        <\eqnarray*>
          <tformat|<table|<row|<cell|P<around*|(|<with|color|#ffa|a>,<with|color|#fa6|k>|)>>|<cell|\<assign\>>|<cell|min
          <space|0.6spc><around*|{|c*<with|color|#fa6|k>+<with|color|#ffa|a><space|0.6spc>\<suchthat\><space|0.6spc>c\<in\>\<bbb-N\>,<space|0.6spc>c*<with|color|#fa6|k>+<with|color|#ffa|a><text|
          \ <with|color|white|is prime>>|}>>>|<row|<cell|P<around*|(|<with|color|#fa6|k>|)>>|<cell|\<assign\>>|<cell|max
          <space|0.6spc><around*|{|P<around*|(|<with|color|#ffa|a>,<with|color|#fa6|k>|)><space|0.6spc>\<suchthat\><space|0.6spc><around*|\<nobracket\>|0\<less\><with|color|#ffa|a>\<less\><with|color|#fa6|k>,<space|0.6spc><with|color|#ffa|a>\<exterior\><with|color|#fa6|k>=1|\<nobracket\>>|}>>>|<row|<cell|<text|<math|L>
          <with|color|white| is a Linnik constant>>>|<cell|:\<Leftrightarrow\>>|<cell|<around*|\<nobracket\>|P<around*|(|<with|color|#fa6|k>|)><space|0.6spc>=<space|0.6spc>O<around*|(|<with|color|#fa6|k><rsup|L>|)>|\<nobracket\>>>>>>
        </eqnarray*>
      </compact>
    </shown>|<\shown>
      <\theorem*>
        <\compact>
          If there exists a Linnik constant <math|L\<less\>1+<frac|1|303>>,
          then

          <\equation*>
            <math-ss|I><around*|(|N|)>=O<around*|(|N*log N|)>.
          </equation*>
        </compact>
      </theorem*>
    </shown>|<\shown>
      <\theorem*>
        <\compact>
          If there exists a Linnik constant <math|L\<less\>1+2<rsup|-1162>>,
          then

          <\equation*>
            <math-ss|M><rsub|\<bbb-F\><rsub|q>><around*|(|n|)>=O<around*|(|n*log
            q*log <around*|(|n*log q|)>|)>,
          </equation*>

          uniformly in <math|q>.
        </compact>
      </theorem*>
    </shown>>
  </hidden>|<\hidden>
    <\center>
      <\with|par-par-sep|0.3333fn>
        <\center>
          <really-huge|<strong|<with|color|orange|Thank you !>>>
        </center>
      </with>

      <tabular|<tformat|<cwith|1|3|1|1|cell-halign|c>|<cwith|1|1|1|1|cell-tsep|4spc>|<cwith|1|1|1|1|cell-hyphen|t>|<table|<row|<\cell>
        <with|shadow-dx|0ln|shadow-dy|0ln|shadow-color|white|shadow-blur-radius|0.25ln|<shadow|<image|Download-TeXmacs.png|0.56par|||>>>
      </cell>>|<row|<cell|<strong|><center|>>>|<row|<cell|<with|color|#ffa|<verbatim|http://www.texmacs.org>>>>>>>
    </center>

    \;
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|info-flag|none>
    <associate|locus-color|#aaf>
    <associate|magnification|1.7>
    <associate|ornament-vpadding|1spc>
    <associate|page-bot|-5mm>
    <associate|page-height|auto>
    <associate|page-medium|beamer>
    <associate|page-type|16:9>
    <associate|page-width|auto>
    <associate|preamble|false>
  </collection>
</initial>